2019-08-30
  Davide Beatrici <davidebeatrici@gmail.com>
    fc04121  Merge PR #3770: CI: Fix Azure Pipelines build failing

2019-08-29
  Davide Beatrici <davidebeatrici@gmail.com>
    44c5e22  Azure Pipelines: store build environment in the proper
	     directory
    9f442e1  Merge PR #3772: compiler.pri: disable warnings for deprecated
	     stuff
    10be08c  compiler.pri: disable warnings for deprecated stuff

2019-07-26
  Davide Beatrici <davidebeatrici@gmail.com>
    2b997d6  Merge PR #3728: Travis CI: only execute SonarScan and AppImage
	     builder when in our repository
    82b0aac  Travis CI: only execute SonarScan and AppImage builder when in
	     our repository

2019-07-20
  Davide Beatrici <davidebeatrici@gmail.com>
    c3a9f0d  Merge PR #3726: Correct path to icon

  probonopd <probonopd@users.noreply.github.com>
    8026d1c  Correct path to icon

2019-07-17
  Davide Beatrici <davidebeatrici@gmail.com>
    467cbd9  Merge PR #3655: Add Cirrus CI for continuous integration
	     (FreeBSD)
    0bd53d7  Add Cirrus CI for continuous integration (FreeBSD)

2019-07-03
  Davide Beatrici <davidebeatrici@gmail.com>
    b36dd3d  Merge PR #3718: Create lgtm.yml to configure C/C++ analysis
	     for LGTM.com
    ce76e00  Merge PR #3719: Azure Pipelines: remove macOS build until we
	     fix the many errors (deprecated stuff)

2019-07-02
  Bas van Schaik <5082246+sjvs@users.noreply.github.com>
    16801b8  Create lgtm.yml to configure C/C++ analysis for LGTM.com

  Davide Beatrici <davidebeatrici@gmail.com>
    bb6416c  Azure Pipelines: remove macOS build until we fix the many
	     errors (deprecated stuff)
    da67a1f  .lgtm.yml: override qmake command

2019-07-01
  Davide Beatrici <davidebeatrici@gmail.com>
    2fa33c4  Create FUNDING.yml

2019-06-29
  Davide Beatrici <davidebeatrici@gmail.com>
    e19aaa1  Merge PR #3715: Travis CI: add SonarCloud integration for
	     static code analysis
    b517f01  Travis CI: add SonarCloud integration for static code analysis

2019-06-10
  Davide Beatrici <davidebeatrici@gmail.com>
    41b2655  Merge PR #3704: Do not build tags that we create when we
	     upload to GitHub Releases
    83bca04  Merge PR #3703: Generate and upload AppImage

  probonopd <probonopd@users.noreply.github.com>
    3f31c9b  Do not build tags that we create when we upload to GitHub
	     Releases
    049f6a2  DEFINES+="MUMBLE_VERSION=${TRAVIS_COMMIT:0:7}"
    78155c5  DEFINES+="MUMBLE_VERSION=$TRAVIS_COMMIT"

2019-06-09
  probonopd <probonopd@users.noreply.github.com>
    6013e8d  AppImage

2019-05-31
  Constantin Wenger <constantin.wenger@googlemail.com>
    5207c00  fixed setting comment to username instead of updating username
	     over grpc when updating database user

  Davide Beatrici <davidebeatrici@gmail.com>
    41502bb  Merge PR #3698: fixed setting comment to username instead of
	     updating username

2019-05-26
  Davide Beatrici <davidebeatrici@gmail.com>
    02a14f4  Merge PR #3695: ServerUser: use QTime instead of std::chrono
	     and ctime

2019-05-25
  Davide Beatrici <davidebeatrici@gmail.com>
    da7baf5  ServerUser: use QTime instead of std::chrono and ctime
    4e83913  Merge PR #3603: GlobalShortcutMac: fix segmentation fault in
	     setEnabled()

2019-05-24
  Davide Beatrici <davidebeatrici@gmail.com>
    d7353b7  GlobalShortcutMac: fix segmentation fault in setEnabled()

2019-05-09
  Davide Beatrici <davidebeatrici@gmail.com>
    cbbc342  Merge PR #3690: Build/package murmur in a docker image
    5a4f4cd  Merge PR #3691: Minimize window on tray icon click

  Graeme Lawes <graemelawes@gmail.com>
    041136d  Build/package murmur in a docker image

2019-05-08
  Andre <andre.favaro.student.cs@gmail.com>
    48e793e  Minimize window on tray icon click

2019-05-07
  Graeme Lawes <graemelawes@gmail.com>
    f0b393a  Remove Ice version/path locks for static builds

2019-05-04
  Davide Beatrici <davidebeatrici@gmail.com>
    d737867  Merge PR #3683: JackAudio: fix segmentation fault, revamp
	     initialization logic
    0ee0683  JackAudio: fix segmentation fault, revamp initialization logic

2019-05-03
  Davide Beatrici <davidebeatrici@gmail.com>
    0e71f79  Merge PR #3684: Set temporary, position, and description in
	     GRPC ChannelAdd

2019-05-02
  Thomas Ross <thomasross@thomasross.io>
    38a9960  Set temporary, position, and description in GRPC ChannelAdd

2019-04-09
  Davide Beatrici <davidebeatrici@gmail.com>
    0f39a12  Merge PR #3633: Add missing ssleay32 library reference in
	     openssl qmake configuration
    f90ef83  Merge PR #3632: Add missing advapi32 library reference in
	     server project

2019-04-07
  Alexis Jeandeau <alexis.jeandeau@gmail.com>
    5af3145  Add support for TLS 1.3 in the server information window

  Davide Beatrici <davidebeatrici@gmail.com>
    4c82dd5  Merge PR #3663: Add support for TLS 1.3 in the server
	     information window

2019-04-05
  Davide Beatrici <davidebeatrici@gmail.com>
    1e3d6a5  Merge PR #3646: Build Opus as shared library in static build,
	     copy it into App Bundle
    c75aafc  travis-ci: build installer in macOS build
    8893126  macx/scripts/osxdist.py: add "--no-compat-warning" option
    1813fe1  macx/scripts/osxdist.py: copy Opus library into App Bundle
    b1f8964  3rdparty/opus-build: build as shared library even if it's a
	     static build

2019-04-03
  Davide Beatrici <davidebeatrici@gmail.com>
    c38d77e  Merge PR #3659: Fix transaction handling in
	     Server::registerUser
    ca8f3dd  Merge PR #3652: Azure Pipelines: add macOS build

2019-04-02
  Davide Beatrici <davidebeatrici@gmail.com>
    2555a87  Azure Pipelines: add macOS build
    5f43f65  Merge PR #3658: Fixed a bug/typo which prevented audio from
	     playing on user disconnect

  Thomas Ross <thomasross@thomasross.io>
    e95617a  Fix transaction handling in Server::registerUser

2019-04-01
  Elbon <4796255+Elbon@users.noreply.github.com>
    3f178a4  Fixed a bug/typo which prevented audio from playing on user
	     disconnect

2019-03-29
  Davide Beatrici <davidebeatrici@gmail.com>
    193c01d  Merge PR #3654: LCD.cpp: remove unused "bound" variable
    efcbb16  LCD.cpp: remove unused "bound" variable

2019-03-25
  Alexis Jeandeau <alexis.jeandeau@gmail.com>
    afa9f83  Fix typos in ServerDB::loadOrSetupMetaPKBDF2IterationsCount
    f66a8d5  Remove unnecessary spaces in the logs when setting up the
	     PBKDF2 iteration count

  Davide Beatrici <davidebeatrici@gmail.com>
    15072a4  Merge PR #3645: Fix log spacing and typos when setting up the
	     PBKDF2 iteration count

2019-03-21
  Davide Beatrici <davidebeatrici@gmail.com>
    f8ba6e0  Merge PR #3641: Add "Classic - Old Style" theme
    4b93a9d  INSTALL: document new "no-classic-theme" CONFIG option
    9f6d21b  themes: add "Classic - Old Style" theme

2019-03-19
  Davide Beatrici <davidebeatrici@gmail.com>
    6ed06bd  Merge PR #3639: Messages: show "You moved user to channel"
	     message also when the user is not in/moved to own channel
    8d3521c  Merge PR #3638: Fix pod bay doors trigger system
    a9b0311  Messages: show "You moved user to channel" message also when
	     the user is not in/moved to own channel
    1961ce1  Fix pod bay doors trigger system

2019-03-17
  Jan Klass <kissaki@posteo.de>
    5fe390a  Add missing ssleay32 library reference in openssl qmake
	     configuration
    bcf4704  Add missing advapi32 library reference in server project

2019-03-13
  Davide Beatrici <davidebeatrici@gmail.com>
    1ee050a  Merge PR #3606: Transifex translation update

2019-03-10
  Davide Beatrici <davidebeatrici@gmail.com>
    12f3ba1  travis-ci: switch to Xenial for Qt 5 builds, improve matrix,
	     update MXE mirror
    d560056  Merge PR #3626: mumble/main.cpp: fix compilation with Qt >=
	     5.9

  Jan Klass <kissaki@posteo.de>
    72b4df2  Merge PR #3622: travis-ci: switch to Xenial for Qt 5 builds,
	     improve matrix, update MXE mirror

2019-03-09
  Davide Beatrici <davidebeatrici@gmail.com>
    4f59dd7  mumble/main.cpp: fix compilation with Qt >= 5.9
    8a1e0e8  Merge PR #3627: Add global shortcuts for setting specific
	     transmit modes
    3010e03  Translation update

  David <davidm.faig@gmail.com>
    307999e  Add global shortcuts for setting specific transmit modes

2019-03-05
  Davide Beatrici <davidebeatrici@gmail.com>
    c014e04  Merge PR #3623: Include "Global.h" after "Mumble.pb.h", to
	     avoid a redefinition issue with protobuf 3.7
    ce0ecff  Include "Global.h" after "Mumble.pb.h", to avoid a
	     redefinition issue with protobuf 3.7

2019-03-01
  Davide Beatrici <davidebeatrici@gmail.com>
    0325836  Merge PR #3616: OverlayEditorScene: fix object opacity
	     calculation
    42ab841  OverlayEditorScene: fix object opacity calculation

2019-02-28
  Davide Beatrici <davidebeatrici@gmail.com>
    1974ac0  Merge PR #3614: Default disable GKey

  Stefan Hacker <dd0t@users.sourceforge.net>
    b0bd029  Default disable GKey

2019-02-26
  Davide Beatrici <davidebeatrici@gmail.com>
    c91553c  Merge PR #3612: mumble: change title of windows which have the
	     default one ("Form")
    c49301b  Merge PR #3611: AudioWizard: fix speech sample path
    268a437  mumble: change title of windows which have the default one
	     ("Form")
    69864bd  AudioWizard: fix speech sample path

2019-02-22
  Davide Beatrici <davidebeatrici@gmail.com>
    755c290  Merge PR #3604: Add tray menu action to show the main window
    896d51a  Translation update

  trudnorx <trudnorx@protonmail.com>
    e76140b  Add tray menu action to show the main window

2019-02-09
  Davide Beatrici <davidebeatrici@gmail.com>
    ba08786  Merge PR #3595: Refactor themes.cpp and themes.h

  JustABanana <szymon@disroot.org>
    bdfda03  Refactor themes.cpp and themes.h

2019-02-07
  Davide Beatrici <davidebeatrici@gmail.com>
    1fb1e9c  Merge PR #3594: murmur: cross pkg-config build fix

2019-02-06
  Timo Gurr <timo.gurr@gmail.com>
    cd55aec  murmur: cross pkg-config build fix

2019-01-26
  Chris Knadle <Chris.Knadle@coredump.us>
    4e024a2  qmake/pkgconfig.pri: Update to allow building with Qt4

  Davide Beatrici <davidebeatrici@gmail.com>
    c176974  Merge PR #3589: Crossbuild fix
    909c13c  Merge PR #3590: Fix Duplicate Certificates In Chain Viewer

  Maxwell Cody <maxwell@cody.sh>
    ead94a8  Fix duplicate certificates in certificate chain viewer

2019-01-25
  Davide Beatrici <davidebeatrici@gmail.com>
    4976c1a  Merge PR #3577: Update copyright (2019)
    6e70999  Merge PR #3587: Global: fix migrateDataDir() not migrating the
	     data directory
    30ad8ba  Global: fix migrateDataDir() not migrating the data directory
    e154a1b  src/murmur/MurmurIceWrapper.cpp: update copyright years
    08ef8ac  Update copyright years in about dialogs for Mumble and Murmur
    ceed206  Update src/licenses.h via scripts/mklic.pl
    c4d0b00  scripts/mklic.pl: remove license for icon not present anymore
    12cf955  Update copyright years in .plist and .rc files
    b427333  Auto-update LICENSE.header in source files
    0105626  LICENSE, LICENSE.header: add 2019 to the copyright range
    15f268c  Merge PR #3586: Murmur: fix Denial of Service vulnerability in
	     msgChannelState()
    3edc46f  Murmur: fix Denial of Service vulnerability in
	     msgChannelState()

2019-01-19
  Chris Knadle <Chris.Knadle@coredump.us>
    427c746  src/mumble/mumble.pro: use PKG_CONFIG instead of hardcoding
	     call to pkg-config
    e10b155  src/mumble.pri: remove unneeded call to pkg-config to allow
	     cross building
    bb61d40  main.pro: use PKG_CONFIG instead of hardcoding call to
	     pkg-config
    50e5a2b  qmake/compiler.pri: use PKG_CONFIG instead of hardcoding call
	     to pkg-config
    40ba488  qmake/pkgconfig.pri: set PKG_CONFIG to allow making package
	     cross buildable

2019-01-18
  Davide Beatrici <davidebeatrici@gmail.com>
    e31d267  Merge PR #3576: Transifex translation update

2019-01-17
  Davide Beatrici <davidebeatrici@gmail.com>
    66f5ae9  Merge PR #3580: ConnectDialog: create "Unknown" continent,
	     never expand it automatically
    f041737  Translation update
    6084223  ConnectDialog: create "Unknown" continent, never expand it
	     automatically

2019-01-16
  Davide Beatrici <davidebeatrici@gmail.com>
    8c14906  Merge PR #3578: Remove AppVeyor configuration
    2a37f18  Remove AppVeyor configuration
    17cdab7  Merge PR #3575: Add Azure Pipelines for continuous integration
	     (Windows)
    cdecae6  README.md: add Azure Pipelines status badge
    0383dee  Add Azure Pipelines for continuous integration (Windows)

2019-01-14
  Davide Beatrici <davidebeatrici@gmail.com>
    b981566  Merge PR #3572: WASAPI: print log message when the OS blocks
	     access to the microphone

2019-01-13
  Davide Beatrici <davidebeatrici@gmail.com>
    b01639d  Translation update
    5913171  WASAPI: print log message when the OS blocks access to the
	     microphone

2019-01-02
  Davide Beatrici <davidebeatrici@gmail.com>
    5e1ec5a  Murmur: use dedicated domain for public list registration
    885187e  Merge PR #3569: Transifex translation update

2018-12-30
  Davide Beatrici <davidebeatrici@gmail.com>
    5ff6fdc  Merge PR #3566: Transifex translation update

  Kevin Zheng <kevinz5000@gmail.com>
    a78cff3  Fix build with OpenSSL 1.1.1a
    4f0394a  Update gitignore

2018-12-20
  Davide Beatrici <davidebeatrici@gmail.com>
    5f370a8  Merge PR #3464: Fix crash when Opus is not available and add
	     critical error message
    d63337d  Translation update
    2a5fa1c  Messages: show critical error message if Opus is not available
    6d01f1d  Fix crash when Opus is not available

2018-12-18
  Davide Beatrici <davidebeatrici@gmail.com>
    16c1145  Merge PR #3564: Don't drop indices on MySQL

2018-12-15
  Davide Beatrici <davidebeatrici@gmail.com>
    d7ef517  Merge PR #3418: ALSAAudioInput: use snd_pcm_drop() instead of
	     snd_pcm_drain() in class destructor

  Lorenz Brun <lorenz@dolansoft.org>
    e5aadf2  Don't drop indices, this breaks the upgrade process

2018-12-09
  Davide Beatrici <davidebeatrici@gmail.com>
    1a95cff  Merge PR #3559: Messages: fix user registration status not
	     being updated
    bb245f8  Messages: fix user registration status not being updated

2018-11-26
  Davide Beatrici <davidebeatrici@gmail.com>
    9b19e60  Merge PR #3548: Disable hiding when system tray not present

2018-11-25
  meditator <cycl0ps@tuta.io>
    c199fe5  Disable hiding when system tray not present

2018-11-04
  Davide Beatrici <davidebeatrici@gmail.com>
    bfc8749  Merge PR #3546: Transifex translation update

2018-10-29
  Prakhar Yadav <pkrc267@users.noreply.github.com>
    709db1a  corrected spelling/grammar
    aa0b42e  corrected spellings/grammar for readability
    b66cdab  corrected spellings and grammar for readability

2018-10-28
  Davide Beatrici <davidebeatrici@gmail.com>
    df8b774  Merge PR #3545: Minor corrections for better readability

2018-10-01
  Davide Beatrici <davidebeatrici@gmail.com>
    5d6978c  Merge PR #3527: Transifex translation update

2018-09-08
  Davide Beatrici <davidebeatrici@gmail.com>
    b44b1f2  Merge PR #3517: Make Rate limiter configurable

  MadMaurice <madmaurice@zom.bi>
    73a0b2f  Make Rate limiter configurable.

2018-08-31
  Davide Beatrici <davidebeatrici@gmail.com>
    f7221c1  Merge PR #3512: Lower bucket params

  MadMaurice <madmaurice@zom.bi>
    4761ca4  Lower bucket params

2018-08-30
  Davide Beatrici <davidebeatrici@gmail.com>
    44b9004  Merge PR #3510: Prevent instability and crash due to message
	     flood

  MadMaurice <madmaurice@zom.bi>
    0daec57  Prevent instability and crash due to message flood

2018-08-28
  Davide Beatrici <davidebeatrici@gmail.com>
    f672edd  Merge PR #3499: icons: update Mumble icon for macOS

2018-08-20
  Davide Beatrici <davidebeatrici@gmail.com>
    94b14fa  icons: remove unused "mumble.osx.png" image
    0db0ea3  icons: update Mumble icon for macOS
    7bf387d  Merge PR #3475: Use Mumble theme icons for the system theme

2018-08-14
  Davide Beatrici <davidebeatrici@gmail.com>
    3fa973c  Merge PR #3495: Transifex translation update

2018-08-04
  Davide Beatrici <davidebeatrici@gmail.com>
    4269b0b  Merge PR #3488: Transifex translation update

2018-08-02
  Davide Beatrici <davidebeatrici@gmail.com>
    d3cf441  Merge PR #3490: JackAudio: change disconnect_ports() so that
	     it uses stored ports instead of retrieving them using
	     jack_get_ports()
    84f3488  JackAudio: change disconnect_ports() so that it uses stored
	     ports instead of retrieving them using jack_get_ports()

2018-07-23
  Davide Beatrici <davidebeatrici@gmail.com>
    3c54253  icons: delete third party icons and move our own into
	     "classic"
    0f38d4e  Remove icons which are not used anymore from the list of files
	     to embed

2018-07-22
  Davide Beatrici <davidebeatrici@gmail.com>
    fb8466c  Themes: change skins resources path from ":/" to
	     ":/themes/Mumble"
    86be682  themes: drop redundant `builtin` path prefix

2018-07-21
  Davide Beatrici <davidebeatrici@gmail.com>
    7c08da0  Merge PR #3481: installer: copy rnnoise.dll

2018-07-20
  Edward <edm7707@gmail.com>
    09204fe  installer: copy rnnoise.dll

2018-07-17
  Davide Beatrici <davidebeatrici@gmail.com>
    adcf9fe  Merge PR #3474: Log: fix notification being triggered for own
	     messages when TTS readback is enabled
    b7c9ae6  Log: fix notification being triggered for own messages when
	     TTS readback is enabled
    91601a1  Merge PR #2902: installer: quote GUIDs in Settings.wxi.
    86197ff  Merge PR #3473: Messages: set user hash and ID on join
    3a51d6b  Messages: set user hash and ID on server join

2018-07-15
  Davide Beatrici <davidebeatrici@gmail.com>
    68aae1d  Merge PR #3468: Transifex translation update

2018-07-13
  Davide Beatrici <davidebeatrici@gmail.com>
    5039340  Merge PR #3370: Fix Boost library link for MSYS2
    68cfcc4  Merge PR #3466: Translation update

2018-07-12
  Davide Beatrici <davidebeatrici@gmail.com>
    70d336b  Translation update
    e9600d4  Merge PR #3459: Transifex translation update

2018-07-08
  Davide Beatrici <davidebeatrici@gmail.com>
    e21ff85  Merge PR #3445: Transifex translation update
    f6a6b66  Merge PR #3456: Add "--jackname" and "--jn" parameters to set
	     a custom Jack client name
    e981c61  Merge PR #3450: OpusCodec: add "libopus.so.0" (Linux) and
	     "opus.dll" (Windows) to the library names
    e3ad955  Merge PR #3454: INSTALL: document "no-jackaudio" option
    493e4a2  Add "--jackname" and "--jn" parameters to set a custom Jack
	     client name
    1781697  Merge PR #3453: AudioInput: calculate audio statistics after
	     RNNoise processing
    531e164  INSTALL: document "no-jackaudio" option
    ec11400  AudioInput: check denoiseState before calling
	     rnnoise_process_frame()
    0618356  AudioInput: calculate audio statistics after RNNoise
	     processing
    91f5e1c  Merge PR #3451: Add configurable private text message
	     notification
    7fb1e50  Translation update
    a579fc8  Add configurable private text message notification
    fbe0638  OpusCodec: add "libopus.so.0" (Linux) and "opus.dll" (Windows)
	     to the library names
    07c8e00  Merge PR #3442: Add configurable "User connected and entered
	     channel" and "User left channel and disconnected" messages
    a3c2242  Translation update
    fc4368a  Add configurable "User connected and entered channel" and
	     "User left channel and disconnected" messages

2018-07-07
  Davide Beatrici <davidebeatrici@gmail.com>
    e54f60f  Merge PR #3427: RNNoise
    854d0b2  Translation update
    37718eb  INSTALL: document RNNoise options
    b6cc8e7  rnnoise-build: define USE_MALLOC to use malloc() and free()
	     instead of variable length arrays
    0e9944f  rnnoise-build: define _USE_MATH_DEFINES for MSVC, to add the
	     M_PI macro

  main() <main@ehvag.de>
    8060171  Add RNNoise support

2018-07-06
  Davide Beatrici <davidebeatrici@gmail.com>
    42b43ee  Merge PR #3443: installer: remove unused variables
    e0ee016  Merge PR #3431: Create OpusCodec class, similar to CeltCodec,
	     in order to load Opus' functions from a shared library
    8ca51d0  Compile Opus as shared library
    8adf78d  Introduce OpusCodec to use Opus as shared library
    23f783d  installer: remove unused variables
    426cd1e  Merge PR #3441: Transifex translation update

2018-07-05
  Davide Beatrici <davidebeatrici@gmail.com>
    1098afc  Merge PR #3426: Messages: revamp channel join/leave logic and
	     add "User connected and entered channel." message
    7632305  Translation update
    c964162  Messages: revamp channel join/leave logic

2018-07-04
  Davide Beatrici <davidebeatrici@gmail.com>
    a963fd0  Merge PR #3438: Translation update
    09c71b4  Merge PR #3437: Settings: enable JACK auto-connect option by
	     default
    eded751  Translation update
    92ed3ee  Settings: enable JACK auto-connect option by default
    08d9b9c  Merge PR #3435: JACK: don't start the server if using another
	     backend, create only required ports
    e450d80  JACK: don't start the server if using another backend, create
	     only required ports
    7e15d9e  Merge PR #3436: Comment and status text fixes

2018-07-03
  Jan Klass <kissaki@posteo.de>
    5c3c96e  Add descriptive comment to release.pl
    38e8893  Fix incorrect status text in release.pl
    cfe8f80  Fix typo in comment

2018-07-02
  Bernd Buschinski <b.buschinski@googlemail.com>
    dc64e33  Jack: adapt codestyle
    7e9a767  Jack: fix possible crash on close
    00805e9  Jack: add option to autostart jackserver (default on) and
	     another one to autoconnect Jack ports (default off)
    bbaed83  Jack: improve error checking
    db3f041  Jack: fix possible crash on Mumble shutdown
    c848936  Jack: make number of output channels configurable
	     (mono/stereo)
    0017d8b  Jack: fix it always being active
    6d170c3  Jack: add stereo support
    5267074  Jack: convert spaces to tabs, to fit better with Mumble's
	     coding style

  Davide Beatrici <davidebeatrici@gmail.com>
    6ac6ae8  Fix Boost library link for MSYS2
    e399de7  Merge PR #3194: Third-party license update
    1bf549d  Merge PR #3396: Add JACK Audio support
    702c8a4  Jack: add missing <QtCore/QWaitCondition> include
    7dce59a  Travis CI: install "libjack-jackd2-dev" for Linux builds
    9e715f1  Jack: update license header

  Mark Felder <feld@feld.me>
    a1d1272  Jack: add initial support

2018-07-01
  Tim Cooper <tim.cooper@layeh.com>
    c19ac8c  Merge PR #3432: Mark installer as AppVeyor build artifact
    bf64461  Mark installer as AppVeyor build artifact

2018-06-18
  Davide Beatrici <davidebeatrici@gmail.com>
    6195761  Merge PR #3422: Fix #3411: Threaded access to Database

  Jan Klass <kissaki@posteo.de>
    222def7  Fix #3411: Threaded access to Database

2018-06-16
  Davide Beatrici <davidebeatrici@gmail.com>
    fbbdf2e  ALSAAudioInput: use snd_pcm_drop() instead of snd_pcm_drain()
	     in class destructor
    a092a44  Merge PR #3405: travis-ci: unlink Python 2 files on MacOS

2018-06-15
  Davide Beatrici <davidebeatrici@gmail.com>
    0663833  travis-ci: Fix MacOS build for new images

  Stefan Hacker <dd0t@users.sourceforge.net>
    5b034be  Accept incompatibility with other 1.3 pre-release snapshots

2018-06-14
  Stefan Hacker <dd0t@users.sourceforge.net>
    46cd35c  Fix typo
    9e0526c  Introduce channelcountlimit to limit max channels per server

2018-06-09
  Davide Beatrici <davidebeatrici@gmail.com>
    e85191b  Merge PR #3407: Transifex translation update

2018-04-29
  Tim Cooper <tim.cooper@layeh.com>
    2ad8c65  Merge PR #3403: use user leave message when user disconnects
	     and is in the same channel
    8f60ca8  use user leave message when user disconnects and is in the
	     same channel

2018-04-22
  Mikkel Krautz <mikkel@krautz.dk>
    00625d6  Merge PR #3399: Transifex translation update

2018-04-20
  Mikkel Krautz <mikkel@krautz.dk>
    af4b752  Merge PR #3398: Use Utf8 QStrings for PulseAudio

  Tasos Sahanidis <tasos@tasossah.com>
    ee08dc0  Use Utf8 QStrings for PulseAudio

2018-04-02
  Mikkel Krautz <mikkel@krautz.dk>
    2126495  Merge PR #3393: Add qtaccessiblewidgets to PLUGINS for Qt 4
	     builds.
    0fad7ad  Add qtaccessiblewidgets to PLUGINS for Qt 4 builds.

2018-04-01
  Davide Beatrici <davidebeatrici@gmail.com>
    b25ea2d  Merge PR #3392: Only invoke Q_IMPORT_PLUGIN(qico) on Windows.
    03a4d45  Merge PR #3391: XMLTools: include QXmlStream headers to get
	     proper symbols names on Qt 4.

  Mikkel Krautz <mikkel@krautz.dk>
    f69e776  Only invoke Q_IMPORT_PLUGIN(qico) on Windows.

2018-03-31
  Mikkel Krautz <mikkel@krautz.dk>
    fe732bd  XMLTools: include QXmlStream headers to get proper symbols
	     names on Qt 4.

2018-03-26
  Davide Beatrici <davidebeatrici@gmail.com>
    109ddd4  Merge PR #3383: UserModel: show muted/deafened state icon only
	     in the right hand column
    0c2a023  UserModel: show muted/deafened state icon only in the right
	     hand column
    1971dd0  Merge PR #3382: plugins/rl: update plugin and add avatar top
	     vector support
    c45695c  plugins/rl: update plugin and add avatar top vector support

2018-03-25
  Davide Beatrici <davidebeatrici@gmail.com>
    26c732f  Merge PR #3381: About: allow text in "About" tab to be
	     selected
    3575a4c  About: allow text in "About" tab to be selected

2018-03-18
  Davide Beatrici <davidebeatrici@gmail.com>
    b25db3e  Merge PR #3359: SvgIcon: add new class to work around issues
	     with SVG QIcons in Plasma/KStatusNotifierItem

  Mikkel Krautz <mikkel@krautz.dk>
    004a105  SvgIcon: add new class to work around issues with SVG QIcons
	     in Plasma/KStatusNotifierItem

2018-03-16
  Davide Beatrici <davidebeatrici@gmail.com>
    208ff15  Merge PR #3372: plugins/rl: single source file for both Linux
	     and Windows

2018-03-15
  Davide Beatrici <davidebeatrici@gmail.com>
    ebb79ee  plugins/rl: single source file for both Linux and Windows

2018-03-12
  Davide Beatrici <davidebeatrici@gmail.com>
    b230c28  Merge PR #3364: Correct case of AGL/agl.h to allow compilation
	     on case-sensitive filesystem

  Mikkel Krautz <mikkel@krautz.dk>
    e3e3263  Merge PR #3369: installer: only use WiX toolset from
	     MUMBLE_PREFIX if the MUMBLE_PREFIX env var is set.

2018-03-11
  Davide Beatrici <davidebeatrici@gmail.com>
    80f3686  Merge PR #3368: Change icon when muted/deafened
    4877327  Add push-to-mute status icon
    f540d9e  Change icon when muted/deafened

  Harald Niesche <harald@niesche.de>
    481299a  Correct case of AGL/agl.h to allow compilation on
	     case-sensitive filesystem

  Mikkel Krautz <mikkel@krautz.dk>
    adccd8c  installer: only use WiX toolset from MUMBLE_PREFIX if the
	     MUMBLE_PREFIX env var is set.

2018-03-02
  Davide Beatrici <davidebeatrici@gmail.com>
    ce8fd36  Merge PR #3354: Add per-notification setting to toggle window
	     highlight (if not active)
    dcdf069  Translation update
    21eb9cc  Add per-notification setting to toggle window highlight

2018-03-01
  Davide Beatrici <davidebeatrici@gmail.com>
    651e4d0  Merge PR #3349: Add configurable "You joined channel" and "You
	     have been moved to channel by..." messages
    a02084a  Translation update
    620c67c  Add configurable "You joined channel" and "You have been moved
	     to channel by..." messages
    3cd8b98  Merge PR #3355: Translation update
    8f7c61b  Translation update

2018-02-19
  Davide Beatrici <davidebeatrici@gmail.com>
    ec3f2ca  Merge PR #3339: Set custom build folders globally, with
	     support for shadow builds

2018-02-18
  Davide Beatrici <davidebeatrici@gmail.com>
    9a47475  g15helper: don't set custom build directory
    42e8d60  macx: don't set custom build directory
    5477e8f  overlay: set custom build directory in relation to the global
	     one
    b0974d7  plugins: set custom build directory in relation to the global
	     one
    2396580  src: set custom build directory in relation to the global one
    209255d  3rdparty: don't set custom build directories, aside from the
	     two CELT versions
    696e968  qmake: set custom build folders globally, with separated
	     directories for each build file type

2018-02-13
  Davide Beatrici <davidebeatrici@gmail.com>
    a0e2797  Build with PortAudio support only with "portaudio" CONFIG flag

  Mikkel Krautz <mikkel@krautz.dk>
    48277cb  Merge PR #3338: Build with PortAudio support if the
	     "portaudio" CONFIG flag is specified

2018-02-11
  Mikkel Krautz <mikkel@krautz.dk>
    e25cc49  scripts/mklic.pl, 3rdPartyLicenses: add libffi license.
    8eb9dfd  scripts/mklic.pl, 3rdPartyLicenses: add libdaemon license.
    185a0aa  scripts/mklic.pl, 3rdPartyLicenses: add libcap2 license.
    33a1a05  scripts/mklic.pl, 3rdPartyLicenses: add glib license.
    c93692c  scripts/mklic.pl, 3rdPartyLicenses: add libfuse license.
    4a83bb8  scripts/mklic.pl, 3rdPartyLicenses: add squashfuse license.
    c310c42  scripts/mklic.pl, 3rdPartyLicenses: add AppImage runtime
	     license.
    8407b49  scripts/mklic.pl, 3rdPartyLicenses: add D-Bus license.
    eae5e74  scripts/mklic.pl, 3rdPartyLicenses: add Avahi license.
    2a2a0e0  scripts/mklic.pl, 3rdPartyLicenses: add XAR license.
    ec789c6  scripts/mklic.pl, 3rdPartyLicenses: add SQLite3 license.
    0eb596a  scripts/mklic.pl, 3rdPartyLicenses: add Qt license.
    ced5a50  scripts/mklic.pl, 3rdPartyLicenses: add PCRE license.
    9b1f221  scripts/mklic.pl, 3rdPartyLicenses: add mDNSResponder license.
    1d0e700  scripts/mklic.pl, 3rdPartyLicenses: add mcpp license.
    4f846c3  scripts/mklic.pl, 3rdPartyLicenses: add ZeroC Ice license.
    ab20c90  scripts/mklic.pl, 3rdPartyLicenses: add libjpeg-turbo license.
    ae213d7  scripts/mklic.pl, 3rdPartyLicenses: add libpng license.
    51907d0  scripts/mklic.pl, 3rdPartyLicenses: add harfbuzz-ng license.
    bbc0cb5  scripts/mklic.pl, 3rdPartyLicenses: add freetype license.
    f47335c  scripts/mklic.pl, 3rdPartyLicenses: add BerkeleyDB license.
    b07551d  scripts/mklic.pl, 3rdPartyLicenses: add bzip2 license.
    96cd9b9  scripts/mklic.pl, 3rdPartyLicenses: add Boost license.
    a19b388  scripts/mklic.pl, 3rdPartyLicenses: add expat license.
    44b1248  scripts/mklic.pl, 3rdPartyLicenses: add protobuf license.
    717cefc  scripts/mklic.pl, 3rdPartyLicenses: add zlib license.
    84e0f7d  scripts/mklic.pl: add MariaDB Connector/C license.
    6fc31cb  scripts/mklic.pl: Use MinHook license from
	     3rdparty/minhook-src.
    ada91f1  3rdPartyLicenses: update OpenSSL license.
    0dddc43  Merge PR #3337: XMLTools: remove unused default argument
	     'opstyle' in recurseParse().
    7f52257  XMLTools: remove default argument 'opstyle' in recurseParse().

2018-02-10
  Mikkel Krautz <mikkel@krautz.dk>
    39c526a  Merge PR #3335: Update mumble.desktop

  ronnystandtke <ronny.standtke@gmx.net>
    dfef2eb  Update mumble.desktop

2018-02-08
  Tim Cooper <tim.cooper@layeh.com>
    23b171c  ignore connecting users in qhUsers hash in gRPC implementation

2018-01-29
  Jan Klass <kissaki@posteo.de>
    c8ed9f9  Fix error when handling TCP tunneled UDP voice packets

  Mikkel Krautz <mikkel@krautz.dk>
    aa90739  Merge PR #3326: Fix error when handling TCP tunneled UDP voice
	     packets

2018-01-27
  Mikkel Krautz <mikkel@krautz.dk>
    16810dd  Merge PR #3322: SelfSignedCertificate: fix automatic
	     certificate generator
    b28c30a  TestSelfSignedCertificate: add tests that exercise new email
	     SAN behavior.
    519d04b  SelfSignedCertificate: only add email SAN to client certs if
	     the passed-in email is non-empty.
    7dd6ec6  SelfSignedCertificate: add missing 'goto out's.

2018-01-25
  Davide Beatrici <davidebeatrici@gmail.com>
    92011a9  TestSelfSignedCertificate: Change empty name and email test to
	     work with SelfSignedCertificate's new logic
    e017c40  TestSelfSignedCertificate: Check that both "cert" and "key"
	     are not empty
    d47f2e3  SelfSignedCertificate: Fix automatic certificate generator, by
	     specifying the certificate type with an enum

  Mikkel Krautz <mikkel@krautz.dk>
    1273ba9  Merge PR #3318: Fix changes made in #3311

2018-01-23
  Davide Beatrici <davidebeatrici@gmail.com>
    6d8dcdc  PulseAudio.cpp: Revert changes applied by commit 0b5579c and
	     comment intentional fallthroughs
    f2d0a2f  Server.cpp: Remove line of code accidentally added in commit
	     0b5579c

2018-01-22
  Davide Beatrici <davidebeatrici@gmail.com>
    1b203cd  Merge PR #3311: Fix and refactor problems found via GCC 7's
	     -Wimplicit-fallthrough.

2018-01-21
  Davide Beatrici <davidebeatrici@gmail.com>
    0b5579c  Fix and refactor problems found via GCC 7's
	     -Wimplicit-fallthrough.
    6bd9bc9  Correctly handle ServerResolver errors, with dedicated signal
	     and slot

  Mikkel Krautz <mikkel@krautz.dk>
    e5ff9c5  Merge PR #3310: Correctly handle ServerResolver errors, with
	     dedicated signal and slot

2018-01-20
  Mikkel Krautz <mikkel@krautz.dk>
    71ab5b0  Merge PR #3313: scripts/travis-ci: bump apt timeout in
	     before_install.bash.
    031abd0  Merge PR #3315: scripts/travis-ci: fix MUMBLE_NO_PCH checks in
	     script.bash.
    6a1663a  scripts/travis-ci: fix MUMBLE_NO_PCH checks in script.bash.
    edd1de0  scripts/travis-ci: bump apt timeout in before_install.bash.

2018-01-15
  Mikkel Krautz <mikkel@krautz.dk>
    a189969  Merge PR #3304: ServerHandler, Settings: add ping interval and
	     connection timeout duration settings.

2018-01-14
  Mikkel Krautz <mikkel@krautz.dk>
    97d776a  ServerHandler: use ping interval and connection timeout
	     duration from Settings instead of magic numbers.
    5d4a7d3  Settings: implement settings for ping interval and connection
	     timeout duration.
    b7b16cf  Merge PR #3305: scripts/travis-ci: use our own
	     (Fastly-fronted) mirror of pkg.mxe.info.
    8b1ef2e  scripts/travis-ci: use our own (Fastly-fronted) mirror of
	     pkg.mxe.info.
    2c24ee0  Merge PR #3303: ServerHandler: do not send pings unless the
	     TLS handshake has completed.

2018-01-13
  Mikkel Krautz <mikkel@krautz.dk>
    d188861  ServerHandler: do not send pings unless the TLS handshake has
	     completed.

2018-01-12
  Davide Beatrici <davidebeatrici@gmail.com>
    e348e47  Remove leftover includes from "main" and "macx" project files

  Mikkel Krautz <mikkel@krautz.dk>
    1844f21  Merge PR #3301: GRPC: fix deadlock in removeChannel

2018-01-09
  Jonas Herzig <me@johni0702.de>
    fb4451d  GRPC: fix deadlock in removeChannel

2018-01-08
  Mikkel Krautz <mikkel@krautz.dk>
    28a8e64  Merge PR #3298: Update gRPC server to work with recent gRPC
	     versions

2018-01-07
  Jonas Herzig <me@johni0702.de>
    27edcd4  GRPC: remove unsafe calls to IsCancelled
    76a1757  GRPC: fix flipped logic in removeTextMessageFilter
    92cd615  GRPC: use AsyncNotifyWhenDone instead of cleanup timer

2018-01-05
  Mikkel Krautz <mikkel@krautz.dk>
    76eb586  Merge PR #3277: .travis.yml: remove mingw builds from
	     allow_failures.
    f41b058  .travis.yml: remove mingw builds from allow_failures.
    820ee72  Merge PR #3295: Disable SRV tests when running on Wine

2018-01-04
  Mikkel Krautz <mikkel@krautz.dk>
    28f55af  TestServerResolver: reference upstream WineHQ bug in tests
	     skipped on Wine.
    3dd8f1d  PlatformCheck: add a reference to the Wine wiki for our Wine
	     detection code.
    159be4b  PlatformCheck: do not assign QLibrary::resolve() retval to
	     variable for wider compatibility.
    f0c2d8b  TestServerResolver: skip SRV tests when running on Wine.
    5192831  src/tests: update .pro files to append to SOURCES and HEADERS
	     instead of overwriting them.
    29ebd2b  Build PlatformCheck into all test binaries.
    3c400f4  Add PlatformCheck class, for runtime platform detection.

2018-01-02
  Mikkel Krautz <mikkel@krautz.dk>
    3ffd9ad  Merge PR #3291: 2018: Happy New Year

2018-01-01
  Mikkel Krautz <mikkel@krautz.dk>
    d007191  Re-generate MurmurIceWrapper.cpp via scripts/mkwrapper.pl.
    acb43a2  Update copyright years in about dialogs for Mumble and Murmur.
    cc88443  Update src/licenses.h via scripts/mklic.pl.
    23261e2  Update copyright years in .plist and .rc files.
    f6ba3a5  Auto-update LICENSE.header in source files.
    4c69e1d  LICENSE, LICENSE.header: add 2018 to the copyright range.

2017-12-31
  Mikkel Krautz <mikkel@krautz.dk>
    caa1873  Merge PR #3287: AudioOutput: do not use non-existant template
	     version of std::abs.
    6ca110a  src/tests: add TestStdAbs test.
    a221fed  mumble_pch.hpp: explicitly include <cmath>.
    ea861fe  AudioOutput: do not use non-existant template version of
	     std::abs.
    ab5ecba  Merge PR #3289: qmake/compiler.pri: target macOS 10.8 when
	     building against Qt 5.10 or above.
    7ed03e6  OSInfo: ignore deprecation warnings for Gestalt.
    da3222d  qmake/compiler.pri: target macOS 10.8 when building against Qt
	     5.10 or above.

2017-12-02
  Davide Beatrici <davidebeatrici@gmail.com>
    742a5d9  Merge PR #3276: GlobalShortcut_win: fix std::/boost::
	     confusion in comment.

  Mikkel Krautz <mikkel@krautz.dk>
    53912f6  GlobalShortcut_win: fix std::/boost:: confusion in comment.

2017-11-30
  Davide Beatrici <davidebeatrici@gmail.com>
    6bfd039  Merge PR #3272: ManualPlugin.cpp: "MublePluginQt" ->
	     "MumblePluginQt"

2017-11-29
  Davide Beatrici <davidebeatrici@gmail.com>
    60d18cd  ManualPlugin.cpp: "MublePluginQt" -> "MumblePluginQt"

2017-11-26
  Mikkel Krautz <mikkel@krautz.dk>
    3125439  Merge PR #3168: Log: remove support for external images.
    24e437c  Merge PR #3230: overlay_gl: linux: only assume absolute
	     dynamic entries on glibc.
    2d89506  Merge PR #3270: Assorted MinGW fixes
    b65b55c  mumble.pro: add correct Boost libraries to LIBS, now that we
	     use boost_thread in GlobalShortcut_win.
    fa981e5  os_early_win: make compat_layer_env const to avoid GCC
	     writable strings error.
    ba2a202  os_early_win: use 0 instead of NULL for ulOptions DWORD
	     parameter in RegOpenKeyEx.
    e91f282  GlobalShortcut_win: use boost::future/boost::promise instead
	     of std:: variants for better MinGW compatibility.
    48f3eb9  Merge PR #3268: Fix SRV port bugs in ServerResolver and
	     ConnectDialog
    7acf687  ConnectDialog: use port from ServerResolverRecord instead of
	     original port from ServerResolver::port().
    04a8a5d  ServerResolver: fix bug where ServerResolver_qt5 would always
	     pass on the original port given to the resolver.

2017-11-19
  Davide Beatrici <davidebeatrici@gmail.com>
    fba1d65  Merge PR #3262: Plugins: Determine correct pointer size
	     automatically, without the need of specific headers and
	     variables
    2a51c7b  Accomplish changes in all the plugins
    f397c40  Replace legacy header with the new one
    7286fb0  Determine correct pointer size automatically, without the need
	     of specific headers and variables

2017-11-13
  Davide Beatrici <davidebeatrici@gmail.com>
    8bf71ba  Merge PR #3264: Ignore "target_wrapper.sh", ".directory" and
	     all files with ".Debug" and ".Release" extensions

2017-11-12
  Davide Beatrici <davidebeatrici@gmail.com>
    ea08127  Ignore "target_wrapper.sh", ".directory" and all files with
	     ".Debug" and ".Release" extensions

2017-11-11
  Davide Beatrici <davidebeatrici@gmail.com>
    3eae0dc  Merge PR #3182: Allow Prefilling Add Server Dialog With HTTP
	     URLs

  Jan Klass <kissaki@posteo.de>
    d25feb7  Update theme submodule for changes of PR #3182
    2a4413e  Do not update fill suggestion on clipboard changes

2017-10-28
  Davide Beatrici <davidebeatrici@gmail.com>
    894ade2  Merge PR #3257: ServerHandler.cpp: Remove
	     "Qt::QueuedConnection" attribute for connection between
	     "readyRead()" and "udpReady()"
    1121ef9  ServerHandler.cpp: Remove "Qt::QueuedConnection" attribute for
	     connection between "readyRead()" and "udpReady()"

2017-10-22
  Stefan Hacker <dd0t@users.sourceforge.net>
    12de49e  Switch client DB to sqlite synchronization mode NORMAL

2017-10-17
  Davide Beatrici <davidebeatrici@gmail.com>
    d2943a5  Merge PR #3250: Fixed crashing on disconnect
    04c0578  Merge PR #3252: Check ClientUser pointer before dereference

  pchk <pchk@mail.com>
    c45957d  Fixed crashing on disconnect
    86f7815  Check ClientUser pointer before dereference

2017-10-15
  Jan Klass <kissaki@posteo.de>
    a8d8c13  Merge PR #3249: Fix travis OSX build
    ed06886  Fix travis OSX build
    e03989e  Merge PR #3240: Fix travis osx build; Add Ice 3.7 support

2017-10-02
  Jan Klass <kissaki@posteo.de>
    264d1ed  Replace obsolete Ice statements for Ice >= 3.7
    387fc01  Fix Travis OSX build - add keg slice subpath

2017-09-03
  Matthias von Faber <mvf@gmx.eu>
    2903f3b  overlay_gl: linux: only assume absolute dynamic entries on
	     glibc.

2017-08-24
  Alexis Jeandeau <alexis.jeandeau@gmail.com>
    ba6d829  MurmurGRPCImpl.cpp: fix typo

  Davide Beatrici <davidebeatrici@gmail.com>
    f2cbebd  Merge PR #3227: MurmurGRPCImpl.cpp: fix typo

2017-08-19
  Jan Klass <kissaki@posteo.de>
    c33f5de  Fix code formatting

2017-08-12
  Mikkel Krautz <mikkel@krautz.dk>
    13bad23  Merge PR #3222: GlobalShortcutWin: fall back to 'Unknown' for
	     unknown DirectInput buttons.
    9ff8232  GlobalShortcutWin: fall back to 'Unknown' for unknown
	     DirectInput buttons.
    9709ed8  ConnectDialogEdit: layout updates.

2017-08-07
  Jan Klass <kissaki@posteo.de>
    cea7064  ConnectDialog: Show fill suggestion for current server
    2758a7c  ConnectDialog: Try to disable vertical resizability
    2f609a2  ConnectDialog: Update prefill-ability notice on clipboard
	     changes
    0298ac4  ConnectDialog: Handle HTTP URLs from clipboard

  Mikkel Krautz <mikkel@krautz.dk>
    d196a4b  Merge PR #3219: mumble.pri: make SOURCES and HEADERS
	     multiline.
    923d649  Merge PR #3184: murmur/Cert: remove auto-generation of
	     Diffie-Hellman parameters.
    9550487  Merge PR #3185: Allow users to specify RFC 7919 Diffie-Hellman
	     parameters for the sslDHParams murmur.ini option
    807869b  Merge PR #3208: GlobalShortcutWin, MumbleApplication: add
	     suppression support for injected Windows keyboard/mouse
	     message events.

2017-08-06
  Jan Klass <kissaki@posteo.de>
    90bf3f9  ConnectDialog: Move ConnectDialogEdit prefill logic into
	     separate constructor
    571c84f  ConnectDialog: Move default server name logic to fromMimeData
    dc01f27  ConnectDialog: Separate fromMimeData and fromUrl
    f6d25e5  ConnectDialog: Describe parsing of windows URL shortcut files
    c28a0f7  ConnectDialog: Add missing password label buddy

  Mikkel Krautz <mikkel@krautz.dk>
    1ea4b92  Meta: fix error message shown when using sslDHParams option
	     with Qt without DH support.
    b22f9c3  GlobalShortcutWin, MumbleApplication: add suppression support
	     for injected Windows keyboard/mouse message events.
    2a84ae6  Meta: make sslDHParams errors fatal instead of critical.
    7b4535c  Meta: improve error message when sslDHParams contains unknown
	     named group.
    7d83448  FFDHE: add NamedGroups method for getting a list of supported
	     named groups.
    1178f64  scripts/murmur.ini: update default murmur.ini to reflect new
	     FFDHE feature.
    4098109  Meta: use @ffdhe2048 as default value for sslDHParams.
    5b3190e  Meta: implement support for named DH parameters for
	     sslDHParams option.
    b505857  mumble.pri: make SOURCES and HEADERS multiline.
    5db1fa4  Merge PR #3218: Remove DIST directive from all .pro files.
    828d930  Remove DIST directive from all .pro files.
    ec254df  Merge PR #3217: GlobalShortcut: fix typo in What's This for
	     'Enable shortcuts in privileged applications'
    4e1df3b  GlobalShortcut: fix typo in What's This for 'Enable shortcuts
	     in privileged applications'
    52ad772  Merge PR #3207: GlobalShortcutWin, MumbleApplication: inject
	     native WM_* keyboard and mouse messages into
	     GlobalShortcutWin.
    cce4851  Merge PR #3214: Add greek translation for installer
    4411059  Merge PR #3213: Fix indentation and spacing in pro files

  thalieht <yjapysgr@sharklasers.com>
    608028b  Add greek translation for installer

2017-08-05
  Jan Klass <kissaki@posteo.de>
    23e7638  Fix assignment spacing in pro files
    27a983d  Fix indentation in pro files

  Mikkel Krautz <mikkel@krautz.dk>
    a3f0eb6  Merge PR #3212: Allow users to disable UIAccess via Additional
	     Shortcut Engines setting.
    805985d  GlobalShortcut: add UI to allow users to opt-out of UIAccess.
    4bdf673  os_early_win: implement ability to disable UIAccess via config
	     option.
    64a1cb3  os_early: a new mechanism for running OS-specific tasks
	     immediately upon entering main().
    cfb7df4  Settings: add 'shortcut/windows/uiaccess/enable' setting.

2017-08-03
  Giovanni Harting <539@idlegandalf.com>
    39f861e  fixed major version extraction
    0452789  refined version checking logic
    a8e2f93  added include path for ice 3.7, added logic for removed
	     IceUtils lib

  Mikkel Krautz <mikkel@krautz.dk>
    f90ab07  Merge PR #3211: [BUILD] ZeroC Ice 3.7 compatibility

2017-08-01
  Mikkel Krautz <mikkel@krautz.dk>
    a0ddf8e  GlobalShortcut_win: only allow injection of native
	     keyboard/mouse messages if Windows hooks are enabled.

2017-07-30
  Mikkel Krautz <mikkel@krautz.dk>
    bfb74a6  MumbleApplication: forward native Windows mouse/keyboard
	     events from nativeEventFilter/winEventFilter into
	     GlobalShortcutWin.
    4f0a748  GlobalShortcutWin: implement public API for injecting native
	     Windows keyboard/mouse events.
    e4f7256  GlobalShortcutWin: handle incoming InjectKeyboardMessageEvent
	     and InjectMouseMessageEvent events.
    22d6396  GlobalShortcutWin: implement InjectKeyboardMessageEvent and
	     InjectMouseMessageEvent QEvents.
    1648741  GlobalShortcutWin: refactor HookKeyboard and HookMouse
	     callbacks into functions.
    567f33a  GlobalShortcutWin: add comment about button indexes in
	     HookMouse().
    4f87be8  Merge PR #3204: GlobalShortcutWin: remove code related to the
	     in-overlay Mumble client.

2017-07-29
  Mikkel Krautz <mikkel@krautz.dk>
    e336368  GlobalShortcut, GlobalShortcutWin: MumbleApplication: remove
	     GlobalShortcut::prepareInput().
    4bf0355  GlobalShortcutWin: remove code related to the in-overlay
	     Mumble client.
    36cb960  Merge PR #3183: FFDHE: add new class for accessing RFC 7919
	     Diffie-Hellman parameters.

2017-07-28
  Mikkel Krautz <mikkel@krautz.dk>
    d993b83  FFDHE: new class for accessing RFC 7919 FFDHE parameters.
    a590ad9  scripts: add generate-ffdhe.py for generating FFDHETable.h.
    5aaf1ed  Merge PR #3199: src/murmur: remove CONFIG(ermine), use
	     CONFIG(buildenv) instead.
    4566f09  Merge PR #3198: ConnectDialog: re-arrange lookedUp() code to
	     avoid recursive runloop problem.
    2724ff5  Merge PR #3201: MurmurGRPCImpl.h: declare variable for
	     QMutexLocker in RPCSingleStreamCall class.

2017-07-24
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    ec61c2b  Merge PR #3202: scripts/murmur.ini: fix minor typo in gRPC
	     comment.

  Mikkel Krautz <mikkel@krautz.dk>
    f3aed2a  src/murmur: remove CONFIG(ermine), use CONFIG(buildenv)
	     instead.
    f47562b  scripts/murmur.ini: fix minor typo in gRPC comment.
    daca82c  MurmurGRPCImpl.h: declare variable for QMutexLocker in
	     RPCSingleStreamCall class.

2017-07-23
  Mikkel Krautz <mikkel@krautz.dk>
    ac9fa64  Merge PR #3195: Update AUTHORS and src/licenses.h.
    af0b2ec  Merge PR #3196: Merge murmur.grpc.ini and murmur.ini
    bb4b36d  ConnectDialog: re-arrange lookedUp() code to avoid recursive
	     runloop problem.
    c0be50a  Make Murmur warn if any of the grpc options are set, but the
	     binary is built without gRPC support.
    863cb3b  scripts: remove gRPC-specific murmur.ini.
    899e1f4  src/licenses.h: re-run scripts/mklic.pl with new AUTHORS file.
    e354493  AUTHORS: update via scripts/generate-AUTHORS.py.

2017-07-20
  Mikkel Krautz <mikkel@krautz.dk>
    38c525e  Merge PR #3190: GlobalShortcut_win: delete poll timer inside
	     the GlobalShortcut thread.
    14ac2b3  Merge PR #3188: Overlay_win: properly terminate our overlay
	     helper processes.
    00e1cfc  GlobalShortcut_win: delete poll timer inside the
	     GlobalShortcut thread.
    3ea9f08  Overlay_win: properly terminate our overlay helper processes.

2017-07-19
  Mikkel Krautz <mikkel@krautz.dk>
    3ee0728  installer: revert "installer: force uninstall before install."
    bed5763  murmur/Cert: remove auto-generation of Diffie-Hellman
	     parameters.

2017-07-17
  Mikkel Krautz <mikkel@krautz.dk>
    5b82a7a  Merge PR #3174: SSL: register OpenSSL threading callbacks when
	     we can't access Qt's OpenSSL.
    80916fd  Merge PR #3181: .gitmodules: always use our own submodule
	     repos on GitHub.
    a642894  .gitmodules: always use our own submodule repos on GitHub.
    f6fb4d8  src/tests: add TestSSLLocks test for testing our OpenSSL
	     locking implementation.
    6892c8b  src/tests: update tests to initialize and destroy the
	     MumbleSSL module to ensure OpenSSL is properly initialized.
    72e0a78  SSL: register OpenSSL threading callbacks when we can't access
	     Qt's OpenSSL.
    f041bdb  SSL: add destroy() function to the SSL module.

2017-07-16
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    6f434d3  Merge PR #3179: UserListModel.cpp: "id" -> "ID"
    5564901  Merge PR #3178: Log.cpp: "ftp" -> "FTP"

  Allan Nordhøy <epost@anotheragency.no>
    d001702  ID
    12b0a16  FTP

2017-07-15
  Mikkel Krautz <mikkel@krautz.dk>
    6770eac  Merge PR #3176: SelfSignedCertificate: add missing newline to
	     SelfSignedCertificate.cpp.
    b5c17b8  SelfSignedCertificate: add missing newline to
	     SelfSignedCertificate.cpp.
    38e647f  Merge PR #3173: scripts/mkini-win32.bat: perform LF -> CRLF
	     conversion.

2017-07-14
  Jan Klass <kissaki@posteo.de>
    d817937  Merge PR #3171: SelfSignedCertificate: new class for creation
	     of self-signed certificates.
    9d4691c  Merge PR #3172: ServerResolver: treat SRV lookups that return
	     NOERROR but no records as errors.
    d6e327d  Merge PR #3166: TestServerResolver: add CNAME test.

  Mikkel Krautz <mikkel@krautz.dk>
    c2a3e2f  scripts/mkini-win32.bat: perform LF -> CRLF conversion.
    7578e85  Settings: remove iMaxImageSize and deprecate
	     'net/maximagesize'.
    cf93bd6  NetworkConfig: remove 'disable image download' option from the
	     UI.
    119bb5c  Log: remove support for external images.
    a69668a  SelfSignedCertificate: new class for creation of self-signed
	     certificates.

2017-07-13
  Jan Klass <kissaki@posteo.de>
    e79ca50  Merge PR #3169: Settings: add DEPRECATED macro for keeping
	     old, reserved names around.
    5357472  Merge PR #3167: Log: remove dead m_valid code from
	     LogDocument.
    65bb0e6  Make use of Qt5 QSignalSpy::wait to make tests succeed earlier
    d3938c1  Fix #3162: Travis builds could fail with timeout
    36fc0f1  overlay: Use size_t as correct type for memory addresses
    7689647  Remove type variable prefix

  Mikkel Krautz <mikkel@krautz.dk>
    350ad28  TestServerResolver: add CNAME test.
    a318787  Merge PR #3170: Fix #3162: Travis builds could fail with
	     timeout
    ea5c038  Merge PR #3160: overlay: Use SIZE_T as correct type for memory
	     addresses
    2bd0b7e  ServerResolver: treat SRV lookups that return NOERROR but no
	     records as errors.
    8acdb95  Settings: add DEPRECATED macro for keeping old, reserved names
	     around.
    708821d  Log: remove dead m_valid code from LogDocument.

2017-07-12
  Jan Klass <kissaki@posteo.de>
    49b80d8  Merge PR #3165: Translation update
    911f957  Merge PR #3164: ServerHandler: avoid leaking ServerResolver in
	     ::run().

  Mikkel Krautz <mikkel@krautz.dk>
    f7b7cf4  Translation update
    37b84ed  ServerHandler: avoid leaking ServerResolver in ::run().

2017-07-11
  Jan Klass <kissaki@posteo.de>
    ce864c7  Cast to correct API types

  Mikkel Krautz <mikkel@krautz.dk>
    9a2fa24  Merge PR #3161: Cast to correct API types

2017-07-09
  Mikkel Krautz <mikkel@krautz.dk>
    fcb367f  Merge PR #3157: Log: remove the notion of an invalid
	     LogDocument.
    ab783c7  Log: remove the notion of an invalid LogDocument.
    a4e859e  Merge PR #3156: Add toggle to lock layout when in custom
	     layout mode

2017-07-08
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    6cd17bd  Merge PR #3154: ServerHandler: ensure only a single connection
	     timeout timer is active at one time.

  Max Weber <mii7303@gmail.com>
    e72a22f  Add toggle to lock layout when in custom layout mode

  Mikkel Krautz <mikkel@krautz.dk>
    ffc8bf1  ServerHandler: ensure only a single connection timeout timer
	     is active at one time.

2017-07-07
  Mikkel Krautz <mikkel@krautz.dk>
    c93b087  Merge PR #3152: ServerHandler: fix broken hostname validation.
    ae392dc  ServerHandler: fix broken hostname validation.

2017-07-06
  Davide Beatrici <davidebeatrici@gmail.com>
    90777a9  ServerAddress.cpp: Fix ServerAddress ports comparison typo
    2b3d75c  TestServerAddress.pro: HostAddresss.h -> HostAddress.h

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    176c041  Merge PR #3150: ServerAddress.cpp: Fix ServerAddress ports
	     comparison typo
    8275f77  Merge PR #3149: TestServerAddress.pro: HostAddresss.h ->
	     HostAddress.h

  Mikkel Krautz <mikkel@krautz.dk>
    3fcd786  Merge PR #3151: ServerHandler: add missing return for hostname
	     lookup failure case.
    7f8b2d3  ServerHandler: add missing return for hostname lookup failure
	     case.
    cada677  Merge PR #3148: Update Opus to v1.2.1

2017-07-04
  Davide Beatrici <davidebeatrici@gmail.com>
    e4bcede  Update Opus to v1.2.1

  James Fraser <fwaggle@fwaggle.org>
    eba7466  Make comparison case-insensitive in ConnectDialog.cpp

  Mikkel Krautz <mikkel@krautz.dk>
    455ab19  Merge PR #3147: Make comparison case-insensitive in
	     ConnectDialog.cpp

2017-06-23
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    8029f3f  Merge PR #3140: Transifex translation update

2017-06-16
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    ae6e08c  Merge PR #3133: Transifex translation update

2017-06-11
  Mikkel Krautz <mikkel@krautz.dk>
    e913a44  Merge PR #3127: Implement new hostname resolving
	     infrastructure

2017-06-10
  Mikkel Krautz <mikkel@krautz.dk>
    8f8aa1a  ServerHandler: integrate ServerResolver.
    edd95a8  ServerHandler: transform run() to a do-while loop in
	     preparation of server fallback in SRV.
    5976158  ServerHandler: manually perform the TLS handshake.
    23b2c52  ServerHandler: use qsHostName as the hostname for the TLS
	     handshake.
    9560c23  ServerHandler: ensure pings are only sent when in the
	     Connected state.
    d88fb6c  ServerHandler: make qtsSock a member variable.
    d238eaf  ConnectDialog: update the connect dialog to use ServerResolver
	     for hostname lookups.
    8068772  TestServerResolver: make the test Qt 4 compatible.
    75a4008  TestServerResolver: modify test to work on systems that do not
	     support both IPv4 and IPv6.
    ea7af99  ServerResolver: add new class for hostname resolving
	     (including SRV support).
    67838db  ConnectDialog, Database: use UnresolvedServerAddress type for
	     the ping cache.
    b1d901b  ConnectDialog: use ServerAddress for address list in
	     ServerItem, and for qhDNSCache.
    f2ee244a  ConnectDialog: use ServerAddress instead of QPair-based
	     qpAddress type.
    332c371  ServerAddress: new struct for containing a HostAddress along
	     with a port number.
    ac34059  UnresolvedServerAddress: add new struct for holding an
	     unresolved hostname/port pair.

2017-06-08
  Antonio Larrosa <larrosa@kde.org>
    9fa4922  Initialize siInfo.format

  Mikkel Krautz <mikkel@krautz.dk>
    d472e06  Merge PR #3125: Initialize siInfo.format

2017-06-07
  Mikkel Krautz <mikkel@krautz.dk>
    a0eba81  Merge PR #3123: Transifex translation update

2017-06-04
  Mikkel Krautz <mikkel@krautz.dk>
    d66eeeb  Merge PR #3118: WASAPI, Settings: expose 'wasapi/role' setting
	     to allow users to set WASAPI role.
    2018934  WASAPI, Settings: expose 'wasapi/role' setting to allow users
	     to set WASAPI role.

2017-06-03
  Mikkel Krautz <mikkel@krautz.dk>
    4de645c  Merge PR #3114: mumble_exe: fix typo and simplify comment
	     about LoadLibraryEx bug.
    cff7ce7  mumble_exe: fix typo and simplify comment about LoadLibraryEx
	     bug.
    d3bacc5  Merge PR #3113: mumble_exe: document LoadLibraryEx workaround
	     for mumble-voip/mumble#2837.
    8ba982f  mumble_exe: document LoadLibraryEx workaround for
	     mumble-voip/mumble#2837.

2017-06-01
  Davide Beatrici <davidebeatrici@gmail.com>
    d0db59b  Remove unnecessary "-ldl" library from Mumble and Murmur
	     project files

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    7c77b8c  Merge PR #3111: Remove unnecessary "-ldl" library from Mumble
	     and Murmur project files
    9ef302e  Merge PR #3110: Transifex translation update

  Mikkel Krautz <mikkel@krautz.dk>
    13bc12d  Merge PR #3109: SSL: remove multi-OpenSSL sanity check.
    f544524  SSL: remove qsslSanityCheck.
    dff1557  SSL: also initialize Mumble's copy of libssl/libcrypto.

2017-05-31
  Mikkel Krautz <mikkel@krautz.dk>
    30a9176  Merge PR #3107: murmur.ini: Remove extra whitespaces
    d1baf4f  Merge PR #3037: Replacing grayed out with closed mouth icon

2017-05-30
  concatime <concatime@users.noreply.github.com>
    908e17d  Update murmur.ini

2017-05-25
  Mikkel Krautz <mikkel@krautz.dk>
    3754898  Merge PR #3099: src/tests: make TestTimer's resolution test
	     more VM friendly.
    389d82b  src/tests: make TestTimer's resolution test more VM friendly.

2017-05-23
  Mikkel Krautz <mikkel@krautz.dk>
    4481729  Merge PR #3098: AudioInput, Settings: add
	     'audio/inputchannelmask' setting for selecting which mic
	     channels should be mixed.

2017-05-21
  Jan Klass <kissaki@posteo.de>
    5205818  Merge PR #3083: Move RichTextEditor XML tool methods into
	     separate class and add Tests
    41dbb4b  Add XMLTools tests
    2b62693  Add mumble and murmur paths to VPATH
    7d081f7  Improve method documentation
    367fba9  Move XML functions into separate class

2017-05-20
  Jan Klass <kissaki@posteo.de>
    d8f7800  Make use of EnvUtils::setenv
    f7657b5  Make use of EnvUtils in murmur

  Mikkel Krautz <mikkel@krautz.dk>
    a6cae4f  Merge PR #3056: Make EnvUtils available to murmur, implement
	     setenv
    03de498  AudioInput, Settings: add 'audio/inputchannelmask' setting for
	     selecting which mic channels should be mixed.
    3399a50  Implement EnvUtils::setenv
    d783c09  EnvUtils: fix documentation comment in header.
    b8c70b7  EnvUtils: convert EnvUtils to use local 8-bit instead of
	     UTF-8.

2017-05-15
  Mikkel Krautz <mikkel@krautz.dk>
    a7c8344  Merge PR #3095: murmur/Cert: OPENSSL_VERSION ->
	     OPENSSL_VERSION_NUMBER.
    cbeed58  murmur/Cert: OPENSSL_VERSION -> OPENSSL_VERSION_NUMBER.

2017-05-14
  Mikkel Krautz <mikkel@krautz.dk>
    dde8173  Merge PR #3093: OpenSSL include fixes
    7e10fc2  murmur_pch: include <openssl/opensslv.h>.
    7be4861  murmur_pch: explicitly include <openssl/bn.h>.
    449c797  Merge PR #3059: Recompress png files and ico files
    5c9a46e  Merge PR #3068: Added a "Undo Idle action upon activity"
	     setting.

2017-05-13
  Mikkel Krautz <mikkel@krautz.dk>
    10511de  Merge PR #3091: src/tests: remove fragile TestTimer tests.

2017-05-12
  Mikkel Krautz <mikkel@krautz.dk>
    a221dee  src/tests: remove fragile TestTimer tests.

2017-05-11
  Jan Klass <kissaki@posteo.de>
    c7d5d5a  Fix #3021: Update cert wizard introductory text

  Mikkel Krautz <mikkel@krautz.dk>
    97c34f4  Merge PR #3084: Fix #3021: Update cert wizard introductory
	     text
    6aba984  Merge PR #3080: murmur/Cert: check for 'Murmur Autogenerated
	     Certificate' prefix instead of explicit version in self-signed
	     cert check.
    50c94b0  Merge PR #3086: Fix #3085: Display correct, new icon
    80602a3  Merge PR #3088: add trailing ellipses to each main window
	     action text that open a window or dialog
    576c017  Merge PR #3089: Transifex translation update

2017-05-10
  Jan Klass <kissaki@posteo.de>
    ebf3b38  Fix #3085: Display correct, new icon

  Tim Cooper <tim.cooper@layeh.com>
    60a0d3b  add trailing ellipses to each main window action text that
	     open a window or dialog

2017-05-09
  Jan Klass <kissaki@posteo.de>
    650e8f0  Merge PR #3082: Transifex translation update

2017-05-08
  Andrew Johnson <ajohnson@draster.com>
    48c2cc3  Added a "Undo Idle action upon activity" setting.

  Mikkel Krautz <mikkel@krautz.dk>
    3160fc9  murmur/Cert: check for 'Murmur Autogenerated Certificate'
	     prefix instead of explicit version in self-signed cert check.
    d3470c3  Merge PR #3071: TextToSpeech_unix: lazy initialize
	     speech-dispatcher.
    c0c5ba7  Merge PR #3076: Use RSA_generate_key_ex instead of
	     RSA_generate_key for generating Murmur's self-signed
	     certificate.
    b928c04  Merge PR #3078: main: fix typo in RPC help output: stauts ->
	     status.
    3c25873  main: fix typo in RPC help output: stauts -> status.
    46fb405  Merge PR #3077: plugins/bf1: update plugin to work with
	     version 1.0.49.52296

2017-05-07
  Davide Beatrici <davidebeatrici@gmail.com>
    75c4de8  plugins/bf1: update plugin to work with version 1.0.49.52296

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    ffa3be9  Merge PR #3067: plugins/bf2: extend identity with in-game VoiP
	     state and selected squad

  Mikkel Krautz <mikkel@krautz.dk>
    a6aba12  Merge PR #3066: SocketRPC: ensure pipe paths match up.
    44687d5  TextToSpeech_unix: make setVolume not initialize
	     speech-dispatcher.
    bf7ce38  TextToSpeech_unix: lazily initialize speech-dispatcher.
    0d08ab3  selfSignedServerCert_SHA1_RSA_2048: use RSA_generate_key_ex().
    f0b33c4  murmur/Cert: improve error handling in the add_ext() function.
    70da3ba  selfSignedServerCert_SHA1_RSA_2048: add error handling.
    3210091  selfSignedServerCert_SHA1_RSA_2048: refactor variable
	     declarations.
    e7c2787  selfSignedServerCert_SHA1_RSA_2048: nullify output variables
	     on failure.
    402596b  murmur/Cert: move self-signed server certificate generation to
	     its own function.
    81b00bf  Merge PR #3072: Murmur: fix warning about unused
	     mumble_BN_GENCB_new/mumble_BN_GENCB_free.

2017-05-06
  Flumble <flumble@home.nl>
    b47bfc8  Add `target_squad_id` and `ipport` to identity

  Mikkel Krautz <mikkel@krautz.dk>
    2a08974  Murmur: fix warning about unused
	     mumble_BN_GENCB_new/mumble_BN_GENCB_free.

2017-05-05
  Flumble <flumble@home.nl>
    aa87489  add VoiP state to Battlefield 2 identity

2017-05-04
  Kyle Wickens <kylewickens@gmail.com>
    3705494  FIXED: RPC calls to run on a Raspberry Pi

  Mikkel Krautz <mikkel@krautz.dk>
    0cffca1  Merge PR #3062: Use BN_GENCB_new() and BN_GENCB_free() where
	     applicable.

2017-05-02
  Mikkel Krautz <mikkel@krautz.dk>
    4dabb1b  Use BN_GENCB_new() and BN_GENCB_free() where applicable.

2017-04-30
  Shen-Ta Hsieh <ibmibmibm.tw@gmail.com>
    7c059d9  Recompress png files and ico files

2017-04-29
  Jan Klass <kissaki@posteo.de>
    a535810  Make EnvUtils available to Murmur
    5a5a3b2  Merge PR #3054: Fix issues identified by PVS-Studio
    1f302ad  Remove wrong assert

2017-04-28
  Jan Klass <kissaki@posteo.de>
    a8a8236  Simplify returns

  Svyatoslav <razmyslov@viva64.com>
    2a38c88  Checking with PVS-Studio static analyser.

2017-04-26
  Jan Klass <kissaki@posteo.de>
    5489564  Merge PR #3051: Fix Some Issues, Improve Code quality

  Mikkel Krautz <mikkel@krautz.dk>
    948331e  Merge PR #3050: man: update murmurd.1 to mention SIGHUP and
	     SIGUSR1.

2017-04-25
  Jan Klass <kissaki@posteo.de>
    ce4e3cf  Check env-var function return values for errors
    89b1ec2  Add comment for workaround from/as in mumble/main.cpp
    830ea8a  Initialize pointers in constructor
    386112e  Reduce variable scope
    c9d6d91  Check for null before pointer use
    17c7ee0  Check for error on winapi calls
    03d11d4  Use readable hex version constant for checks
    f814cc5  Use constants instead of magic numbers
    248859c  Merge PR #3049: overlay: add LaunchPad.exe (Daybreak Games's
	     launcher) to the launcher list.

2017-04-24
  Mikkel Krautz <mikkel@krautz.dk>
    6749835  man: update murmurd.1 to mention SIGHUP and SIGUSR1.
    425a994  overlay: add LaunchPad.exe (Daybreak Games's launcher) to the
	     launcher list.

2017-04-23
  Jan Klass <kissaki@posteo.de>
    2968a92  Merge PR #3001: Accept File And Folder Drops In Overlay
	     Exceptions
    1464873  Merge PR #3046: Add itch.exe as known overlay launcher
    ee44430  Add itch.exe as known overlay launcher

  Mikkel Krautz <mikkel@krautz.dk>
    a902dec  Merge PR #3045: Transifex translation update

2017-04-22
  Jan Klass <kissaki@posteo.de>
    f2362cb  Code formatting
    203a6a8  Use PathListWidget for Overlay exception lists
    edcdc4d  Add PathListWidget with drop functionality

  Mikkel Krautz <mikkel@krautz.dk>
    8f65051  Merge PR #3044: overlay: remove ability for overlay to decline
	     being attached to a process.
    557eacd  overlay: remove ability for overlay to decline being attached
	     to a process.

2017-04-21
  lewisca04 <chris.lewis0094@gmail.com>
    5669cf1  Added fix for murmur check for MySQL, SQLite, and Postgres

  Mikkel Krautz <mikkel@krautz.dk>
    65c2500  Merge PR #3039: Updating ServerDB.cpp to check for MySQL,
	     SQLite, and Postgres

2017-04-20
  Jan Klass <kissaki@posteo.de>
    b7cb6be  Move code into method addWhitelistPath
    8ac5db2  Move OverlayAppInfo (creation) logic into OverlayAppInfo

2017-04-19
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    a935808  Merge PR #3040: Update BF2142 plugin, adding identity support

  Flumble <flumble@home.nl>
    c92b599  Update BF2142 plugin, adding identity support

2017-04-18
  Jan Klass <kissaki@posteo.de>
    4d005f0  Merge PR #3038: Fix "Enable XInput" What's This text
	     formatting
    cfc2bab  Fix "Enable XInput" What's This text formatting

  mray <mail@mray.de>
    c582bde  Replacing grayed out with closed mouth icon

2017-04-17
  Mikkel Krautz <mikkel@krautz.dk>
    9e834cb  Merge PR #3033: qmake/compiler.pri: add
	     CONFIG(dpkg-buildflags).
    e3460f6  qmake/compiler.pri: add CONFIG(dpkg-buildflags).

2017-04-16
  Mikkel Krautz <mikkel@krautz.dk>
    eb63d0b  Merge PR #3025: MainWindow: only perform changeEvent's
	     hide-in-tray logic if there is a system tray available.

2017-04-15
  Mikkel Krautz <mikkel@krautz.dk>
    224d0f3  MainWindow: only perform changeEvent's hide-in-tray logic if
	     there is a system tray available.

2017-04-14
  Mikkel Krautz <mikkel@krautz.dk>
    46462cd  Merge PR #3020: Cert: use classic wizard style for the
	     Certificate Wizard.
    4e430f7  Merge PR #3015: Do not include OS in HTTP user agent depending
	     on privacy setting
    2fe1fb1  Cert: use classic wizard style for the Certificate Wizard.

2017-04-12
  Piratonym <piratonym@piratonym.cc>
    710aa60  Do not include OS in HTTP user agent depending on privacy
	     setting

2017-04-10
  Mikkel Krautz <mikkel@krautz.dk>
    eca5d03  Merge PR #3008: Net: split Net.cpp/Net.h into multiple files
    4e635cc  Merge PR #3016: Transifex translation update
    5bfd665  Net: refactor Ban class to its own set of files.
    5ede036  Net: refactor HostAddress class to its own set of files.

2017-04-09
  Mikkel Krautz <mikkel@krautz.dk>
    c01ff8c  Net: refactor SWAP64 macro into its own header, ByteSwap.h.
    65909b8  Merge PR #3009: Add option to hide OS information from server
	     ("privacy mode")
    d4c8abd  Merge PR #3013: AppVeyor: add no-pch build for x86_64 MSVC.
    11b5c28  Merge PR #3014: .travis.yml: add no-pch build for Linux/Qt 4.
    67653f5  AppVeyor: add no-pch build for x86_64 MSVC.
    fc1af7a  Merge PR #3012: scripts/appveyor: fix comment about
	     signing/UIAccess in appveyor-build.ps1.
    a25d5f4  .travis.yml: add no-pch build for Linux/Qt 4.
    1b2b642  Merge PR #3011: Fix CONFIG(no-pch) build on MSVC.
    f0a2ac8  scripts/appveyor: fix comment about signing/UIAccess in
	     appveyor-build.ps1.
    dfc0c39  WinGUIDs: include wtypes.h in WinGUIDs to fix no-pch build.
    d921262  DirectSound: move includes to implementation file to fix moc
	     in CONFIG(no-pch).
    27189b6  Merge PR #3010: MainWindow: Don't open tooltips when not
	     active
    db4a591  Merge PR #3007: Fix local volume dialog default size

  Piratonym <piratonym@piratonym.cc>
    d0e2cdc  Add option to hide OS information from server

2017-04-08
  Jan Klass <kissaki@posteo.de>
    a3f85fe  Fix local volume dialog default size

  Max Weber <mii7303@gmail.com>
    9e7fd2e  MainWindow: Don't open tooltips when not active

  Mikkel Krautz <mikkel@krautz.dk>
    cc30e71  Merge PR #3006: TestTimer: refactor some tests to provide more
	     useful log output
    bd6a466  Merge PR #2981: Resolve code issues
    b54166b  Merge PR #3002: Update description of configuring lib paths
    2a7a87f  TestTimer: add delta64 function and use it for delta
	     calculations.
    da53f52  TestTimer: add logging to atomicity test.
    55b7b49  TestTimer: refator accuracy test and add logging.
    bf9ea60  Merge PR #3005: Add new path for winpaths_custom.pri (in
	     qmake/) to gitignore.
    c3ae569  Add new path for winpaths_custom.pri (in qmake/) to gitignore.
    5424496  Merge PR #3004: Fix #2683

2017-04-07
  Davide Beatrici <davidebeatrici@gmail.com>
    9f77740  plugins/bf1: update plugin to work with version 1.0.49.28890

  Jan Klass <kissaki@posteo.de>
    7c8a364  Drop redundant if condition in else case
    5cd4b09  Initialize variables in constructor
    fdc1fe1  Update description of configuring lib paths

  Max Weber <mii7303@gmail.com>
    56151bb  Just use text color

  Mikkel Krautz <mikkel@krautz.dk>
    50540fd  Merge PR #3003: plugins/bf1: update plugin to work with
	     version 1.0.49.28890

2017-04-06
  Davide Beatrici <davidebeatrici@gmail.com>
    f56074b  plugins/bf4: update plugin to work with version 1.8.2.48475

  Jan Klass <kissaki@posteo.de>
    79dd6b9  Discard duplicate path exceptions

  Mikkel Krautz <mikkel@krautz.dk>
    e7e6197  Merge PR #2999: plugins/bf4: update plugin to work with
	     version 1.8.2.48475

2017-04-05
  Jan Klass <kissaki@posteo.de>
    7073b3a  Drop Speex from README

  Mikkel Krautz <mikkel@krautz.dk>
    a69916b  Merge PR #2995: Drop Speex from README

2017-04-02
  Mikkel Krautz <mikkel@krautz.dk>
    2a9fa47  Merge PR #2994: MainWindow: avoid floor/ceil in
	     VolumeUp/VolumeDown global shortcut handlers.
    9fa4c56  MainWindow: avoid floor/ceil in VolumeUp/VolumeDown global
	     shortcut handlers.

2017-04-01
  Mikkel Krautz <mikkel@krautz.dk>
    f8072e8  Merge PR #2988: Re-run generate-cipherinfo.py to regenerate
	     SSLCipherInfoTable.h
    4f8ea24  Merge PR #2990: TestTimer: make resolution test independent of
	     QTime.
    7b11430  TestTimer: make resolution test independent of QTime.
    502cfc4  Update SSLCipherInfoTable.h via
	     scripts/generate-cipherinfo.py.
    16dc758  scripts/generate-cipherinfo.py: ensure output is consistently
	     sorted.
    62107aa  Convert existing SSLCipherInfoTable.h to Unix-style line
	     endings.
    5bbf313  scripts/generate-cipherinfo.py: use correct script name in
	     comment.
    4a63973  scripts/generate-cipherinfo.py: add DH_RSA and DH_DSS key
	     exchanges.
    15d18ee  Merge PR #2985: overlay: treat launchers as implicitly
	     blacklisted programs.

2017-03-30
  Mikkel Krautz <mikkel@krautz.dk>
    a9bdde0  overlay: treat launchers as implicitly blacklisted programs.
    fc13fd1  Merge PR #2987: ACLEditor: fix tooltip for channel sort order.

2017-03-29
  Mikkel Krautz <mikkel@krautz.dk>
    dc05de7  ACLEditor: fix tooltip for channel sort order.
    b2455f2  Merge PR #2950: travis-ci: add macOS target.
    5db8665  travis-ci: add macOS target.
    8dd4b10  Merge PR #2984: murmur_ice: various fixes in preparation of
	     macOS Travis-CI PR
    e0048d8  murmur_ice: accommodate Homebrew slice path in macx block
    68718fd  murmur_ice: use MUMBLE_ICE_PREFIX in murmur_ice for macx
    e97adf7  Merge PR #2983: Simplify delta calculation in TestTimer.cpp

2017-03-28
  Davide Beatrici <davidebeatrici@gmail.com>
    2244414  overlay: add GTAVLauncher.exe to the default launcher-filter
	     program blacklist.
    e878332  overlay_blacklist.h: Add missing comma

  Mikkel Krautz <mikkel@krautz.dk>
    375ca92  Simplify delta calculation in TestTimer.cpp
    b47b1da  Merge PR #2975: Overlay_macx: fix code to work with removal of
	     OverlaySettings::bUseWhitelist.
    fdd837c  Merge PR #2980: tests: depend on OpenSSL in test.pri instead
	     of each individual test.
    7a17c68  Overlay_macx: fix code to work with removal of
	     OverlaySettings::bUseWhitelist.
    b7ad9d6  Merge PR #2982: overlay: add GTAVLauncher.exe to the default
	     launcher-filter program blacklist.
    57b3aa6  tests: depend on OpenSSL in test.pri instead of each
	     individual test.

2017-03-27
  Davide Beatrici <davidebeatrici@gmail.com>
    bd29b6a  plugins/gtav: update plugin to work with version 1.38 (Retail)

  Mikkel Krautz <mikkel@krautz.dk>
    888df45  Merge PR #2979: TestPacketDataStream: use UTF-8 instead of
	     Latin1.
    dcc6689  TestPacketDataStream: use UTF-8 instead of Latin1.
    234cbdd  Merge PR #2977: plugins/gtav: update plugin to work with
	     version 1.38 (Retail)

2017-03-26
  Mikkel Krautz <mikkel@krautz.dk>
    19ecc86  Merge PR #2974: Introduce protobuf.pri helper for depending on
	     protobuf
    a358d0d  mumble_proto: use protobuf.pri.
    0500a42  mumble.pri: use protobuf.pri.
    029f0b8  qmake/protobuf.pri: new file to include in .pro files for
	     depending on protobuf.
    623d2af  Merge PR #2973: overlay: add gw2-64.exe to the default
	     launcher-filter program whitelist.
    0a497b0  overlay: add gw2-64.exe to the default launcher-filter program
	     whitelist.
    b1b3d4f  Merge PR #2920: Add overlay launcher filter

2017-03-25
  Mikkel Krautz <mikkel@krautz.dk>
    cb5e34f  Merge PR #2971: Update AUTHORS file (2017-03-25)
    e84915d  AUTHORS: update.
    0dfa304  .mailmap: add new hacst mail.
    45ad52f  Merge PR #2970: .mailmap: add dark_skeleton's preferred author
	     line.
    ccbcb0b  .mailmap: add dark_skeleton's preferred author line.

2017-03-24
  Mikkel Krautz <mikkel@krautz.dk>
    efd6361  Merge PR #2788: Document workaround in LogTextBrowser
    a27fbb7  Merge PR #2969: Log_macx: disable Growl fallback on Qt >= 5.8.
    e51edae  Log_macx: disable Growl fallback on Qt >= 5.8.

2017-03-22
  Davide Beatrici <davidebeatrici@gmail.com>
    a1a1ff1  3rdparty/opus-build: remove unnecessary shared library
	     handling for macOS

  Mikkel Krautz <mikkel@krautz.dk>
    282d672  Merge PR #2966: 3rdparty/opus-build: remove unnecessary shared
	     library handling for macOS
    0962523  Merge PR #2963: Transifex translation update

2017-03-19
  Mikkel Krautz <mikkel@krautz.dk>
    8d4d5f0  overlay: hook up new excludecheck-based overlay exclusion
	     check.
    58c208c  overlay: implement new overlay exclusion logic in
	     excludecheck.cpp/excludecheck.h.
    151bc49  overlay: re-introduce checks for 'debugoverlay' and
	     'nooverlay'.
    de6e9ec  overlay: move procname parsing to separate function.
    2f07778  overlay: allow overlay to decline being attached to a process.
    bffd2ec  overlay: remove legacy overlay exclusion code.
    d30ab5b  overlay: refactor bBlacklisted into bEnableOverlay.
    35c7d13  overlay: add olsettings.cpp/olsettings.h, accessors for
	     launcher overlay settings.
    be43c91  overlay: add ancestor.cpp/.h, utilities for getting process
	     ancestor info.
    88bfbbb  overlay: add util.h with vector/string/path utilities.
    06b646d  OverlayConfig: add UI for configuring the launcher filter.
    be70cee  Settings: add overlay launcher filter settings.
    3cf2801  overlay: update overlay_blacklist.h.
    ab298d8  overlay: add overlay_launchers.h and overlay_whitelist.h.
    e414bd3  Merge PR #2958: Fix no-pch build and add a no-pch
	     configuration to Travis CI
    f31bbf3  Merge PR #2959: scripts/rcc-depends.py: fall back to using the
	     absolute path when os.path.relpath() fails on Windows.
    b6c6b18  Meta: add QSslCipher header to fix no-pch build.
    8ec4775  travis-ci: add a no-pch build to the Travis matrix.
    ac674d9  scripts/rcc-depends.py: fall back to using the absolute path
	     when os.path.relpath() fails on Windows.

2017-03-18
  Davide Beatrici <davidebeatrici@gmail.com>
    942ba6d  travis-ci: Remove unneeded "winpaths_custom" CONFIG option
    d19fdd5  plugins/gtav: update plugin to work with version 1.38 (Steam)

  Mikkel Krautz <mikkel@krautz.dk>
    3313f9b  Merge PR #2956: MurmurIce: fix signed/unsigned comparison
	     between string size and std::numeric_limits.
    c84af26  Merge PR #2955: qmake/compiler.pri: fix value of MUMBLE_ARCH
	     on Qt 5.
    37269b1  Merge PR #2954: travis-ci: Remove unneeded "winpaths_custom"
	     CONFIG option
    a58815c  qmake/compiler.pri: fix value of MUMBLE_ARCH on Qt 5.
    8728ea7  MurmurIce: fix signed/unsigned comparison between string size
	     and std::numeric_limits.
    69defe5  Merge PR #2953: plugins/gtav: update plugin to work with
	     version 1.38 (Steam)

2017-03-17
  Davide Beatrici <davidebeatrici@gmail.com>
    cb1c1b4  WinGUIDs.cpp: Fix missing symbol linker error
    b674036  compiler.pri: Use the Unix block for win32-g++ too
    19c4f9f  Move "getenvQString()" function to a dedicated header and
	     rename it
    ad0a3c5  Move Windows GUID initialization to WinGUIDS.cpp file.
    42134a1  mumble.pro: Fix "avrt" library linkage
    2c045c8  Timer.cpp: Fix missing Boost symbol for MinGW
    e07240e  WASAPI.cpp: Fix cross-initialization problem
    3f8919e  WASAPI.cpp: Manually define GUIDs
    a913a33  os_win.cpp: Use the "delayHook()" function only with MSVC
    d01994d  DirectSound.cpp: Replace "LPDIRECTSOUNDNOTIFY8" with
	     "LPDIRECTSOUNDNOTIFY"
    bad172f  ServerHandler.cpp: Delay load "qwave.dll" only with MSVC
    170f284  src: Fix QoS build with MinGW
    5ce8161  mumble_pch.hpp: Include <ws2tcpip.h> to fix MinGW build
    e3bc8ff  mumble_pch.hpp: Set up Windows macros _WIN32_WINNT and
	     NTDDI_VERSION to target Windows 7 on MinGW.
    bb5c365  opus-build.pro: Don't use MSVC-specific SSE config options
	     options for MinGW
    594d010  opus-build: Rename "Win32" folder to "win32"
    06606f7  mumble_exe.pro: Enable UNICODE for MinGW
    78717d3  mumble.pro: split MSVC/MinGW libsndfile linking, due to
	     different ordering and dependency requirements.
    6aa30d8  mumble.pro: Link against "ksuser" in the MinGW build
    d8a165b  openssl.pri: Link against "libssl", "libcrypto" and "gdi32"
	     when targetting MinGWi
    b44cc7e  mumble.pri: Create configuration for MinGW
    5754a09  compiler.pri: Enable SSE and SSE2 for MinGW
    45a40bf  compiler.pri: Define "MINGW_HAS_SECURE_API" to enable secure
	     functions
    67422bc  compiler.pri: Add CONFIG(symbols) support to win32-g++ build.
    886098b  compiler.pri: Use QT_ARCH instead of QMAKE_target.arch with Qt
	     5
    0a253c7  mumble_exe.pro: Remove MSVC flags for MinGW
    633f50b  minhook-build.pro: Remove MSVC flags for MinGW
    d84dc1a  speex-build.pro: Use Unix-like config.h for the MinGW build,
	     instead of win32/config.h"
    322e711  celt-0.7.0-build.pro: Use Unix-like config.h for the MinGW
	     build, instead of win32/config.h"
    0e460ba  celt-0.11.0-build.pro: Use Unix-like config.h for the MinGW
	     build, instead of win32/config.h"
    a2526bc  g15helper.pro: Don't use "mt.exe" with MinGW
    e50eefc  murmur.pro: Don't use "mt.exe" with MinGW
    5257dce  mumble_exe.pro: Don't use "mt.exe" with MinGW
    756dadc  mumble.pro: Don't use "mt.exe" with MinGW
    882d972  Connection, Server, ServerHandler: Cast "dwFlow" to DWORD
	     pointer to fix MinGW build.
    f03ef98  DirectSound.h: include <mmsystem.h> to fix MinGW build.
    568915d  os_win.cpp: Include <shobjidl.h> and <shlobj.h> to fix MinGW
	     build
    93efd81  os_win.cpp: Include <float.h> to fix MinGW build
    ac9c6fc  os_win.cpp: Include <share.h> to fix MinGW build
    2c431b8  murmur_pch.h: Include missing headers
    2bd9f06  travis-ci: Execute "make check" using Wine
    1726c81  TextToSpeech.cpp: Fix build problem

  Mikkel Krautz <mikkel@krautz.dk>
    10079ed  Merge PR #2907: Implement support for building Mumble and
	     Murmur using the MinGW toolchain.
    f9cf8da  travis-ci: Use MinGW build envs
    8758cf5  Merge PR #2952: TextToSpeech.cpp: Fix build problem
    048d029  Merge PR #2951: Transifex translation update

2017-03-16
  Davide Beatrici <davidebeatrici@gmail.com>
    08e2d0a  Use Qt Speech if specified and available

  Mikkel Krautz <mikkel@krautz.dk>
    b16983f  Merge PR #2922: Mumble: remove expert mode.
    0d2e891  Settings: document that expert mode has been removed.
    1017830  Mumble: remove expert mode.
    b9165ae  Merge PR #2939: Implement QtSpeech-based text-to-speech
	     backend
    6b7dfc7  Merge PR #2948: Fixed uname() query on Solaris.
    562353a  Merge PR #2949: Transifex translation update

  Maxwell Cody <roge@riseup.net>
    fef7252  OSInfo: Documented Solaris uname() fix.

2017-03-15
  Jan Klass <kissaki@posteo.de>
    aa68f5a  By default do not use other-talk attenuation

  Mikkel Krautz <mikkel@krautz.dk>
    5e7cbca  Merge PR #2935: WASAPI.cpp: Remove unused "numFramesLeft"
	     variable
    92b82cf  Merge PR #2943: Murmur: update registration URL to use
	     mumble.info instead of mumble.hive.no.
    6898407  Merge PR #2944: Transifex translation update

  Maxwell Cody <roge@riseup.net>
    41e0652  Fixed uname() query on Solaris.

2017-03-14
  Davide Beatrici <davidebeatrici@gmail.com>
    0b4d204  WASAPI.cpp: Remove unused "numFramesLeft" variable
    48c988c  plugins/sto.cpp: Retract plugin
    57e3d90  plugins/ql: Fix spectator state offset
    e284bcc  Overlay_win: Fix "m_active" variable order
    f7798c3  MurmurIce.cpp: Fix signed/unsigned comparison warning

  Mikkel Krautz <mikkel@krautz.dk>
    aea841a  Murmur: update registration URL to use mumble.info instead of
	     mumble.hive.no.
    2667fe4  Merge PR #2932: Overlay_win: Fix "m_active" variable order
    9de6718  Merge PR #2941: plugins/sto.cpp: Retract plugin
    bbceaa6  Merge PR #2942: plugins/ql: Fix spectator state offset
    47be309  Merge PR #2924: GlobalShortcut: allow users to enable/disable
	     our additional shortcut engines on Windows.
    649537f  Merge PR #2938: MurmurIce.cpp: Fix comparison between signed
	     and unsigned integer
    50fc0ca  Merge PR #2931: UserView.cpp: Fix deprecated Qt class
    ec07f61  Merge PR #2936: WASAPI.cpp: Fix print format warnings
    c495c57  Merge PR #2937: XboxInput: Fix type-punned pointer dereference
	     warning
    905461f  Merge PR #2930: Global.cpp: Fix unused "migrateDataDir()"
	     function on Windows
    e7c39bb  Merge PR #2940: Transifex translation update

2017-03-13
  Davide Beatrici <davidebeatrici@gmail.com>
    49bbe3c  Global.cpp: Fix unused "migrateDataDir()" function on Windows
    00885e3  WASAPI.cpp: Fix wrong print format
    179556d  UserView.cpp: use the QStyleOptionViewItem appropriate for the
	     Qt version we build against.
    9fa3843  XboxInput: clean up code by introducing XboxInputGetStateFunc
	     typedef.
    88654df  ASIOInput.cpp: Fix print format warning
    357c30e  os_win.cpp: Fix unused "mumbleMessageOutput()" function

  Mikkel Krautz <mikkel@krautz.dk>
    dbab0f7  Merge PR #2926: Add setting for enabling the Developer menu
    841bff8  Merge PR #2933: os_win.cpp: Fix unused "mumbleMessageOutput()"
	     function with Qt 5
    76d2ea2  Merge PR #2934: ASIOInput.cpp: Fix print format warning

2017-03-12
  Mikkel Krautz <mikkel@krautz.dk>
    dda999c  Merge PR #2929: main.pro: use qmake/compiler.pri -- the
	     compiler.pri in the root does not exist.
    1a953fc  main.pro: use qmake/compiler.pri -- the compiler.pri in the
	     root does not exist.
    7e4205b  MainWindow: implement UI logic for 'ui/developermenu' setting.
    4a6a2bd  LookConfig: hook up 'ui/developermenu' setting in the User
	     Interface config dialog.
    4a62783  Settings: add setting for enabling developer menu.
    c59ca21  Merge PR #2925: Use 'Third-Party Licenses' in About dialog
	     instead of "3rd party licenses"
    845e516  Murmur: use title-case for 'Third-Party Licenses' text in
	     About dialog.
    fc606ce  Mumble: use 'Third-Party Licenses' in About dialog.
    c319d5c  GlobalShortcut: allow users to enable/disable our additional
	     shortcut engines on Windows.
    0e49ea3  GlobalShortcut_win: check for gkey != NULL in gkey handling.
    da41c19  GlobalShortcut_win: check for xboxinput != NULL before use.
    82e8a33  Settings: add missing save call for the 'shortcut/gkey'
	     setting.
    9cb4040  Settings: add setting for winhooks.

2017-03-11
  Davide Beatrici <davidebeatrici@gmail.com>
    74710cf  GlobalShortcut_win.cpp: Make the "qHash()" function non-static
    94d5552  main.cpp: Change "_declspec" to "__declspec"
    846e1eb  MumbleApplication.h: Remove additional scope resolution for
	     the "nativeEventFilter()" function
    9d2cdc0  mumble.pro: Use "3rdparty/asio" instead of "ASIO_PATH", if the
	     folder exists

  Mikkel Krautz <mikkel@krautz.dk>
    bed0869  Merge PR #2921: Overlay_win: properly initialize
	     m_helper_enabled, m_helper64_enabled and m_mumble_handle.
    b3f2833  Overlay_win: properly initialize m_helper_enabled,
	     m_helper64_enabled and m_mumble_handle.
    aef577f  Merge PR #2917: MumbleApplication.h: Remove additional scope
	     resolution for the "nativeEventFilter()" function
    5076416  Merge PR #2918: main.cpp: Change "_declspec" to "__declspec"
    0740c0a  Merge PR #2919: GlobalShortcut_win.cpp: Make the "qHash()"
	     function non-static
    91a8c2c  Merge PR #2916: mumble.pro: Use "3rdparty/asio" instead of
	     "ASIO_PATH", if the folder exists

2017-03-07
  brooss <brooss.teambb@gmail.com>
    b651526  add kodi.exe to overlay_blacklist.h

  Mikkel Krautz <mikkel@krautz.dk>
    4fe90ae  Merge PR #2909: MurmurIce: avoid NUL bytes in Ice messages

2017-03-06
  Davide Beatrici <davidebeatrici@gmail.com>
    cc00b21  mumble_pch.hpp: Remove "interface" workaround for Qt 5
    2f3062a  mumble_pch.hpp: Include "mmreg.h" header
    9ab67db  mumble_pch.hpp: Define "WIN32_LEAN_AND_MEAN", as in
	     "murmur_pch.h"
    d096132  mumble_pch.hpp: Delete _WINSOCKAPI_ definition
    c8e3283  mumble_pch.hpp: Include "qos2.h" before "windows.h", as in
	     Murmur
    4064792  mumble_pch.hpp: Include "winsock2.h" before "windows.h"

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    617975e  Merge PR #2781: mumble_pch.hpp: Improve MinGW compatibility.

  Mikkel Krautz <mikkel@krautz.dk>
    63bf486  MurmurIce: base64-encode MurmurUser::context on the wire to
	     avoid NUL bytes w/o losing data.
    6e820e8  Merge PR #2912: overlay_blacklist.h: add "kodi.exe"

2017-03-05
  Davide Beatrici <davidebeatrici@gmail.com>
    0fdbb5d  rcc.pri: Fix wrong script path
    d049958  Move .pri files and "toolchain" folder in "qmake"

  Mikkel Krautz <mikkel@krautz.dk>
    cad1bac  Merge PR #2794: ServerDB, Meta: add support for SQLite WAL.
    1818476  ServerDB, Meta: add support for SQLite WAL.
    6f41f4b  MurmurIce: avoid NUL bytes in Ice messages
    cb952e0  Merge PR #2908: Meta: enable both IPv4 and IPv6 if we're
	     unable to query network interfaces.
    a9b9dfe  Meta: enable both IPv4 and IPv6 if we're unable to query
	     network interfaces.
    5a31a63  Merge PR #2910: rcc.pri: Fix wrong script path
    48ca9e0  Merge PR #2905: Move .pri files to the "qmake" folder
    b3df846  Merge PR #2904: Transifex translation update
    1742f86  Merge PR #2850: Live reload of Murmur SSL settings via SIGUSR1
	     (including runtime certificate-swap for Let's Encrypt)
    c0b0f01  Merge PR #2903: appveyor.yml: use
	     win64-static-no-ltcg-1.3.x-2017-03-04-1ddd966-811.
    03e5311  appveyor.yml: use
	     win64-static-no-ltcg-1.3.x-2017-03-04-1ddd966-811.

2017-03-04
  Mikkel Krautz <mikkel@krautz.dk>
    7925c37  Cert: reset Server's SSL state in initializeCert().
    af172cf  installer: quote guids in Settings.wxi.

2017-03-03
  Mikkel Krautz <mikkel@krautz.dk>
    03908a0  Merge PR #2898: Transifex translation update

2017-03-02
  Mikkel Krautz <mikkel@krautz.dk>
    a90fc60  Merge PR #2896: src/tests: make all test .pro files 'inherit'
	     from common test.pri file.
    839237c  Merge PR #2897: Transifex translation update
    1560970  src/tests: make all test .pro files 'inherit' from common
	     test.pri file.
    09d4bd3  MetaParams: replace SSL settings setup code with a call to
	     loadSSLSettings().
    fd78d64  Meta, UnixMurmur: implement live certificate reloading via the
	     USR1 signal.
    9ae2a7f  Merge PR #2891: ServerDB: use PasswordGenerator class for
	     generating initial SuperUser password.
    218eb18  ServerDB: use PasswordGenerator class for generating initial
	     SuperUser password.
    b046d6f  Merge PR #2890: PasswordGenerator: add new class for
	     generating human-friendly passwords via CryptographicRandom.
    a9e7ccf  PasswordGenerator: add new class for generating human-friendly
	     passwords via CryptographicRandom.
    e848e56  Merge PR #2895: TestCryptographicRandom: add QT_NO_OPENGL to
	     fix 'make check' for win32-msvc builds.
    fc878e0  TestCryptographicRandom: add QT_NO_OPENGL to fix 'make check'
	     for win32-msvc builds.
    a58d708  Merge PR #2882: CryptographicRandom: new class for acquiring
	     random data for cryptographic purposes.

2017-03-01
  Mikkel Krautz <mikkel@krautz.dk>
    aa25435  CryptographicRandom: new class for acquiring random data for
	     cryptographic purposes.

2017-02-28
  Mikkel Krautz <mikkel@krautz.dk>
    cae5d6d  Merge PR #2885: .gitignore: add target_wrapper.bat.
    5a785f9  Merge PR #2889: Transifex translation update
    28d5b8e  Cert: require Qt 5.5 for QSsl::Ec.
    629dd2d  Add Qt 5 Trusty build to .travis.yml.
    9ff780b  Merge PR #2886: src/tests: fix various MSVC build issues.
    d1454a1  qmake/openssl.pri: link against gdi32.dll.
    cba18e9  src/tests: fix various MSVC build issues.
    6070c82  Merge PR #2883: ManualPlugin: re-enable unhinge button for Qt
	     5.
    360477e  .gitignore: add target_wrapper.bat.
    d6751e8  ManualPlugin: re-enable unhinge button for Qt 5.

2017-02-27
  Mikkel Krautz <mikkel@krautz.dk>
    0be6855  Merge PR #2881: tests: add existing TestCrypt,
	     TestPacketDataStream and TestTimer tests to the test suite.

2017-02-26
  Mikkel Krautz <mikkel@krautz.dk>
    05c79d5  tests: move TestTimer to new testing infrastructure.
    955ca86  tests: move TestPacketDataStream to the new testing
	     infrastructure.
    7b25a05  tests: move TestCrypt to the new testing infrastructure.
    1a1bd8c  Merge PR #2879: Various minor fixes in preparation for
	     hot-cert reload
    85d6239  Merge PR #2880: MurmurIce: remove ad-hoc RSA checks in
	     updateCertificate with Server::isKeyForCert().
    01f91ec  MurmurIce: remove ad-hoc RSA checks in updateCertificate with
	     Server::isKeyForCert().
    1a0e145  Meta: remove use of global QSslSocket::defaultCiphers() list.
    947eb90  Move SSL check and version log message to main.cpp from
	     MetaParams::read().
    887aa91  Meta: add qAbsSettingsFilePath variable.
    250a93b  Server: add bUsingMetaCert flag.
    4fbbdda  Meta: move qmConfig.clear().
    f2ea3de  UnixMurmur: Add USR1 signal handler for reloading SSL
	     settings.
    21888b1  Meta: add 'QSettings *' parameter to
	     MetaParams::typeCheckedFromSettings().
    fa98f6d  Merge PR #2876: .travis.yml: add 'make check' to the Travis
	     Linux build.
    329dd4e  Merge PR #2864: Fix crash when using the VoiceRecorder with
	     voice target shortcuts
    e32f971  Merge PR #2878: TestCryptographicHash: make test GUI-less.
    fee1934  TestCryptographicHash: make test GUI-less.
    0df9a37  Merge PR #2877: Translation update
    4a6074e  Translation update
    2abd928  .travis.yml: add 'make check' to the Travis Linux build.
    70bf686  Merge PR #2874: Add make target 'check' to the build.
    f4dfc4a  Audio, AudioOutput: guard against invalid packet types in
	     AudioOutput::addFrameToBuffer().
    aa2683f  AudioOutputSpeech: only process Speex packets as Speex.
    8294f2d  AudioInput: check iTarget and iPrevTarget for errors before
	     use in flushCheck().
    6172477  Add make target 'check' to the build.
    dcc9236  Merge PR #2875: qmake/openssl.pri: when using OpenSSL via
	     pkgconfig, ensure link_pkgconfig is in CONFIG.

2017-02-25
  Mikkel Krautz <mikkel@krautz.dk>
    260b32d  Merge PR #2860: Murmur: clean up use of the global
	     QSslSocket::defaultCaCertificates() list.
    45276e8  Cert: for servers using the cert/key specified in murmur.ini,
	     also inherit its intermediates.
    7b500db  Server: treat certs from murmur.ini's sslCA as CA certs for
	     client verification.
    ac02f45  Register: treat certs from murmur.ini's sslCA option as CA
	     certs when registering.
    1c8b637  Server: rename qlCA to qlIntermediates, to properly reflect
	     its function.
    d5f04b4  Meta: avoid cluttering the global
	     QSslSocket::defaultCaCertificates() list.
    939f6f1  qmake/openssl.pri: when using OpenSSL via pkgconfig, ensure
	     link_pkgconfig is in CONFIG.
    e95dd30  Merge PR #2873: .gitignore: make xxx_plugin_import.cpp a glob
	     entry.
    c435f9e  .gitignore: make xxx_plugin_import.cpp a glob entry.
    accc8fd  Merge PR #2868: CryptographicHash: new class for computing
	     cryptographic hashes.
    7c22b84  CryptographicHash: new class for computing cryptographic
	     hashes.

2017-02-24
  Mikkel Krautz <mikkel@krautz.dk>
    c74fc80  Merge PR #2867: mumble.pri: split out OpenSSL depenency lookup
	     into qmake/openssl.pri for easier use in tests.

2017-02-23
  Mikkel Krautz <mikkel@krautz.dk>
    6329ed7  mumble.pri: split out OpenSSL depenency lookup into
	     qmake/openssl.pri for easier use in tests.

2017-02-21
  Davide Beatrici <davidebeatrici@gmail.com>
    707164b  plugins/rl: update plugin to work with version 1.29

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    5e73de9  Merge PR #2861: plugins/rl: update plugin to work with version
	     1.29

  Mikkel Krautz <mikkel@krautz.dk>
    90a904d  Merge PR #2862: lrelease.pri: add Windows-specific code path,
	     to fix nmake build.
    ecdd997  lrelease.pri: add Windows-specific code path, to fix nmake
	     build.
    5d036bc  Merge PR #2859: Murmur: refactor private key loading sequence.

2017-02-20
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    a978593  Merge PR #2857: OverlayConfig: handle removal of qWinAppInst()
	     in Qt 5.8.

  Mikkel Krautz <mikkel@krautz.dk>
    30c4c41  MurmurIce: use Server::privateKeyFromPEM in updateCertificate
	     RPC method.
    affa2c4  Meta: use Server::privateKeyFromPEM.
    32ca3cf  Server, Cert: make use of Server::privateKeyFromPEM() method.
    441063f  Server, Cert: add Server::privateKeyFromPEM() method.
    1a4ecd1  OverlayConfig: handle removal of qWinAppInst() in Qt 5.8.

  Steven Noonan <steven@uplinklabs.net>
    e75e737  murmur: add support for EC private keys

2017-02-19
  Davide Beatrici <davidebeatrici@gmail.com>
    b50ab76  Always use lrelease binary from QT_INSTALL_BINS.

  Mikkel Krautz <mikkel@krautz.dk>
    17bae48  Merge PR #2852: Always use lrelease binary from
	     QT_INSTALL_BINS.
    d41923d  Merge PR #2851: mumble.pro: handle case where QSQLite a plugin
	     in static builds.
    af903fa  Merge PR #2765: python.pri: Fix path search for MinGW on Linux

2017-02-18
  Davide Beatrici <davidebeatrici@gmail.com>
    91abad7  mumble.pro: handle case where QSQLite a plugin in static
	     builds.

2017-02-16
  Mikkel Krautz <mikkel@krautz.dk>
    f30e1d6  Merge PR #2853: Transifex translation update

2017-02-14
  Davide Beatrici <davidebeatrici@gmail.com>
    c0b6750  Add support for custom "protoc" path and scan using "which" on
	     Linux

  Jan Klass <kissaki@posteo.de>
    ef03f56  Add theme push-to-mute icon

  Mikkel Krautz <mikkel@krautz.dk>
    84044a7  Merge PR #2847: Transifex translation update
    e0b384b  Merge PR #2844: Add support for custom "protoc" path and scan
	     using "which" on Linux

2017-02-13
  Davide Beatrici <davidebeatrici@gmail.com>
    09cfc1d  python.pri: Fix path search for MinGW on Linux

  Jan Klass <kissaki@posteo.de>
    bb32763  Add push-to-mute icon

2017-02-12
  Stefan Hacker <dd0t@users.sourceforge.net>
    86f8eef  Add appveyor configuration for windows proof builds
    d9ba3db  Add travis configuration for linux proof builds

  Mikkel Krautz <mikkel@krautz.dk>
    1619dbb  Merge PR #2840: Add travis configuration for linux proof
	     builds
    7bd6b6c  Merge PR #2839: Add appveyor configuration for windows proof
	     builds

2017-02-11
  Mikkel Krautz <mikkel@krautz.dk>
    289d0d4  Merge PR #2838: mumble_exe: when using a versioned root, set
	     the CWD to it.
    03cfe38  mumble_exe: when using a versioned root, set the CWD to it.

2017-02-10
  Mikkel Krautz <mikkel@krautz.dk>
    5bbd804  Merge PR #2835: installer: don't ship dbghelp.dll anymore.
    81f36bb  Merge PR #2817: installer: use WiX from buildenv.
    18caa17  installer: don't ship dbghelp.dll anymore.

2017-02-09
  Davide Beatrici <davidebeatrici@gmail.com>
    00f81cb  mumble_proto.pro: fix protoc invocation for out-of-tree builds

  Mikkel Krautz <mikkel@krautz.dk>
    3315e01  Merge PR #2830: mumble_proto.pro: fix protoc invocation for
	     out-of-tree builds
    7ebabda  Merge PR #2833: Transifex translation update

2017-02-08
  Davide Beatrici <davidebeatrici@gmail.com>
    2dee4ea  minhook-build.pro: Fix paths

  Mikkel Krautz <mikkel@krautz.dk>
    4eef649  Merge PR #2828: minhook-build.pro: Fix paths

2017-02-07
  Mikkel Krautz <mikkel@krautz.dk>
    d15c3f9  Merge PR #2821: Murmur: fix bad interaction with QDBus and
	     fork().
    1e9d2b3  Murmur: fix bad interaction with QDBus and fork().
    ef5f082  Merge PR #2826: 3rdparty/minhook-src: update MinHook to
	     v1.3.3.
    b005b71  3rdparty/minhook-src: update MinHook to v1.3.3.
    2fb5ee7  Merge PR #2825: Revert 91dc3d39f0 ('Move counter variable in
	     processMsg into Opus condition.').
    a9330a4  Revert 91dc3d39f0 ('Move counter variable in processMsg into
	     Opus condition.').

  Piratonym <piratonym@piratonym.cc>
    0c10bca  Add push-to-mute icon to mumble.qrc
    9b8e745  Indicate in the tray when the push-to-mute button is pressed

2017-02-06
  Davide Beatrici <davidebeatrici@gmail.com>
    7e72e77  GlobalShortcut_win.cpp: Fix MinGW compilation warnings

  Mikkel Krautz <mikkel@krautz.dk>
    4400a80  Merge PR #2823: GlobalShortcut_win.cpp: Fix MinGW compilation
	     warnings

2017-02-05
  Davide Beatrici <davidebeatrici@gmail.com>
    6afeca6  DirectSound.cpp: Fix MinGW compilation warnings
    e8c8220  GKey.cpp: Fix MinGW compilation warnings

  Mikkel Krautz <mikkel@krautz.dk>
    012429c  Merge PR #2818: installer: ship app-local copies of UCRT DLLs.
    c895dad  installer: ship app-local copies of UCRT DLLs.
    e4fe8fb  installer: use WiX from buildenv.
    4ca6f2c  Merge PR #2810: DirectSound.cpp: Fix MinGW compilation
	     warnings
    cef2324  Merge PR #2812: GKey.cpp: Fix MinGW compilation warnings
    78ff4fc  Merge PR #2816: LCD: drop workaround for Qt >= 5.6.2.
    7a0790b  LCD: drop workaround for Qt >= 5.6.2.

2017-02-04
  Davide Beatrici <davidebeatrici@gmail.com>
    aee1469  Overlay_win.cpp: Fix MinGW compilation warning

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    b817d3f  Merge PR #2811: Fix MinGW compilation warning

  Stefan Hacker <dd0t@users.sourceforge.net>
    43109d1  Fix linking mumble client in static debug mode
    1773dc7  Integrate review comments on getenvQString

  Mikkel Krautz <mikkel@krautz.dk>
    11f9244  MumbleApplication: introduce getenvQString and use it in
	     applicationVersionRoot.

2017-02-03
  Davide Beatrici <davidebeatrici@gmail.com>
    625d1ce  OSInfo.cpp: Fix MinGW compilation warnings

  Jan Klass <kissaki@posteo.de>
    52662d7  Fix usage of QFileInfo for Qt4

  Mikkel Krautz <mikkel@krautz.dk>
    487e032  Merge PR #2807: Fix usage of QFileInfo for Qt4
    d871f34  Merge PR #2793: Show fallback icon on missing country flag
	     icon
    4886268  Merge PR #2804: OSInfo.cpp: Fix MinGW compilation warnings

2017-02-02
  Davide Beatrici <davidebeatrici@gmail.com>
    2966e5f  os_win.cpp: Fix PATH_MAX redefinition warning

  Jan Klass <kissaki@posteo.de>
    95c7b5e  Show fallback icon on missing country flag icon

  Mikkel Krautz <mikkel@krautz.dk>
    077cbfd  Merge PR #2796: VoiceRecorder.cpp: Use braces to avoid
	     ambiguous "else"
    51bb441  Merge PR #2797: os_win.cpp: Fix PATH_MAX redefinition warning
    1be562f  Merge PR #2790: mumble_plugin_win32_ptr_type.h: Prevent
	     redefinition of "NOMINMAX"
    4d6a813  Refactor Server::supportsDualStack().

2017-02-01
  Davide Beatrici <davidebeatrici@gmail.com>
    49f9d61  VoiceRecorder.cpp: Use braces to avoid ambiguous "else"

  Jan Klass <kissaki@posteo.de>
    c083432  CertWizard: Password requirement notice on import

2017-01-31
  Davide Beatrici <davidebeatrici@gmail.com>
    2213d50  plugins: Prevent redefinition of "NOMINMAX"

  Jan Klass <kissaki@posteo.de>
    b9e9ee9  Reduce SVG icon file size

2017-01-30
  Jan Klass <kissaki@posteo.de>
    5dbb124  Update country flag icons
    475907b  Document workaround in LogTextBrowser

  Mikkel Krautz <mikkel@krautz.dk>
    039096a  Merge PR #2792: Re-run mkflags.py to remove non-existant
	     '__.svg' from our flags QRC files.
    c8d0880  Re-run mkflags.py to remove non-existant '__.svg' from our
	     flags QRC files.
    867d4f6  Merge PR #2791: Update country flag icons

2017-01-29
  Davide Beatrici <davidebeatrici@gmail.com>
    474b370  plugins: Fix indentation and whitespace

  Mikkel Krautz <mikkel@krautz.dk>
    c936b99  Merge PR #2785: plugins: Use tabs for indentation, remove
	     trailing whitespace

2017-01-27
  Mikkel Krautz <mikkel@krautz.dk>
    82d385f  Merge PR #2780: installer: use "vcruntime140.dll" instead of
	     "msvcr140.dll" for vcruntime140.dll's component ID.
    ea1c1b3  installer: use "vcruntime140.dll" instead of "msvcr140.dll"
	     for vcruntime140.dll's component ID.

2017-01-26
  Mikkel Krautz <mikkel@krautz.dk>
    c3ebc17  Merge PR #2776: installer: use VC140 CRT.
    452aa61  installer: use VC140 CRT.
    afd86cf  Merge PR #2775: MVSC2015 toolchain fixes: ignore C4091 on
	     v140_xp toolchain and fix UCRT lib path in toolchain files
    09c22a5  toolchain: update win32-msvc2015 x64 and x86 toolchains to
	     include ucrt lib dir.
    df4b0d8  compiler.pri: for win32-msvc, ignore C4091 when building
	     against v140_xp toolset.
    3cbccc5  Merge PR #2760: Update QSslDiffieHellmanParameters API calls
	     to final Qt 5.8 API

2017-01-25
  Davide Beatrici <davidebeatrici@gmail.com>
    d179468  WASAPI.h: Include missing header for MinGW on Linux
    28b9b1d  WASAPI.h: Change header name capitalization for MinGW on Linux
    a4b1f8a  rcc.pri: Fix script path for MinGW on Linux
    7b31e4f  mumble_pch.hpp: Change header name capitalization for MinGW on
	     Linux

  Mikkel Krautz <mikkel@krautz.dk>
    cc4d32f  Merge PR #2774: WASAPI.h: Include missing header for MinGW on
	     Linux
    7e1fdaa  Merge PR #2771: rcc.pri: Fix script path for MinGW on Linux
    8fc69fe  Merge PR #2772: WASAPI.h: Change header name capitalization
	     for MinGW on Linux
    cda06e9  Merge PR #2770: mumble_pch.hpp: Change header name
	     capitalization for MinGW on Linux

2017-01-24
  Mikkel Krautz <mikkel@krautz.dk>
    c3e2905  Merge PR #2753: Murmur: set detach=false for -limits (implies
	     -fg).
    460f550  Merge PR #2744: Revert PR 2674 and document audio backend
	     initialization and teardown
    50be180  Merge PR #2767: Transifex translation update
    3e777ba  Merge PR #2768: mumble.pro: use forward slash for GENQRC also
	     on Windows
    f542989  Merge PR #2769: Use forward slash for paths in .rc files

2017-01-23
  Davide Beatrici <davidebeatrici@gmail.com>
    1ba4269  Use forward slash for paths in .rc files
    3bc58e8  mumble.pro: use forward slash for GENQRC also on Windows

2017-01-22
  Davide Beatrici <davidebeatrici@gmail.com>
    63280fc  python.pri: Correct typo "unble" to "unable"
    f1ba1df  main.pro: don't build minhook if "no-overlay" option specified
    920244c  main.pro: fix no-overlay to actually work on Windows
    fda85f4  main.pro: ensure we don't build overlay_gl on Windows.
    e42e6ca  Make "no-overlay" option available also for Windows
    6096b74  plugins: Fix MinGW compilation warnings and errors
    e92b27b  plugins: Fix visibility for plugins compiled with MinGW

  Mikkel Krautz <mikkel@krautz.dk>
    c2f6865  Merge PR #2764: python.pri: Correct typo "unble" to "unable"
    b5aef4c  Merge PR #2762: MainWindow: don't include 'Hide Mumble' menu
	     item on macOS.
    32030ed  MainWindow: don't include 'Hide Mumble' menu item on macOS.
    bf90fad  Merge PR #2747: Allow hiding Muble from the menu without
	     minimizing
    348d457  Merge PR #2761: main.pro: don't build minhook if "no-overlay"
	     option specified
    44790f6  murmur.pro: remove Mumble buildenv requirement for
	     QSslDiffieHellmanParameters.
    6456037  Murmur: use final Qt 5.8 API for QSslDiffieHellmanParameters.
    a08c509  Merge PR #2759: main.pro: fix-ups for "no-overlay" CONFIG
	     option on Windows
    98349a1  Merge PR #2755: plugins: Fix visibility, warnings and errors
	     when compiled with MinGW
    0e898da  Murmur: set detach=false for -limits (implies -fg).
    12b9c9b  Merge PR #2749: python.pri: detect missing 'which' command and
	     try to recover.
    0c14aae  python.pri: detect missing 'which' command and try to recover.

2017-01-21
  Mikkel Krautz <mikkel@krautz.dk>
    63661c0  Merge PR #2746: Remove long-form BSD-license from GKey.cpp/.h.

  Piratonym <piratonym@piratonym.cc>
    74572fd  Allow hiding Muble from the menu without minimizing

2017-01-20
  Mikkel Krautz <mikkel@krautz.dk>
    70573da  Remove long-form BSD-license from GKey.cpp/.h.
    89036d5  Audio, AudioInput, AudioOutput: add proper documentation about
	     AudioInput and AudioOutput construction and destruction.
    a4743f3  Revert PR #2674: Mumble: convert AudioInputPtr and
	     AudioOutputPtr to use QSharedPointer instead of
	     boost::shared_ptr.
    4fe07a5  Merge PR #2742: Mumble.proto: explicitly use proto2 syntax.
    4e6d3bf  Mumble.proto: explicitly use proto2 syntax.
    59275f5  Merge PR #2741: CryptState: introduce AES_KEY_SIZE_*
	     constants.
    4d256ca  CryptState: introduce AES_KEY_SIZE_* constants.

2017-01-17
  Mikkel Krautz <mikkel@krautz.dk>
    fe65beb  Merge PR #2733: Transifex translation update

2017-01-11
  Mikkel Krautz <mikkel@krautz.dk>
    9e26fae  Merge PR #2727: Transifex translation update

2017-01-10
  Davide Beatrici <davidebeatrici@gmail.com>
    549197a  plugins/rl: update plugin to work with version 1.27

2017-01-08
  Mikkel Krautz <mikkel@krautz.dk>
    73fe457  Merge PR #2724: Update tree copyrights to 2017.
    91ebb8b  Update tree copyrights to 2017.
    bc01254  Merge PR #2723: Transifex translation update

2016-12-31
  Davide Beatrici <davidebeatrici@gmail.com>
    4d3d4d8  plugins/bf1: update plugin to work with version 1.0.47.30570

2016-12-24
  Davide Beatrici <davidebeatrici@gmail.com>
    501651b  plugins/gtav: update plugin to work with version 1.37 (Steam
	     only)

2016-12-23
  Lari Tikkanen <lartza@outlook.com>
    6366ff4  Default case for user dragging is unneeded
    7586175  Use ChannelDrag enum for UserDrag
    7e6c415  Implement configuring user dragging

  Mikkel Krautz <mikkel@krautz.dk>
    df0bd66  Merge PR #2716: Update AUTHORS and CHANGES.
    f5a053f  Update AUTHORS and CHANGES.
    ddd4764  Merge PR #2709: Add setting to configure user dragging

2016-12-22
  Mikkel Krautz <mikkel@krautz.dk>
    3c62a18  Merge PR #2715: Transifex translation update

2016-12-20
  Mikkel Krautz <mikkel@krautz.dk>
    a1c964b  Merge PR #2707: Transifex translation update

2016-12-14
  Davide Beatrici <davidebeatrici@gmail.com>
    e8849a4  plugins/rl: update plugin to work with version 1.26

2016-12-11
  Mikkel Krautz <mikkel@krautz.dk>
    900803c  Merge PR #2704: Transifex translation update

2016-12-08
  Davide Beatrici <davidebeatrici@gmail.com>
    6bad7ae  plugins/rl: update plugin to work with version 1.25

  Mikkel Krautz <mikkel@krautz.dk>
    be79bff  Merge PR #2703: Qt 4-related FTBFS issues
    74f5930  *.pro: use 'linux*' instead of 'linux' for Linux conditionals.
    704069e  DeveloperConsole: drop QPointer::clear() call. It is
	     unnecessary, and the clear() method is Qt 5-only.

2016-12-04
  Mikkel Krautz <mikkel@krautz.dk>
    6ac0553  Merge PR #2698: Add Developer Console to Mumble
    f62af9a  Add Developer Console to Mumble, where users can inspect
	     Mumble's log output.
    ab35897  Mumble: add os_unix.cpp, with LogEmitter support.
    a45bf73  os_macx.mm: add LogEmitter support.
    967e93e  Add LogEmitter to Mumble and use it in os_win.cpp.
    681ecf6  Merge PR #2697: Refactor LogEmitter from Murmur into its own
	     file in src/.
    cd8f6b7  Refactor LogEmitter from Murmur into its own file in src/.
    ec0ed4e  Merge PR #2696: 3rdparty/opus-build: update verison references
	     in config.h for Unix-like systems to 1.1.3.
    0502f61  3rdparty/opus-build: update verison references in config.h for
	     Unix-like systems to 1.1.3.
    c722cd1  Merge PR #2695: 3rdparty/opus-src: update to 1.1.3.
    94493ac  3rdparty/opus-src: update to 1.1.3.
    e596b72  Merge PR #2694: ConfigDialog_macx, mumble.pro: extra cleanups
	     after removal in PR #2693.

2016-12-03
  Mikkel Krautz <mikkel@krautz.dk>
    95a666d  ConfigDialog_macx, mumble.pro: extra cleanups after removal in
	     PR #2693.
    7dd03f3  Merge PR #2693: ConfigDiaglog_macx: remove, now that we
	     default to the new Mumble theme.
    599bd1b  ConfigDiaglog_macx: remove, now that we default to the new
	     Mumble theme.
    5998cc0  Merge PR #2692: os_win: remove MumbleHWNDForQWidget, add
	     mumble_mw_hwnd.
    5075b6c  os_win: remove MumbleHWNDForQWidget, add mumble_mw_hwnd.
    aa263e9  Merge PR #2691: mumble.pro: don't add to QTPLUGIN if we're on
	     a Qt with auto-plugin support.
    4bcd067  mumble.pro: don't add to QTPLUGIN if we're on a Qt with
	     auto-plugin support.
    d15ca88  Merge PR #2690: qt.pri: introduce QT_VERSION_INT for easier
	     version comparisons in qmake files.
    48b8ef7  qt.pri: introduce QT_VERSION_INT for easier version
	     comparisons in qmake files.
    6fe920b  Merge PR #2689: mumble.pro: only use qico on Windows.
    7a45072  mumble.pro: only use qico on Windows.
    eda8ade  Merge PR #2688: mumble.pro: refactor handling of
	     accessiblewidgets plugin.
    67945fd  mumble.pro: refactor handling of accessiblewidgets plugin.

2016-12-02
  Mikkel Krautz <mikkel@krautz.dk>
    06d3785  Merge PR #2687: Settings: add workaround for macOS "@Variant("
	     bug.
    c6029e6  Settings: add workaround for macOS "@Variant(" bug.
    c45298e  Merge PR #2685: MainWindow: disable MainWindow::changeEvent on
	     macOS; it causes Mumble to be non-interactive after restoring
	     from being minimized.
    0f170bf  MainWindow: disable MainWindow::changeEvent on macOS; it
	     causes Mumble to be non-interactive after restoring from being
	     minimized.

2016-12-01
  Mikkel Krautz <mikkel@krautz.dk>
    9b4ee06  Merge PR #2682: main, SocketRPC: add 'togglemute' and
	     'toggledeaf' RPC commands.
    541ac08  main, SocketRPC: add 'togglemute' and 'toggledeaf' RPC
	     commands.
    8aa2558  Merge PR #2681: Audio: start qtLastFetch timer in LoopUser to
	     fix local loopback.
    f7c40bd  Audio: start qtLastFetch timer in LoopUser to fix local
	     loopback.
    acd664a  Merge PR #2673: ffxiv_x64 Plugin: Add a plugin for Final
	     Fantasy XIV DX11/x64
    f1b901e  Merge PR #2677: Transifex translation update

2016-11-29
  Arthur Moore <Arthur.Moore.git@cd-net.net>
    84c2ae2  ffxiv_x64 Plugin: Add a plugin for Final Fantasy XIV x64

  Mikkel Krautz <mikkel@krautz.dk>
    0a58100  Merge PR #2675: Transifex translation update

2016-11-28
  Mikkel Krautz <mikkel@krautz.dk>
    2a106e1  Merge PR #2674: Mumble: convert AudioInputPtr and
	     AudioOutputPtr to use QSharedPointer instead of
	     boost::shared_ptr.
    b676712  Mumble: convert AudioInputPtr and AudioOutputPtr to use
	     QSharedPointer instead of boost::shared_ptr.

2016-11-27
  Arthur Moore <Arthur.Moore.git@cd-net.net>
    07308dc  ffxiv Plugin:  Add a plugin for Final Fantasy XIV

  Mikkel Krautz <mikkel@krautz.dk>
    0bc6d7d  Merge PR #2672: installer: add ffxiv plugin to the installer.
    5fc3721  installer: add ffxiv plugin to the installer.
    8bbb34d  Merge PR #2653: Add plugin for Final Fantasy XIV
    0df5c64  Merge PR #2671: Split mumble_flags.qrc into seperate files to
	     reduce .cpp size for older compilers.
    54dd7e7  Split mumble_flags.qrc into seperate files to reduce .cpp size
	     for older compilers.
    b6d7cf4  Merge PR #2670: scripts/mkflags.pl: remove old flags script.
    2c3eb27  scripts/mkflags.pl: remove old flags script.
    feb2b21  Merge PR #2669: Add OpenBSD to compiler.pri and, in main.pro
	     disable the overlay on OpenBSD.
    c0865e1  Merge PR #2668: Only link against -lrt when using a linux
	     mkspec.
    473b874  Only link against -lrt when using a linux mkspec.
    66693d8  main.pro: don't build overlay on OpenBSD.
    030a901  compiler.pri: add OpenBSD.
    d22a797  Merge PR #2666: ServerHandler: use
	     QUdpSocket::bind(QHostAddress, int) overload to fix Qt 4
	     build.
    afbf239  ServerHandler: use QUdpSocket::bind(QHostAddress, int)
	     overload to fix Qt 4 build.
    46137d9  Merge PR #2665: Always prepend 'release' or 'debug' dirs when
	     adding to QMAKE_LIBDIR.
    5cffbf3  Always prepend 'release' or 'debug' dirs when adding to
	     QMAKE_LIBDIR.

2016-11-26
  Mikkel Krautz <mikkel@krautz.dk>
    cb1732b  Merge PR #2664: Connection.h: fix build-breaking typo in
	     include: Qtcore -> QtCore.
    989f5d6  Connection.h: fix build-breaking typo in include: Qtcore ->
	     QtCore.
    8a10b93  Merge PR #2663: Fix Windows no-pch build by including correct
	     headers in .h files.
    1f430e4  Merge PR #2662: 3rdparty/speex-build: add CONFIG += no_batch
	     to speex-build.pro.
    27dc651  Fix Windows no-pch build by including correct headers in .h
	     files.
    ca8a117  3rdparty/speex-build: add CONFIG += no_batch to
	     speex-build.pro.
    153c0aa  Merge PR #2661: Restore green background for strong
	     certificate in UserView (root channel) and ServerView
	     (ConnectDialog)
    b3a1722  UserView: amend UserDelgate to allow a UserView's
	     BackgroundRole to override the theme's default background
	     color.
    18d73fa  ConnectDialog: add ServerViewDelegate for ConnectDialog's
	     QTreeView to be able to override the theme's background color.
    89b3916  Merge PR #2657: 3rdparty/qqbonjour-src: in
	     BonjourServiceResolver, always tear down ResolveRecord on
	     error.

2016-11-25
  Arthur Moore <Arthur.Moore.git@cd-net.net>
    8494361  l4d2 plugin: cleanup
    cd92d83  l4d2 plugin: combined plugin files
    d043606  l4d2 plugin: Moved constants to a single const block

  Mikkel Krautz <mikkel@krautz.dk>
    6130b34  Merge PR #2659: macx/compat: fix build of compat.m shim with
	     Sierra SDK.
    f3e8b13  Merge PR #2658: cplusplus.pri: pipe gcc -print-multiarch
	     output to stderr.
    db12479  Merge PR #2650: L4d2  Plugin Simplification
    f01f6e5  macx/compat: fix build of compat.m shim with Sierra SDK.
    f47822d  cplusplus.pri: pipe gcc -print-multiarch output to stderr.
    21a603c  3rdparty/qqbonjour-src: in BonjourServiceResolver, always tear
	     down ResolveRecord on error.
    64d730a  Merge PR #2656: buildenv.pri: set USE_BUILDENV preprocessor
	     define when inside a buildenv.
    9ecbc1c  buildenv.pri: set USE_BUILDENV preprocessor define when inside
	     a buildenv.
    52fd689  Merge PR #2655: .gitignore: add mocinclude.opt.
    0f2e4fb  .gitignore: add mocinclude.opt.
    0d76ff9  Merge PR #2589: Remove additional word character channel name
	     restriction
    82c27fe  Merge PR #2644: Add command-line flags for accessing license
	     information for Mumble and Murmur

2016-11-24
  Mikkel Krautz <mikkel@krautz.dk>
    25cb53d  Murmur: use About dialog for -license, -authors and
	     -third-party-licenses on Windows.
    e96f81a  Murmur: Add AboutDialogOptions flag to the AboutDialog class.
    821d547  Add About dialog to Murmur.
    33ae63e  murmur: add -license, -authors and -third-party-licenses
	     flags.
    b55a75d  mumble: implement --license, --authors, and
	     --third-party-licenses flags.
    7c5b3d4  About: use License class in the about dialog.
    6bb3270  License: new class for easier access to license data.
    cc2b1c7  Move licenses.h header to src/ from src/mumble/.

2016-11-18
  Mikkel Krautz <mikkel@krautz.dk>
    54eab8d  Merge PR #2648: cplusplus.pri: refactor 'prior modern C++
	     standards' logic to work for Qt 4.
    edf3e89  cplusplus.pri: refactor 'prior modern C++ standards' logic to
	     work for Qt 4.

2016-11-17
  Jan Klass <kissaki@posteo.de>
    e2ad9c0  Fix 2643: Revert "Merge PR #2611: plugins: use the short form
	     of peekProc"

  Mikkel Krautz <mikkel@krautz.dk>
    f47df77  Merge PR #2647: main.pro: include compiler.pri to make
	     CONFIG(buildenv) check in macx section work.
    84d88b3  main.pro: include compiler.pri to make CONFIG(buildenv) check
	     in macx section work.
    09a0f84  Merge PR #2499: Themes: add support for user styles.
    5e005a7  Merge PR #2641: GlobalShortcutWin: ensure winhook NumLock and
	     Pause keys are translated into their correct DirectInput key
	     IDs.
    b466faa  Merge PR #2637: Fix Murmur build inside the Linux buildenv
    e9f3c08  Merge PR #2640: ServerDB: ensure 'id' is never uninitialized
	     in Server::removeChannelDB().

2016-11-15
  Mikkel Krautz <mikkel@krautz.dk>
    486381c  Merge PR #2642: About: add AUTHORS file to the about dialog.
    493204f  About: add AUTHORS file to the about dialog.

2016-11-14
  Mikkel Krautz <mikkel@krautz.dk>
    fa27098  GlobalShortcutWin: ensure winhook NumLock and Pause keys are
	     translated into their correct DirectInput key IDs.

2016-11-13
  Mikkel Krautz <mikkel@krautz.dk>
    175ddb6  ServerDB: ensure 'id' is never uninitialized in
	     Server::removeChannelDB().
    491363e  Merge PR #2636: compiler.pri: drop old modern C++ detection
	     logic that is now handled by cplusplus.pri.
    f97a28b  compiler.pri: drop old modern C++ detection logic that is now
	     handled by cplusplus.pri.
    d2c0cc3  main.pro: use CONFIG(buildenv) instead of custom
	     buildenv-detection logic.
    0dcb493  murmur.pro: use CONFIG(buildenv) in
	     QSslDiffieHellmanParameters check.
    454e3d7  compiler.pri: use CONFIG(buildenv) instead of custom
	     buildenv-detection logic.
    6af0190  cplusplus.pri: do not use Debian C++11 lib dir when inside a
	     buildenv.
    3c3714a  compiler.pri, buildenv.pri: add CONFIG+=buildenv when inside a
	     Mumble buildenv.
    4be78f2  When using -isystem, also add the included path via the
	     regular -I flag.
    c21518f  Themes: add support for user styles.
    b2e37e6  Merge PR #2623: Use same source address for UDP packets that
	     is used for TCP packets
    2b1c6b4  ServerHandler: implement ServerHandler logic for
	     'net/udpforcetcpaddr'.
    7d621d7  Settings: add 'net/udpforcetcpaddr' option to configure the
	     default UDP binding behavior.
    cb6329b  Connection: add localAddress() and localPort() getters.
    380cd6b  Merge PR #2634: overlay: fall back to fxc.exe on PATH if DXSDK
	     is not set.
    713e2aa  Merge PR #2630: compiler.pri: improve modern C++ detection
    d9cc484  overlay: fall back to fxc.exe on PATH if DXSDK is not set.
    4a91dd7  cplusplus.pri: handle Debian C++11 library path.
    20b33c2  compiler.pri, cplusplus.pri: improve modern C++ detection.

2016-11-06
  Mikkel Krautz <mikkel@krautz.dk>
    9fc379a  ServerHandler: reconnect to the server if it is not responding
	     to TCP pings

2016-11-05
  Jan Klass <kissaki@posteo.de>
    dd874cc  Add and update author alias for Jan Klass
    94b05db  Fix #2584 by reverting introduction of log message with PR
	     #2580

2016-11-03
  Davide Beatrici <davidebeatrici@gmail.com>
    685b5d6  plugins: fix compile error on Linux

  Mikkel Krautz <mikkel@krautz.dk>
    8396904  murmur_ice: use `slice2cpp --version` to guess the slice
	     include path for slice2cpp.
    4efd506  Merge PR #2616: plugins: fix compile error on Linux
    36ae0fc  Merge PR #2613: Transifex translation update

2016-11-02
  Jan Klass <kissaki@posteo.de>
    628ddc3  Remove most of channel name restriction

2016-11-01
  Mikkel Krautz <mikkel@krautz.dk>
    e9c558f  Merge PR #2611: plugins: use the short form of peekProc

2016-10-31
  Davide Beatrici <davidebeatrici@gmail.com>
    921ee19  plugins: use the short form of peekProc

2016-10-30
  Davide Beatrici <davidebeatrici@gmail.com>
    dead5a7  plugins/l4d: total revamp and identity support

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    f836ed4  Merge PR #2609: plugins/l4d: total revamp and identity support

  Mikkel Krautz <mikkel@krautz.dk>
    ca2fd07  Merge PR #2593: Introduce QAtomicIntLoad inline function in
	     QAtomicIntCompat.h header, use for aiUdpFlag in Murmur.

2016-10-29
  Davide Beatrici <davidebeatrici@gmail.com>
    882ad70  plugins: build x64 ones only when the target is x86_64

  Mikkel Krautz <mikkel@krautz.dk>
    b96bd07  Merge PR #2607: plugins: Build x64 ones only when the target
	     is x86_64

2016-10-27
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    c553e04  Merge PR #2603: plugins/bf1: better squad pointer

  zeroX-tj <tim.janssens@gmail.com>
    360cac6  plugins/bf1: better squad pointer

2016-10-26
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    30c779c  plugins/bf1: update plugin to work with version 1.0.9.53998

  Mikkel Krautz <mikkel@krautz.dk>
    509d7fd  compiler.pri: use -std=c++98 instead of -std=c++03.
    2e6625b  Murmur: replace all QAtomicInt loads with new QAtomicIntLoad
	     compatibility function.
    2e08433  murmur_pch.h: add QAtomicIntCompat.h header to Murmur's PCH
	     file.
    6c3544d  Add QAtomicIntLoad via new QAtomicIntCompat.h header.

2016-10-23
  Davide Beatrici <davidebeatrici@gmail.com>
    90bcd40  plugins: Move NUL terminator to escape function

  Mikkel Krautz <mikkel@krautz.dk>
    308e4f7  Merge PR #2592: plugins: Move NUL terminator to escape
	     function

2016-10-22
  Mikkel Krautz <mikkel@krautz.dk>
    0258d2a  Merge PR #2582: compiler.pri: explicitly default to C++03 on
	     Unix-like systems.
    e99b0c9  compiler.pri: explicitly default to C++03 on Unix-like
	     systems.

2016-10-21
  Mikkel Krautz <mikkel@krautz.dk>
    e9a34bd  Merge PR #2583: Fix BF1 PA plugin Windows installer
	     integration
    61b53ca  Fix BF1 PA plugin Windows installer integration.

2016-10-20
  Davide Beatrici <davidebeatrici@gmail.com>
    7ab7d1d  Positional audio support for Battlefield 1

  Mikkel Krautz <mikkel@krautz.dk>
    4add9ce  Merge PR #2580: Log information about missing target channel
    c1cd99e  Merge PR #2581: Positional audio support for Battlefield 1

2016-10-19
  Jan Klass <kissaki@posteo.de>
    9c5d02c  Log information about missing target channel

2016-10-18
  Davide Beatrici <davidebeatrici@gmail.com>
    0785dea  plugins/wow: Update version number

2016-10-16
  Davide Beatrici <davidebeatrici@gmail.com>
    05cc7e3  plugins/l4d2: Added player SteamID in identity

2016-10-05
  Jan Klass <kissaki@posteo.de>
    9d2bb10  Fix #2572: Fix invisible Quickchat bar on startup

2016-10-04
  Davide Beatrici <davidebeatrici@gmail.com>
    89b0f31  plugins/rl: update plugin to work with version 1.24

2016-09-26
  Mikkel Krautz <mikkel@krautz.dk>
    2d6e099  Merge PR #2564: Added an appdata.xml file for Linux software
	     gallery integration
    2733fed  Merge PR #2565: plugins/wow: update plugin to work with build
	     22624

2016-09-25
  Davide Beatrici <davidebeatrici@gmail.com>
    a18d61c  plugins/wow: update plugin to work with build 22624

  Matthias Mailänder <matthias@mailaender.name>
    a063ee2  Add an appdata.xml file.

2016-09-20
  Mikkel Krautz <mikkel@krautz.dk>
    d08be37  Merge PR #2557: Transifex translation update

2016-09-19
  Mikkel Krautz <mikkel@krautz.dk>
    f3a1a6c  Merge PR #2555: Added a DBus method for getting a list of
	     currently talking users.

2016-09-16
  Jeff Rogers <jeff@flyzipline.com>
    a528343  Added a DBus method for getting a list of currently talking
	     users.

2016-09-14
  Mikkel Krautz <mikkel@krautz.dk>
    4009ea3  Merge PR #2552: MainWindow: avoid initial setupView(false)
	     call in setupGui() on Qt 5.

2016-09-13
  Davide Beatrici <davidebeatrici@gmail.com>
    fe3ec08  plugins/rl: update plugin to work with version 1.23

  Mikkel Krautz <mikkel@krautz.dk>
    99899d1  MainWindow: avoid initial setupView(false) call in setupGui()
	     on Qt 5.

2016-09-12
  Davide Beatrici <davidebeatrici@gmail.com>
    04dacb1  plugins/wow: Total revamp and support for the x64 executable.

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    28fe58f  Build Rocket League on Linux

  Mikkel Krautz <mikkel@krautz.dk>
    0556b6c  Merge PR #2549: plugins/wow: Total revamp and support for the
	     x64 version of the executable
    d13a877  Merge PR #2551: Revert PR #2531: installer: use MSVC2015
	     runtime.
    e3acce3  Revert PR #2531: installer: use MSVC2015 runtime.
    a235d1a  Merge PR #2550: Build Rocket League on Linux

2016-09-09
  Davide Beatrici <davidebeatrici@gmail.com>
    29f6e20  Positional audio support for Rocket League on Linux

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    fbf7900  plugins/rl: update plugin to work with version 1.22

  Mikkel Krautz <mikkel@krautz.dk>
    f064a8d  Merge PR #2547: Positional audio support for Rocket League on
	     Linux

2016-09-07
  Mikkel Krautz <mikkel@krautz.dk>
    9be606e  Merge PR #2541: Murmur postgresql support

2016-09-04
  Mikkel Krautz <mikkel@krautz.dk>
    2eaed7e  Merge PR #2542: Enable the Opus music encoder

  Natenom <natenom@natenom.com>
    498e558  Enable the Opus music encoder

2016-08-31
  Luke A Pitt <LukeAPitt@googlemail.com>
    1c12c81  Replace checks for (not SQLite and not PostgreSQL) with checks
	     for MySQL.

2016-08-30
  Luke A Pitt <LukeAPitt@googlemail.com>
    477f335  Whitespace fixes.
    64d09ce  This commit removes the reconnection logic from
	     ServerDB::query(). Logic was removed due to issues raised in
	     comment
	     https://github.com/mumble-voip/mumble/pull/2383#issuecomment-2
	     30173429 .
    7560db0  Use UPSERT for PostgreSQL, REPLACE INTO for other databases.
	     Used place holder marks for PostgreSQL UPSERT values instead
	     of positional binding since the statements require the values
	     twice (once for the INSERT, and once for the UPDATE should the
	     insert fail). The values to use for the ON CONFLICT DO UPDATE
	     part of the UPSERT have been prefixed with u_ .
    8f20669  Minimum changes to make previously applied postgresql pacth
	     work with current version of mumur. Change users table to have
	     new column format. Change slog table to have a default value
	     of "now()" for column msgtime as other databases use triggers
	     to add this value. Revert database logging statement so that
	     the timestamp is assigned by triggers or column default
	     values.
    3d5c743  Indentation fix - Replace spaces with tabs.

  Arne Fenske <arne_fenske@Yahoo.de>
    b99a459  Murmur now supports PostgreSQL. The PostgreSQL plugin for Qt 4
	     ('libqt4-sql-psql' package in Debian) is required. To enable
	     this feature, use the 'dbDriver=QPSQL' option in your
	     'mumble-server.ini'.

2016-08-29
  Mikkel Krautz <mikkel@krautz.dk>
    96d87db  Merge PR #2540: Remove some old-style plugin license headers.
	     They are now covered by LICENSE/AUTHORS.
    ca678fe  Fix UT99 plugin license in 3rdPartyLicenses.
    9340a10  Update 3rdPartyLicenses for plugins.
    047e9f3  Merge PR #2539: Update AUTHORS and CHANGES
    08198a6  plugins: remove some old-style license headers now covered by
	     LICENSE/AUTHORS.
    5e96c33  CHANGES: update.
    0624e36  AUTHORS: regenerate.
    80b8e3c  Merge PR #2538: .mailmap: add Eli Tallman.
    56ea5a2  .mailmap: add Eli Tallman.
    e6cde15  Merge PR #2537: Messages: add the prefix “Private” in
	     MainWindow::msgTextMessage().

2016-08-28
  Mikkel Krautz <mikkel@krautz.dk>
    13772c1  Merge PR #2472: Remove the message size restriction and fix
	     the validation of images

2016-08-26
  Mikkel Krautz <mikkel@krautz.dk>
    79f1885  Merge PR #2531: installer: use MSVC2015 runtime.
    824db88  installer: use MSVC2015 runtime.
    c05d4de  Merge PR #2534: Send clipboard content to chat
    2866033  Merge PR #2535: Transifex translation update

2016-08-25
  Anthony Alves <cvballa3g0@gmail.com>
    79f67f6  Send clipboard content to chat

2016-08-24
  Mikkel Krautz <mikkel@krautz.dk>
    355bf07  Merge PR #2526: compiler.pri: enable warnings-as-errors by
	     default on Windows.
    fc9dc2e  Merge PR #2524: OSInfo: fix implicit size_t conversion.
    d7ac6f7  OSInfo: fix implicit size_t conversion.
    dd14796  Merge PR #2525: Fix various warnings in the Windows overlay
	     found by upgrading to MSVC2015
    173aa7d  Merge PR #2523: Fix various plugin problems that popped up
	     with MSVC2015
    a017810  Merge PR #2522: overlay: remove use of d3dx9, d3dx10 and
	     d3dx11.
    d657238  Merge PR #2527: Allow Mumble to be built with MSVC2015

2016-08-21
  Mikkel Krautz <mikkel@krautz.dk>
    5d75109  compiler.pri: remove -Zc:strictStrings on MSVC2015 as well.
    2a8551d  os_win: supply new definition of __pfnDliNotifyHook2 instead
	     of assigning to it.
    7868bea  compiler.pri: enable warnings-as-errors by default on Windows.
    4cc3441  overlay/overlay_exe: use unsigned long long for our passed-in
	     handle to silence MSVC2015 warning.
    b711ea9  overlay/lib.h: fix _WIN32_WINNT redefinition.
    9f50ca8  overlay/lib.cpp: cast to long when creating RECT.
    a474aa2  plugins/null_plugin.cpp: remove use of legacy plugin header.
    c194b1c  plugins/mumble_plugin_win32_ptr_type.h: convert to uintptr_t
	     before converting to procptrXX_t.
    4030d2c  plugins/wow: convert plugin to use
	     mumble_plugin_win32_32bit.h.
    72f038e  overlay: remove use of d3dx9, d3dx10 and d3dx11.
    7960c50  plugins/mumble_plugin.h: add magic values for MSVC2015 x86 and
	     x64 ABIs.
    9d926ac  compiler.pri: remove DXSDK sanity check.
    2ad58a5  toolchain: add MSVC2015 toolchain.

2016-08-19
  Mikkel Krautz <mikkel@krautz.dk>
    1603d08  Merge PR #2518: Reset to 0 dB on Local Volume Adjustment reset
	     button

2016-08-18
  Anthony Alves <cvballa3g0@gmail.com>
    3cb7334  Reset to 0 dB on localvoladj reset

  Mikkel Krautz <mikkel@krautz.dk>
    3557cd2  Merge PR #2517: Transifex translation update

2016-08-17
  Mikkel Krautz <mikkel@krautz.dk>
    89ef242  Merge PR #2515: Transifex translation update

2016-08-14
  Davide Beatrici <davidebeatrici@gmail.com>
    7d7887a  Build Left 4 Dead 2 on Linux

2016-08-13
  Mikkel Krautz <mikkel@krautz.dk>
    de1d983  Merge PR #2514: Build Left 4 Dead 2 on Linux
    f735a63  Merge PR #2513: plugins: use MUMBLE_PLUGIN_EXPORT instead of
	     compiler-specific declarations.
    2f5118c  plugins: use MUMBLE_PLUGIN_EXPORT instead of
	     __attribute__((visibility("default"))).
    b19840c  plugins: use MUMBLE_PLUGIN_EXPORT instead of
	     __declspec(dllexport).
    2396a99  Merge PR #2512: Plugins: lay the groundwork for using Windows
	     PA plugins on Linux with Wine
    743f129  plugins/rl: allow Windows plugin to be built on Linux.
    8002f23  plugins: allow mumble_plugin_win32_32bit.h and
	     mumble_plugin_win32_64bit.h to be included on Linux.
    9a99bd5  plugins/l4d2: use new Linux plugin API in l4d2_linux.
    2a049e6  mumble_plugin_linux.h: align API of the Windows and Linux
	     plugin headers.
    797bc9b  mumble_plugin.h: add MUMBLE_PLUGIN_EXPORT macro.
    dc7fefd  Plugins: teach Linux pid-fetcher to be Wine-aware.

2016-08-12
  Mikkel Krautz <mikkel@krautz.dk>
    86824a3  Merge PR #2511: Fix warnings in mumble_plugin_linux.h
    5b51676  pugins/mumble_plugin_linux.h: convert C-style casts to
	     C++-style casts.
    ee0c6a2  plugins/mumble_plugin_linux.h: use non-C++11
	     std::ifstream::open().

2016-08-11
  Davide Beatrici <davidebeatrici@gmail.com>
    746322e  plugins/l4d2: Rename "l4d2.cpp" to "l4d2_win32.cpp"
    88797fa  mumble/plugins: Rename Win32 headers
    2b414da  Positional audio support for Left 4 Dead 2 on Linux
    2da60f9  Linux support for positional audio plugins

  Mikkel Krautz <mikkel@krautz.dk>
    30ec38d  Merge PR #2510: mumble/plugins: Rename Win32 headers
    58a7ff5  Merge PR #2508: Positional audio support for Left 4 Dead 2 on
	     Linux
    d364932  Merge PR #2507: Linux support for positional audio plugins
    8248ab8  Merge PR #2509: Transifex translation update

2016-08-10
  Mikkel Krautz <mikkel@krautz.dk>
    e83d01c  Merge PR #2506: Plugins: fill out pids map on Linux.

2016-08-09
  Mikkel Krautz <mikkel@krautz.dk>
    2aec53d  Merge PR #2505: themes/Mumble: sync.
    33d422e  themes/Mumble: sync.

2016-08-08
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    713d531  plugins/link: Initialize wsPluginName to fix #2482

  Mikkel Krautz <mikkel@krautz.dk>
    d3f79b6  Merge PR #2500: Transifex translation update
    664ca40  Merge PR #2498: GlobalShortcut, Themes: move hard-coded
	     stylesheet from GlobalShortcut.ui into the Themes class's
	     default stylesheet.
    dab868e  Merge PR #2503: plugins/link: Initialize wsPluginName to fix
	     the empty shortname problem
    66d41ef  Merge PR #2497: Introduce MUComboBox subclass and use it
	     throughout the tree.

2016-08-07
  Kevin Rohland <kevin@nascher.org>
    3d082c8  Log: introduce new 2048x2048 message area size restriction.

  Mikkel Krautz <mikkel@krautz.dk>
    613b7fc  GlobalShortcut, Themes: move hard-coded stylesheet from
	     GlobalShortcut.ui into the Themes class's default stylesheet.
    56ffa37  GlobalShortcut: use MUComboBox.
    29e905a  Use MUComboBox in .ui files.
    4b7ebd9  MainWindow: use MUComboBox.
    25c0740  Add MUComboBox.
    59e5344  Merge PR #2496: Sync themes/Mumble.
    5d66094  Sync themes/Mumble.
    0a9c69d  Merge PR #2470: OSInfo: fix new Windows 10 OSInfo to not
	     include NUL values in the displayable version string.
    ab58864  Merge PR #2495: 3rdparty/xinputcheck-src: add Xbox One
	     controller (w/ 3.5 mm jack).
    ad10136  Merge PR #2493: Various mumble_plugin.h and ManualPlugin fixes

2016-08-06
  Kevin Rohland <kevin@nascher.org>
    50c7c77  Messages: add the prefix “Private” in
	     MainWindow::msgTextMessage().

  Mikkel Krautz <mikkel@krautz.dk>
    302afda  3rdparty/xinputcheck-src: add Xbox One controller (w/ 3.5 mm
	     jack).
    2df5f2f  OSInfo: fix new Windows 10 OSInfo to not include NUL values in
	     the displayable version string.
    042efe4  plugins/link: remove uses of HWND in about() and config().
    9fbe678  ManualPlugin: remove unnecessary mumble_plugin.h preamble.
    d818a8d  plugins/mumble_plugin.h: fix typo in MUMBLE_PLUGIN_MAGIC_QT
	     for _MSC_VER == 1600, M_IX86.
    f0a5bd2  plugins/mumble_plugin.h: replace use of HWND with void *.
    e7ff17b  Merge PR #2492: GlobalShortcut_win: log product guid when
	     adding a new DirectInput device.
    896f6f5  Merge PR #2491: GlobalShortcut_win: log product GUID when
	     excluding an XInput device from DirectInput processing.
    0763a3d  Merge PR #2490: GlobalShortcut_win: fix XboxInput button mask
	     in buttonName().
    46a05fe  Merge PR #2489: 3rdparty/xinputcheck-src: add Xbox One S
	     wireless (non-Bluetooth) and Xbox One Elite wireless.
    6b67f35  plugins/mumble_plugin.h: replace hardcoded __cdecl with
	     MUMBLE_PLUGIN_CALLING_CONVENTION.
    d3aa65d  GlobalShortcut_win: log product guid when adding a new
	     DirectInput device.
    682d33b  GlobalShortcut_win: log product GUID when excluding an XInput
	     device from DirectInput processing.
    3ad420f  GlobalShortcut_win: fix XboxInput button mask in buttonName().
    5ca9503  3rdparty/xinputcheck-src: add Xbox One S wireless
	     (non-Bluetooth) and Xbox One Elite wireless.

2016-08-04
  Mikkel Krautz <mikkel@krautz.dk>
    fe52ad0  Plugins: fill out pids map on Linux.
    8bdfd7d  Merge PR #2484: 3rdparty/xinputcheck-src: add Xbox One
	     controller GUIDs to avoid device list querying for Xbox One
	     controllers.
    8ee2bbc  3rdparty/xinputcheck-src: add Xbox One controller GUIDs to
	     avoid device list querying for Xbox One controllers.

2016-07-31
  Kevin Rohland <kevin@nascher.org>
    fb19de1  Log: check for QSizeF::isValid() in Log::validHtml().

  Mikkel Krautz <mikkel@krautz.dk>
    b126c4e  Merge PR #2478: Log: check for QSizeF::isValid() in
	     Log::validHtml()
    3923ce8  Merge PR #2460: Transifex translation update

2016-07-30
  Mikkel Krautz <mikkel@krautz.dk>
    44f1055  Merge PR #2475: Fix for ban reason context menu overlap.

2016-07-29
  synapse84 <synapse84@gmail.com>
    b205f6d  Removed RightToLeft property.

2016-07-21
  Mikkel Krautz <mikkel@krautz.dk>
    2f88605  Merge PR #2447: OSInfo: add Windows 10 displayable version
	     string.

2016-07-20
  Mikkel Krautz <mikkel@krautz.dk>
    88e6647  OSInfo: add Windows 10 displayable version string.
    cf9877c  Merge PR #2440: GlobalShortcut_win: add additional diagnostic
	     logging to the DirectInput backend
    4a99cde  Merge PR #2446: AudioWizard: always use ClassicStyle.
    acfa044  Merge PR #2450: About: HTML-escape third party license text.
    5ea862b  Merge PR #2451: Transifex translation update

2016-07-19
  Mikkel Krautz <mikkel@krautz.dk>
    e0f368d  About: HTML-escape third party license text.

2016-07-18
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    730200a  plugins/l4d2: Updated server ID memory address

  Mikkel Krautz <mikkel@krautz.dk>
    7091a4c  AudioWizard: always use ClassicStyle.
    3b53aad  Merge PR #2444: bump overlay version to force re-install on
	     macOS.
    d54cb77  macx/osax: bump overlay version to force re-install on macOS.
    ee1a671  Merge PR #2442: plugins: allow getModuleAddr() to enumerate
	     32-bit modules in WoW64 mode.
    bb72d91  plugins: allow getModuleAddr() to enumerate 32-bit modules in
	     WoW64 mode.
    57819f1  GlobalShortcut_win: log dwDevType when rejecting a blacklisted
	     device.
    c2eb801  GlobalShortcut_win: when adding a DirectInput device, log its
	     dwDevType.
    00f4e06  GlobalShortcut_win: allow logging of a device's objects in
	     verbose mode.
    af38fdb  Merge PR #2424: Fix updatecheck result logging
    ac134d3  Merge PR #2438: ManualPlugin: fix macOS build.

2016-07-17
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    d7b26dd  plugins/gtav: update game_name memory addresses

  Mikkel Krautz <mikkel@krautz.dk>
    0f9d5c1  ManualPlugin: fix macOS build.
    220f272  Merge PR #2434: installer: remove manual.dll from the
	     installer.
    956497c  installer: remove manual.dll from the installer.
    6e2f710  Merge PR #2431: Move the manual plugin into Mumble itself
    42ddfcc  Remove hacks specific to the manual plugin from the build.
    9984f48  INSTALL: document no-manual-plugin.
    f59d080  ManualPlugin.h: make include guards fit the src/mumble style.
    32919bb  ManualPlugin.h: add missing LICENSE.header.
    202fa2d  Rename the manual plugin's files in src/mumble to be
	     ManualPlugin.{cpp,h,ui}.
    db4c16d  Teach the Plugins class about the built-in manual plugin.
    a179f5d  Move 'manual' plugin into Mumble itself.
    3ea298a  Plugins: add MumblePluginQt to better support the 'manual'
	     plugin.
    b2f2277  Merge PR #2430: LCD: add workarounds for LCD drawing on Qt
	     5.6.
    9adc52d  Merge PR #2428: g15helper: add Qt-based G15 emulator, for
	     debugging.

2016-07-16
  Mikkel Krautz <mikkel@krautz.dk>
    be4ae5b  Merge PR #2419: MainWindow, CustomElements: implement proper
	     Backtab/Shift-Tab behavior for MainWindow::qteChat.
    10abf36  Merge PR #2411: MainWindow: allow using F6 to switch between
	     MainWindow's main widgets.
    615fe7f  MainWindow: allow using F6 to switch between MainWindow's main
	     widgets.
    0dcbf54  Merge PR #2425: GlobalShortcutWin: delay winhook
	     initialization until after our first timeTicked() slot.
    d573183  GlobalShortcutWin: delay winhook initialization until after
	     our first timeTicked() slot.
    9923ec9  g15helper: add Qt-based G15 emulator, for debugging.

2016-07-15
  Mikkel Krautz <mikkel@krautz.dk>
    c04aa4e  LCD: add workarounds for LCD drawing on Qt 5.6.
    ebbac0b  Merge PR #2420: Murmur: use aiUdpFlag.load() in comparisons to
	     fix Qt <5.2 build.
    46b5b62  Murmur: use aiUdpFlag.load() in comparisons to fix Qt <5.2
	     build.

2016-07-14
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    bfa9be7  plugins/gtav: update plugin to work with version 1.35

  Jan Klass <kissaki@posteo.de>
    edba745  Fix missing update check failure message

  Mikkel Krautz <mikkel@krautz.dk>
    48ad19e  Merge PR #2423: plugins/gtav: update plugin to work with
	     version 1.35

2016-07-13
  Jan Klass <kissaki@posteo.de>
    72cd86c  Fix mapping description

  Mikkel Krautz <mikkel@krautz.dk>
    90d9cec  MainWindow, CustomElements: implement proper Backtab/Shift-Tab
	     behavior for MainWindow::qteChat.

2016-07-10
  Kevin Rohland <kevin@nascher.org>
    3a980fd  Fix must_pkgconfig and misspelling in mumble.pro

  Mikkel Krautz <mikkel@krautz.dk>
    43db0c4  Merge PR #2416: Transifex translation update
    fcd2de6  Merge PR #2417: Fix must_pkgconfig and misspelling in
	     mumble.pro
    4dc497e  Merge PR #2413: build: add pkgconfig.pri and must_pkgconfig
	     qmake function.
    c2be406  Merge PR #2408: TextMessage, RichTextEditor: accept
	     TextMessage dialog when Ctrl-Enter is pressed.
    7d2e1ef  TextMessage, RichTextEditor: accept TextMessage dialog when
	     Ctrl-Enter is pressed.

2016-07-09
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    4f565c6  plugins/rl: update plugin to work with version 1.21

  Mikkel Krautz <mikkel@krautz.dk>
    96998f0  build: add pkgconfig.pri and must_pkgconfig qmake function.
    6a78217  Merge PR #2412: plugins/rl: update plugin to work with version
	     1.21

2016-07-07
  Mikkel Krautz <mikkel@krautz.dk>
    f241782  Merge PR #2399: AudioInput: remove use of the register
	     keyword.
    7eefd32  AudioInput: remove use of the register keyword.
    6902b22  Merge PR #2400: GlobalShortcut_macx: add missing default-case
	     to switch statement to fix -Werror build.
    e5d365e  Merge PR #2401: mumble: add various Q_DECL_OVERRIDE
	     declarations to fix the macOS build.
    3d05088  Merge PR #2402: WASAPI: remove unnecessary Timer.h and User.h
	     includes in WASAPI.cpp.
    fd95696  Merge PR #2403: toolchain/win32-msvc2013: escape all
	     backslahes to make qmake happy.
    67face3  Merge PR #2404: rcc.pri: escape backslahes.
    238618d  Merge PR #2405: overlay: escape backslashes in
	     overlay-shared.pro.
    d82ee96  Merge PR #2406: Convert all remaining uses of LIBPATH in qmake
	     files to use QMAKE_LIBDIR instead.
    5f04b19  Merge PR #2407: Transifex translation update

2016-07-05
  Mikkel Krautz <mikkel@krautz.dk>
    295961d  Convert all remaining uses of LIBPATH in qmake files to use
	     QMAKE_LIBDIR instead.
    0d1244d  overlay: escape backslashes in overlay-shared.pro.
    084ef05  rcc.pri: escape backslahes.
    bcbf371  toolchain/win32-msvc2013: escape all backslahes to make qmake
	     happy.
    ae2d47b  WASAPI: remove unnecessary Timer.h and User.h includes in
	     WASAPI.cpp.
    800ee06  mumble: add various Q_DECL_OVERRIDE declarations to fix the
	     macOS build.
    3525ac8  GlobalShortcut_macx: add missing default-case to switch
	     statement to fix -Werror build.
    f35d0cb  Merge PR #2367: overlay: in D3D9's doPresent(), use
	     swapchain's backbuffer and dimensions if drawn via
	     IDirect3DSwapChain9::present().
    7c8b8ab  overlay: in D3D9's doPresent(), use swapchain's backbuffer and
	     dimensions if drawn via IDirect3DSwapChain9::present().
    6bc1da3  Merge PR #2395: ViewCert: only include 'QStringList
	     processQSslCertificateInfo(QString in)' when built against Qt
	     4.
    95222b9  Merge PR #2396: overlay: ensure the whole Microsoft Office
	     suite is blacklisted.
    64754ad  Merge PR #2398: Transifex translation update

2016-07-04
  Mikkel Krautz <mikkel@krautz.dk>
    4bae627  Merge PR #2393: Murmur: fix MurmurDBus::addChannel that was
	     broken by Murmur's new locking.
    8ae8dbb  overlay: ensure the whole Microsoft Office suite is
	     blacklisted.
    1705c43  ViewCert: only include 'QStringList
	     processQSslCertificateInfo(QString in)' when built against Qt
	     4.
    8540966  Merge PR #2391: overlay_gl: use Elf_Sym instead of Elf64_Sym
	     in FreeBSD specific-code.
    f45c1f7  Murmur: fix MurmurDBus::addChannel that was broken by Murmur's
	     new locking.

2016-07-03
  Mikkel Krautz <mikkel@krautz.dk>
    477f886  overlay_gl: use Elf_Sym instead of Elf64_Sym in FreeBSD
	     specific-code.
    41613d6  Merge PR #2376: compiler.pri: enable warnings-as-errors by
	     default if inside Mumble buildenv.
    a8e5514  Merge PR #2387: Transifex translation update

2016-07-02
  Mikkel Krautz <mikkel@krautz.dk>
    2e20f73  MErge PR #2363: Transifex translation update
    950fa15  Merge PR #2365: OverlayClient: hide QGraphicsPixmapItems when
	     FPS and time are disabled instead of setting an empty QPixmap.
    52a7624  Merge PR #2364: overlay: optimize blit() to not perform a blit
	     if the active item rect is empty.
    8272e48  overlay: optimize blit() to not perform a blit if the active
	     item rect is empty.
    daba32f  Merge PR #2375: Fix Timer class's system-header Boost problems
    aba01d8  Timer: use header-only boost::chrono if it is available.
    2c3e791  Timer: use clock_gettime with CLOCK_MONOTONIC if available.
    6ad70e4  Timer: revert PR #2333 ("use boost::chrono::steady_clock as
	     the underlyingmonotonic timer.")
    35a1979  Merge PR #2382: ViewCert: clean up Qt 4/Qt 5 compatibility
	     code.
    046e0ca  Merge PR #2384: plugins/gtav: Support for retail version

2016-07-01
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    536a3a5  plugins/gtav: Support for retail version

2016-06-30
  Mikkel Krautz <mikkel@krautz.dk>
    4f4e5ac  Merge PR #2380: ViewCert: show certificate's SHA-256
	     fingerprint.
    6e020c7  ViewCert: clean up Qt 4/Qt 5 compatibility code.

2016-06-29
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    e1b80c0  plugins/rl: Plugin update for game's latest version

  Mikkel Krautz <mikkel@krautz.dk>
    0040b7b  ViewCert: show certificate's SHA-256 fingerprint.
    68606fe  Merge PR #2378: plugins/rl: Plugin update for game's latest
	     version
    c9814ae  Merge PR #2370: plugins: build fixes for UT3 and RL plugins to
	     fix warnings-as-errors build

2016-06-27
  anonym <anonym@riseup.net>
    0577ab7  Show the SSL cert's SHA1 digest in the "SSL Verification
	     failed" prompt.

  Mikkel Krautz <mikkel@krautz.dk>
    4d1cd4e  compiler.pri: enable warnings-as-errors by default if inside
	     Mumble buildenv.
    a297a24  Merge PR #2374: ViewCert: use QChar::fromLatin1 instead of
	     QChar::fromAscii.
    da39bfb  ViewCert: use QChar::fromLatin1 instead of QChar::fromAscii.
    e54e7cf  Merge PR #2372: Show the SSL cert's SHA1 digest in the "SSL
	     Verification failed" prompt.

2016-06-26
  Mikkel Krautz <mikkel@krautz.dk>
    aa34251  plugins/ut3: fix warnings-as-errors build for UT3.
    c4301b5  plugins/rl: fix warnings-as-errors build for Rocket League
	     plugin.

2016-06-25
  Mikkel Krautz <mikkel@krautz.dk>
    27abc98  OverlayClient: hide QGraphicsPixmapItems when FPS and time are
	     disabled instead of setting an empty QPixmap.

2016-06-24
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    c1b91cf  plugins/ql: Native front and top vectors

  Mikkel Krautz <mikkel@krautz.dk>
    d21de05  Merge PR #2361: plugins/ql: Native front and top vectors
    ea372de  Merge PR #2276: Document and implement Murmur locking strategy
    18ccbf1  docs/MurmurLocking.md: add documentation for Murmur's locking
	     strategy.
    c73df62  Fix locking in the unknown peer path of UDP receive in
	     Server::run().
    cb446f1  Server: convert bUdp to use QAtomicInt for proper
	     synchronization.
    cf6a5b7  Hold write lock on qrwlVoiceThread when writing to bDeaf,
	     bMute and bSuppress.
    c8bd941  Hold write lock on qrwlVoiceThread when writing to bSelfDeaf,
	     bSelfMute and ssContext.
    80c6e31  Writing to User->sState requires holding qrwlVoiceThread.
    9dfca42  Add Mutex internal to BanwidthRecord.
    b1285fc  Ensure all ACL write operations hold qrwlVoiceThread.
    cfb535a  Add missing ACL cache lock to Server::processMsg.
    3be686c  Fix User->qmWhisperRedirect qrwlVoiceThread locking.
    f03b74d  Add mutex for csCrypt usage in Murmur.
    f260bd1  Implement correct write locking for
	     addChannel/removeChannel/link/unlink.
    5c0c8d8  Add documentation for qrwlVoiceThread.
    b33e1ac  Rearrange code in Server header.
    f66b0d3  Rename qrwlUsers to qrwlVoiceThread.
    91dc3d3  Move counter variable in processMsg into Opus condition.
    77ddc01  Move processMsg's 'c' Channel pointer into 'normal speech'
	     code path.
    d6d6f6f  Refactor use of 'p' User pointer used in foreach loops.
    f696ddc  Server: refactor bandwidth check in processMsg.

2016-06-23
  Davide Beatrici <davidebeatrici@gmail.com>
    ed8748d  plugins: update memory addresses retrieval to use
	     procptr32_t/procptr64_t.

  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    b1a9a36  plugins/rl: Plugin update for game's latest version

  Mikkel Krautz <mikkel@krautz.dk>
    ff09c04  Merge PR #2360: plugins/rl: Plugin update for game's latest
	     version
    f28e9b7  Merge PR #2349: plugins: update memory addresses retrieval to
	     use procptr32_t/procptr64_t.
    51af785  Merge PR #2354: plugins: add arch-specific
	     mumble_plugin_win32.h variants
    dce83ca  Merge PR #2356: overlay_gl: call glDrawArrays with
	     GL_TRIANGLES instead of GL_QUADS.
    557dbae  Merge PR #2355: overlay_gl: unmask framebuffer color
	     components in drawContext().
    5a50bb2  Merge PR #2358: Transifex translation update

2016-06-20
  Mikkel Krautz <mikkel@krautz.dk>
    6c2cf49  plugins.pri, mumble_plugin_win32.h: add
	     CONFIG(no-plugin-legacy-ptr) to disable use of non-explicit
	     mumble_plugin_win32.h header.
    c450c3b  plugins/rl: convert plugin to use 'mumble_plugin_win32_x86.h'.
    9d7ead3  plugins: add distinct header files for x86 and x64.

2016-06-19
  Mikkel Krautz <mikkel@krautz.dk>
    b16e5a1  overlay_gl: unmask framebuffer color components in
	     drawContext().
    e13d6c9  overlay_gl: call glDrawArrays with GL_TRIANGLES instead of
	     GL_QUADS.

2016-06-15
  Mikkel Krautz <mikkel@krautz.dk>
    07559e2  Merge PR #2333: Timer: use boost::chrono::steady_clock as the
	     underlying monotonic timer.
    ab6b4b6  Merge PR #2342: Implement uname.pri and use it to detect
	     FreeBSD on both Qt 4 and Qt 5
    2c2744e  Merge PR #2343: .mailmap: update dekarl's info.
    a9384f1  Merge PR #2344: Remove old-style license header from WoW
	     plugin.

2016-06-11
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    5271180  plugins/gtav: Plugin update for game's latest version

  Mikkel Krautz <mikkel@krautz.dk>
    f4ca0cf  Merge PR #2345: plugins/gtav: Plugin update for game's latest
	     version
    64f1c09  Remove old-style license header from WoW plugin.
    09d2942  .mailmap: update dekarl's info.
    5f2122c  Use 'contains(UNAME, FreeBSD)' instead of 'freebsd' (mkspec)
	     to detect FreeBSD.
    2550c4f  uname.pri: introduce uname.pri, and use it in various .pri
	     files.
    04b2635  Merge PR #2341: scripts/mkini.sh: consider semicolons as
	     comments to fix .ini generation.
    f6a0138  scripts/mkini.sh: consider semicolons as comments to fix .ini
	     generation.
    d840fa7  Merge PR #2335: Murmur: use non-forceful disconnect when
	     encountering SSL handshake errors on Qt 5.
    3897c79  Murmur: use non-forceful disconnect when encountering SSL
	     handshake errors on Qt 5.
    c738f7b  Merge PR #2340: plugins/ql: Plugin update for game's latest
	     version

2016-06-10
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    3e7b0ba  plugins/ql: Plugin update for game's latest version

2016-06-07
  Mikkel Krautz <mikkel@krautz.dk>
    a3275f5  plugins/l4d2: fix build.

2016-06-06
  Mikkel Krautz <mikkel@krautz.dk>
    8929c74  Timer: use boost::chrono::steady_clock as the underlying
	     monotonic timer.
    f491aac  Merge PR #2221: Murmur.ice: add updateCertificate() method.
    6091625  Murmur.ice: add updateCertificate() method.
    18e8014  Cert: add ERR_clear_error() to the end of initializeCert().
    0a5b68c  Merge PR #2326: Murmur: add no-op userTextMessage signal for
	     DBus to silence connect()'s error log output.
    5467f3a  Murmur: add no-op userTextMessage signal for DBus to silence
	     connect()'s error log output.
    9b5d066  Merge PR #2327: plugins/l4d2: Plugin update for game's latest
	     version and identity support

2016-06-04
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    e652888  Plugin update for game's latest version and identity support

  Mikkel Krautz <mikkel@krautz.dk>
    fd9c794  Murmur: add no-op userTextMessage signal for DBus to silence
	     connect()'s error log output.

2016-06-03
  Mikkel Krautz <mikkel@krautz.dk>
    5640f0a  Merge PR #2323: Transifex translation update

2016-05-31
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    d2416ca  Fixed inverted Z (left/right) value

  Mikkel Krautz <mikkel@krautz.dk>
    3e1d7ed  Merge PR #2320: [Rocket League] Fixed inverted Z (left/right)
	     value

2016-05-29
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    b147287  Plugin update for latest version of Rocket League
    c695463  Positional Audio support for Grand Theft Auto V
    7591b5c  Move "escape" function to mumble_plugin_utils.h header
    decab3f  Plugin update for latest version of Rocket League

  John Marion <john@lmsn.net>
    61ff49f  Correctly denote serverid as optional on manpage
    2634d62  Remove unnecessary .BI man macro
    775b391  Document -disablesu option for murmur on manpage

  Mikkel Krautz <mikkel@krautz.dk>
    44ea8c8  Merge PR #2315: Add GTA V plugin to the build and to the
	     installer.
    7a89a2c  Add GTA V plugin to the build and to the installer.
    eb0a2a0  Merge PR #2314: Plugin update for latest version of Rocket
	     League
    f38363f  Merge PR #2310: Positional Audio support for Grand Theft Auto
	     V
    d3e1c68  Merge PR #2308: Move "escape" function to
	     mumble_plugin_utils.h header
    88825e3  mumble.pro: query pkg-config for protobuf instead of using
	     -lprotobuf.
    fa92480  man/murmurd.1: add paragraph about what disabling SuperUser
	     means.

2016-05-26
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    da1d081  Plugin update for latest version of Rocket League

  Mikkel Krautz <mikkel@krautz.dk>
    3eec33a  Merge PR #2307: Plugin update for latest version of Rocket
	     League

2016-05-22
  Frank Engler <9x6@users.noreply.github.com>
    fd24ee9  ServerDB.cpp: refactor code writing SuperUser password into DB
    16f7323  murmurd: command line argument "-disablesu" disables SuperUser

  Mikkel Krautz <mikkel@krautz.dk>
    7164d3d  Merge PR #2297: mumble.pro: query pkg-config for protobuf
	     instead of using -lprotobuf.
    cb2b5ee  mumble.pro: query pkg-config for protobuf instead of using
	     -lprotobuf.
    708ace4  Merge PR #2298: man/murmurd.1: add paragraph about what
	     disabling SuperUser means.
    e067c4d  man/murmurd.1: add paragraph about what disabling SuperUser
	     means.
    aaf3666  Merge PR #2301: Document -disablesu on murmur manpage
    f990b90  Merge PR #1779: Disable SuperUser
    7b54ad0  Merge PR #2124: MumbleSSL: add a sanity check for QSsl loading
	     a different version of OpenSSL than we're linked against.
    4aa902d  MumbleSSL: add a sanity check for QSsl loading a different
	     version of OpenSSL than we're linked against.

2016-05-21
  John Marion <john@lmsn.net>
    5e66269  Correctly denote serverid as optional on manpage
    89643b4  Remove unnecessary .BI man macro
    84de178  Document -disablesu option for murmur on manpage

  Mikkel Krautz <mikkel@krautz.dk>
    b82b6eb  Merge PR #2281: Plugins, VersionCheck: don't pass
	     WTD_LIFETIME_SIGNING_FLAG to WinTrust APIs.
    f3a02c3  Plugins, VersionCheck: don't pass WTD_LIFETIME_SIGNING_FLAG to
	     WinTrust APIs.

2016-05-19
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    e023f45  plugins/bf4: Added Squad State value
    a1fe822  Positional Audio support for Battlefield 4 (x86)

  Kevin Rohland <kevin@nascher.org>
    3be04af  Allow only one instance from UserLocalVolumeDialog per User

  Mikkel Krautz <mikkel@krautz.dk>
    a779870  Merge PR #2284: Allow only one instance from
	     UserLocalVolumeDialog per User
    2f34ff7  Merge PR #2289: Net: use QLatin1String instead of implicit
	     char * -> QString conversion Ban::toString().
    dac910b  Net: use QLatin1String instead of implicit char * -> QString
	     conversion in Ban::toString().
    38dbec1  Merge PR #2287: plugins/bf4: Added Squad State value
    c522cff  Merge PR #2144: Ban logging verbosity
    ec87aa6  Merge PR #2286: Add BF4 x86 to the build and to the installer.
    8af5c23  Add BF4 x86 to the build and to the installer.
    d157e71  Merge PR #2285: Positional Audio support for Battlefield 4
	     (x86)

  spede <spede@dota2.fi>
    5d1a56e  Add logging for ban removals/changes.

2016-05-18
  Mikkel Krautz <mikkel@krautz.dk>
    2a20e16  Merge PR #2280: scripts/generate-CHANGES.py, CHANGES: update
	     script to use commit date rather than author date.
    c71461e  scripts/generate-CHANGES.py, CHANGES: update script to use
	     commit date rather than author date.
    bed423e  Merge PR #2275: plugins/bf4: fix JSON encoding.
    0c07d25  plugins/bf4: fix JSON encoding.
    0354aeb  Merge PR #2282: Transifex translation update
    abb770b  Merge PR #2265: Update CHANGES.
    25becb6  Update CHANGES.
    52f385c  Merge PR #2279: Use # for license header instead of // in
	     various .pro files.
    60465f5  Use # for license header instead of // in various .pro files.

2016-05-13
  Mikkel Krautz <mikkel@krautz.dk>
    23b4e85  Merge PR #2270: scripts/generate-CHANGES.py: fix capture group
	     in gitMailmapLookup's contact regexp.
    b0005c4  scripts/generate-CHANGES.py: fix capture group in
	     gitMailmapLookup's contact regexp.
    3b1ad3a  Merge PR #2268: Transifex translation update

2016-05-11
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    e4c91e2  Fixed Squad/Squad Leader pointers (#2267)

2016-05-10
  Mikkel Krautz <mikkel@krautz.dk>
    37c4749  Merge PR #2264: Add Joeliam to .mailmap and sync AUTHORS.
    c1251fd  Add Joeliam to .mailmap and sync AUTHORS.
    084da53  Merge PR #2256: Update the Mumble tree to use LICENSE.header
	     for all license headers
    19214a4  Add remaining files that use the old-style license header to
	     3rdPartyLicenses.
    78a46ea  src/murmur_grpcwrapper_protoc_plugin: update to use
	     LICENSE.header.
    313be4b  plugins: update to use LICENSE.header.
    63f2bd8  scripts: update to use LICENSE.header.
    84aa1ae  3rdparty: update to use LICENSE.header.
    af43d61  mumble_proto: update to use LICENSE.header.
    d2bda14  src/mumble: update to use LICENSE.header.
    4e2c7e3  macx: update to use LICENSE.header.
    5f71ce6  src/mumble_exe: update to use LICENSE.header.
    ce9e4c7  *.pri: update to use LICENSE.header.
    e45183b  toolchain: update to use LICENSE.header.
    35358ca  overlay_winx64: update to use LICENSE.header.
    3dad85f  overlay_gl: update to use LICENSE.header.
    76f3168  g15helper: update to use LICENSE.header.
    049fcae  overlay: update to use LICENSE.header.
    54c28d3  src/murmur: update to use LICENSE.header.
    395c084  src: update to use LICENSE.header.
    f3d19ad  LICENSE.header: update default license header to use
	     "2005-2016".
    f4e3ca9  Merge PR #2250: Various OpenBSD fixes
    3283c43  Add python.pri to detect the system's Python binary. Use it in
	     mumble.pro.
    1f72548  Fix mumble_pch.hpp for OpenBSD.
    cc48689  PulseAudio: remove OSS headers from PulseAudio.cpp.

2016-05-09
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    2854b32  Positional Audio support for Battlefield 4 (x64)

  John Marion <john@lmsn.net>
    4462701  Touch up Mumble and Murmur manpages
    6123439  Remove hardcoded IP whitelist for master server

  Mikkel Krautz <mikkel@krautz.dk>
    77b59e5  Merge PR #2262: Touch up Mumble and Murmur manpages
    7072cb2  Merge PR #2257: Various C++11 fixes
    39aebda  Channel, ServerUser: make cast operator non-const.
    69086d8  GlobalShortcut_macx: fix build in C++11 mode (strongly typed
	     enums)
    9b2bb22  Merge PR #2246: scripts/generate-CHANGES.py: add Python
	     replacement for 'git2cl.pl'.
    ac716df  scripts/generate-CHANGES.py: add Python replacement for
	     'git2cl.pl'.
    11b2823  .gitignore: add .DS_Store.
    656be8f  Merge PR #2259: remove non-existent file from .gitignore
    691d80a  installer, plugins: add bf4 plugin to build and installer.
    5b6bdac  Merge PR #2258: Remove hardcoded IP whitelist for master
	     server
    a30f1dd  Merge PR #2255: Positional Audio support for Battlefield 4
	     (x64)

  Tim Cooper <tim.cooper@layeh.com>
    412c0d1  Document undocumented fields in Mumble.proto (#2261)

2016-05-08
  Joel Kees <joelkees@gmail.com>
    192a89c  Fix Left 4 Dead 2 plugin and clean up plugin code

  Mikkel Krautz <mikkel@krautz.dk>
    c8d136f  Merge PR #2248: Fix Left 4 Dead 2 plugin and clean up plugin
	     code
    790bd79  Merge PR #2253: Transifex translation update
    89097d5  Merge PR #1682: murmur grpc support
    4a419de  grpc: limit gRPC to Qt 5.
    8d5236f  grpc: add log message in GRPCStart, so users know that GRPC is
	     enabled.
    e93d566  grpc: use single-line comments for docs in MurmurGRPCImpl.cpp.
    88a6653  grpc: use single-line doxygen-style comments in
	     RPCSingleStreamCall top-level comment.
    cd6b532  grpc: fix implicit QString conversions in setChannelStateGRPC.
    9128351  grpc: rename GRPC-specific Server::setChannelState method, and
	     add docs.
    c7cd28b  grpc: indent pre-declaration of classes in MurmurRPC::Wrapper.
    505df4f  grpc: make mServer and qtCleanup members in MurmurRPCImpl
	     conform to coding style.
    a02ef1b  grpc: fix Server::sendTextMessageGRPC and
	     Server::setChannelState to build in non-C++11 mode.
    9fafa9a  grpc: make member variables in RPCCall and RPCSingleStreamCall
	     coding style conformant.
    71f90de  grpc: rename remaining MurmurRPCImpl member variables to be
	     coding style conformant.
    d8710c1  grpc: rename aV1Service to m_V1Service.
    32b8abd  grpc: rename mCQ to m_completionQueue as per our coding style.
    31928ca  grpc: use single-line comments for MurmurGRPCImpl.cpp system
	     overview.
    83c0b09  grpc: rename RPCStart and RPCStop to GRPCStart and GRPCStop.
    a107fb3  grpc: fix formatting of textMessageFilter result handling.
    ee1988e  grpc: rename GRPC-specific Server::sendTextMessage to
	     Server::sendTextMessageGRPC(), and add docs.
    9c55e95  grpc: mention that gRPC is experimental in the INSTALL file.
    7666447  grpc: rename murmur_grpc_wrapper_gen to
	     murmur_grpcwrapper_protoc_plugin.
    4c54bb2  grpc: update license headers to use the new-style header.
    75d68fb  grpc: sync murmur.ini.grpc with murmur.ini.
    49f9833  grpc: shell out to 'which grpc_cpp_plugin' to find
	     grpc_cpp_plugin path in murmur_grpc.pro.
    41885a2  grpc: ignore unused parameter warnings from
	     MurmurRPC.grpc.pb.h.
    772191f  grpc: use RegisterService instead of RegisterAsyncService.
    46e954d  grpc: remove 'gpr' from PKGCONFIG.

  Tim Cooper <tim.cooper@layeh.com>
    0b0ce8e  remove non-existent file from .gitignore
    21f9a29  grpc: fix uninitialized RPCCall reference count
    1af50bd  grpc: do not use CONFIG for grpc block
    edcd4cd  grpc: require protobuf>=3
    59bda9b  grpc: rename murmur.ini.grpc to murmur.grpc.ini
    750f08d  grpc: do not include generated proto wrapper
    4a0f287  grpc: fix grpc CONFIG flag
    ff109d9  grpc: integrate murmur_grpc_wrapper_gen into qmake build
    97741f6  grpc: move grpc-specific ini options to separate file
    77e0bc2  grpc: fix compilation errors
    49a6d35  grpc: rename grpcCert, grpcKey to grpccert, grpckey
    7c7ccfb  grpc: change "no-grpc" build flag to "grpc"
    9bd982c  grpc: add TextMessageFilter method comment
    805c047  grpc: implement TextMessageFilter
    19537ac  grpc: allow connections to be secured using TLS
    6c68dec  grpc: only allow users to trigger explicitly added context
	     actions
    92320bf  grpc: add comment about incomplete embedded protobuf messages
    af63163  grpc: fix crash when writing to a stream that hasn't completed
	     its previous write
    d4b799d  grpc: add RPCSingleStreamCall base for single-streaming
	     wrappers
    1253f77  grpc: add helper method "end" to RPCSingleSingleCall
    8401b51  grpc: document more of the RPC protocol
    28fc480  grpc: add internal system overview
    0cbd230  grpc: reduce amount of generated wrapper code
    7514247  grpc: change RPCCall.mRefs to atomic
    23c931d  grpc: fix potential use after free issue
    6dfbce2  grpc: normalize RPC method names
    b52d4df  grpc: remove ContextAction.Context.None
    ab09ba3  grpc: fix ACL.allow, ACL.deny, ContextAction.context bitmasks
    b10811a  grpc: update RPC service comments
    f87267f  grpc: switch to versioned API
    56e0507  grpc: fix stream referencing counting issues
    5805883  grpc: fix crash in listener cleanup method
    d65eccf  grpc: document "no-grpc" config flag
    b69e5f8  grpc: periodically clean up old listeners
    c7686ff  grpc: fix possible use-after-frees with the GRPC wrappers
    89b487c  grpc: reduce compile warnings
    e953933  grpc: move grpc protobuf into separate sub-project
    9d26e93  grpc: remove TODOs
    e35f427  grpc: move ChannelService_Update logic to RPC.cpp
    3f47647  grpc: protocol documentation
    47a52f2  grpc: remove event listeners on write failure
    b558149  grpc: split AudioService.SetRedirectWhisperGroup into two
	     methods
    cccbec3  grpc: fix several TODO items
    7250656  grpc: fix build problems with GRPC 0.10
    80930b5  grpc: support setting temporary groups from authenticator
    3225be0  grpc: update some protocol field types to be more descriptive
    b331245  grpc: support texture in DatabaseServer methods
    37931ca  grpc: change TreeService.Get to TreeService.Query (allows for
	     query options to be added in the future)
    8f830b6  grpc: TODO fixes
    15f8258  grpc: normalize some grpc status codes thrown by Must*
    7df16ed  grpc: move TextMessageService_Send logic to RPC.cpp
    cace36d  grpc: simplify TextMessageService_Send
    a39df33  grpc: fix ConfigService.GetField, ConfigService.Get,
	     LogService.Query not working for stopped servers
    8192e55  grpc: fix ConfigService.SetField not working for stopped
	     servers
    5696efb  grpc: simplify ChannelService_Add
    f080702  grpc: simplify ChannelService_Update
    4a56a24  grpc: add User.Kick.actor
    060ae78  grpc: add a lock around the authenticator when it does a
	     write-read
    c53134d  grpc: simplify authenticator slots
    acfa8e8  grpc: update docs
    9b84646  grpc: change Server.uptime to Update from uint32
    a1d428d  grpc: minor cleanup
    17498d1  grpc: fix ServerService.Get for stopped servers
    4e6b3b9  grpc: move meta event sending to new method
    11eefc0  grpc: remove proto field
	     Authenticator.Response.Initialize.updating
    5d9d1af  grpc: remove old authenticator upon error or new authenticator
    fd52a05  grpc: make RPCCall.error's argument const
    ecf254f  grpc: implement MurmurRPCImpl::getRegisteredUsersSlot
    02c7f74  grpc: implement MurmurRPCImpl::registerUserSlot
    70cb2b7  grpc: implement MurmurRPCImpl::unregisterUserSlot
    541312d  grpc: implement MurmurRPCImpl::setTextureSlot
    4455db8  grpc: implement MurmurRPCImpl::setInfoSlot
    a813b13  grpc: implement MurmurRPCImpl::idToTextureSlot
    743ca4a  grpc: implement MurmurRPCImpl::nameToIdSlot
    d929e70  grpc: implement MurmurRPCImpl::idToNameSlot
    55cb261  grpc: implement MurmurRPCImpl::getRegistrationSlot
    a5cbcfa  grpc: add Find message to Authenticator
    5bb9a4f  grpc: include user certificate chain in authenticator request
    ac2418f  grpc: start AuthenticatorService.Stream implementation
    d63b5c7  grpc: add "request", "response" to stream-stream wrapper
    3af2bc8  grpc: rename "response" in generated code to "stream"
    5b2f2b9  grpc: generate callback() for "stream-stream" RPC methods
    5c071f0  grpc: change AuthenticatorService to a (hopefully) easier to
	     use API
    cc59e82  grpc: add authenticator slot stubs
    28e6041  grpc: implement ACLService.Get
    57dc921  grpc: implement ACLService.Set
    7f537d3  grpc: implement ConfigService.GetDefaults
    9b6eaed  grpc: implement ConfigService.Get
    ba30ef1  grpc: implement ConfigService.SetField
    729fad4  grpc: implement ConfigService.GetField
    51b5050  grpc: replace individual Config fields in favour of a
	     map<string, string>
    59340c3  grpc: implement ACLService.GetEffectivePermissions
    24e9400  grpc: implement ACLService.RemoveTemporaryGroup
    cf77593  grpc: implement ACLService.AddTemporaryGroup
    39940a4  grpc: finish ServerService.Events implementation
    e279bef  grpc: start ServerService.Events implementation
    95d4ab4  grpc: implement AudioService.SetRedirectWhisperGroup
    e9ec7d7  grpc: implement LogService.Query
    12e70ed  grpc: implement BanService.Set
    62a627e  grpc: implement BanService.Get
    b5afebe  grpc: implement MetaService.Events
    2acd97a  grpc: remove ContextActionService.Events listeners after they
	     fail
    39984f6  grpc: add timer that will trigger cleanup function every
	     minute
    3a1da38  grpc: add callback() method to single-streaming calls,
	     reenable ContextActionService.Events
    0fdb1df  grpc: RPCCall::error does not need to be a function anymore
    a89333d  grpc: pass grpc success variable to callback functions
    1b3cdd8  grpc: re-enable streaming wrapper generation
    c386db3  grpc: rework non-streaming call wrappers, temporary disable
	     streaming calls
    f8677db  grpc: implement DatabaseService.Query
    3fdd054  grpc: implement DatabaseService.Verify
    3b44029  grpc: implement DatabaseService.Deregister
    9d0899e  grpc: implement DatabaseService.Register
    dee4fbd  grpc: implement DatabaseService.Update
    cb85565  grpc: implement DatabaseService.Get
    3f9d0a9  grpc: implement ServerService.Query.
    e8125d6  grpc: rename channelToRPCChannel,userToRPCUser to ToRPC
    d5e8ef3  grpc: implement UserService.Query
    48f9b00  grpc: implement ChannelService.Query.
    45f90c0  grpc: implement TreeService.Get.
    a8d772a  grpc: implement targeting of TextMessageService.Send messages
    c748dbb  grpc: implement UserService.Update
    9269ab9  grpc: implement ServerService.Start
    0462dff  grpc: implement ServerService.Remove
    3b9bf4f  grpc: implement (rough) ContextActionService.Events
    ba0df3e  grpc: add basic meta and server event slots to MurmurRPCImpl
    b6aca49  grpc: implemented streaming generator, temporary removed
	     certain streaming RPC methods
    d711b8c  grpc: implement ServerService.Get
    f952591  grpc: implement ServerService.Stop
    a3c80ad  grpc: implement ServerService.Create
    cba1db8  grpc: replace "response->FinishWithError + return"s with
	     "throw"s
    fb97e5e  grpc: implement ContextActionService.Remove
    b929b2d  grpc: implement ContextActionService.Add
    3a7b724  grpc: replace old code with Must* functions
    6916629  grpc: add MustChannel for MurmurRPC.Channel
    082e145  grpc: add MustUser for MurmurRPC.User message
    e233c53  grpc: add exception hander around *_Impl to ease error handing
    0041ab3  grpc: switch to async grpc API, change naming of service
	     methods
    d181c0d  grpc: add *_Init to protoc-gen-grpcwrapper
    05a4501  grpc: remove MurmurRPCImpl and AsyncService from _Impl
	     signature
    d749e0f  grpc: add protoc-gen-grpcwrapper.cpp
    d681631  grpc: implement ChannelService.add
    08971f3  grpc: implement ChannelService.remove
    ab3c520  grpc: implement ChannelService.update
    bb86b3a  grpc: implement ChannelService.get
    b9c2169  grpc: fix incorrect status
    32ec04b  grpc: start ChannelService implementation
    f68b35d  grpc: implement UserService.kick
    418ff98  grpc: implement UserService.query
    2c0b3dc  grpc: start UserService, implement UserService::get
    5a7536c  grpc: add broadcasting to TextMessageService.send
    776c084  grpc: start implementation
    7b0bb82  grpc: switch to proto2 from proto3
    8d46083  grpc: do renames and add notes to MurmurRPC.proto
    375d0ae  grpc: add first MurmurRPC protobuf draft
    3960228  grpc: add empty MurmurRPC.proto file

2016-05-07
  Mikkel Krautz <mikkel@krautz.dk>
    0d35a9c  scripts/ts2html.pl: remove.
    6d2364a  scripts/qt.conf: remove.

2016-05-06
  Mikkel Krautz <mikkel@krautz.dk>
    aedb1a3  Re-generate and update AUTHORS file.
    d475b44  scripts/generate-AUTHORS.py: use pyuca for sorting to get
	     deterministic output on all platforms.

2016-05-04
  Mikkel Krautz <mikkel@krautz.dk>
    ba1a189  GlobalShortcut_win: fix access to nxboxinput in EnumDevicesCB.

2016-05-01
  James Fraser <fwaggle@fwaggle.org>
    0288120  Don't expose SSL secrets over Ice/D-Bus.

  Mikkel Krautz <mikkel@krautz.dk>
    a1a969e  AudioOutput: make playSample() time out after 1 second if no
	     AudioOutput is present.
    a50a120  PulseAudio: fall back to default device if chosen device is no
	     longer present.
    8dbc793  GlobalShortcut_win: only poll XboxInput if there are XInput
	     devices present.
    3434ff8  .mailmap: update James Fraser alias.
    9f20c21  scripts/generate-AUTHORS.py: use 'origin/branch' instead of
	     just 'branch' in git log call.

2016-04-30
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    cb8cbd0  Plugin update for latest version of Quake Live

  Tim Cooper <tim.cooper@layeh.com>
    6a3f2ef  add note about allowping to murmur.ini regarding information
	     exposure

2016-04-28
  Mikkel Krautz <mikkel@krautz.dk>
    5c17181  Move smallft to 3rdparty/smallft-src and add to
	     3rdPartyLicenses.
    b7271c2  Log: remove 'console' parameter of postNotification().
    cd8fbbd  Log_unix: use plain log message for KDE notifications.
    a2e6cb8  Log_unix: always send plain text notifications via
	     org.freedesktop.Notifications.

2016-04-26
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    6f843e5  Plugin update for latest version of Rocket League

  James Fraser <fwaggle@fwaggle.org>
    68547c9  Fix missing whitespace in if statement
    25422e7  Add comments to some conditionals in initializeCert()

  Tim Cooper <tim.cooper@layeh.com>
    b347f7e  fix crash caused by decoding all MIME data formats in
	     RichTextHtmlEdit

2016-04-25
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    6f1b851  plugins/ql: Added Spectator state value
    ccb1ff7  plugins/ql: Added camera values for a more precise PA
    47a6e32  plugins/ql: Fix host address string and add comments
    4f7af50  Positional audio support for Quake Live

  Mikkel Krautz <mikkel@krautz.dk>
    3a9edb8  plugins.pro: add ql plugin to the build.
    2c65953  installer: add ql.dll plugin to the installer.

2016-04-17
  Mikkel Krautz <mikkel@krautz.dk>
    0502fa6  Drop OS X specific '64-bit' check.
    72ef902  Add build number to OS X OSInfo.
    48cc538  Fix 'rl.dl' typo in Plugins.wxs.

2016-04-15
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    043a7d7  Plugin update for latest version of Rocket League

2016-04-10
  Davide Beatrici <davidebeatrici@users.noreply.github.com>
    8017a01  l4d2: Plugin update for latest game version
    80d0354  Positional Audio support for Rocket League

  Mikkel Krautz <mikkel@krautz.dk>
    6be0de4  installer: add 'rl.dll' to Plugins.wxs.
    95b3cc1  plugins.pro: add 'rl'.
    0393ed3  mumble_plugin.h: use _M_IX86 instead of (typo'd) _M_X86.

2016-04-01
  John Marion <john@lmsn.net>
    4e9f412  Remove unused jitter reporting code

  Mikkel Krautz <mikkel@krautz.dk>
    ef72e3e  overlay: remove Far Cry 4 from the default blacklist.

2016-03-14
  Mikkel Krautz <mikkel@krautz.dk>
    a59e166  Do not enable warnings-as-errors by default.

2016-03-13
  Mikkel Krautz <mikkel@krautz.dk>
    a24b8c3  Do not use _FORTIFY_SOURCE for debug builds since they're not
	     built with optimizations.
    b03a689  Add .mailmap file and us it in scripts/generate-AUTHORS.py.
    6beb46e  Move src/bonjour to 3rdparty/qqbonjour-src and add its license
	     to the third party license list.

2016-03-07
  Stefan Hacker <dd0t@users.sourceforge.net>
    3643c24  Add missing iMask to Ban equality operator

  Mikkel Krautz <mikkel@krautz.dk>
    25f0e1f  Remove OpenSSL 0.9.x compatibility hacks.

2016-03-06
  John Marion <john@lmsn.net>
    8b4ed1e  Remove timer to run reportJitter.

2016-03-05
  Mikkel Krautz <mikkel@krautz.dk>
    888a459  GlobalShortcutWin: fix memory leak of 'di' in new XInputCheck
	     code path.

2016-03-04
  Mikkel Krautz <mikkel@krautz.dk>
    bc12e8e  XInputCheck: add string.h and stdlib.h includes to
	     xinputcheck.cpp.
    b817122  GlobalShortcutWin: add issue references to comment describing
	     recent Windows 10 DirectInput/XInput breakge.
    cbff56b  XInputCheck: fix missing file reference in the README.
    da12c2b  XInputCheck: add comment at the top of the file describing
	     development practices and origin of the code.
    25b88a7  XInputCheck: add documentation for
	     XInputCheck_IsGuidProductXInputDevice.
    0f80533  XInputCheck: add XInputCheck_ClearDeviceCache().

2016-03-03
  Mikkel Krautz <mikkel@krautz.dk>
    e174f8d  compiler.pri: fix architecture checks for force-x86-toolchain
	     and force-x86_64-toolchain builds.
    6f1331b  GlobalShortcutWin: Exclude XInput devices from DirectInput.

2016-02-25
  Nick Heindl <nheindl@wisc.edu>
    93427af  Fix typo in comment: Issue #2070

2016-02-23
  John Marion <john@lmsn.net>
    f5e03d6  Fix relative paths for Murmur -ini switch

2016-02-21
  John Marion <john@lmsn.net>
    53107ca  Fix building Mumble on unix with no-dbus

  Mikkel Krautz <mikkel@krautz.dk>
    999b59b  Add LuaMilkshake to AUTHORS.

2016-02-20
  Mikkel Krautz <mikkel@krautz.dk>
    e3b14f3  themes/Mumble: sync with mumble-theme submodule.
    4b3746a  Add Tim Visée to AUTHORS.
    34cbd3c  compiler.pri: on Windows, treat MSVC linker warnings as
	     errors.
    3b2a169  Simplify LICENSE file, add LICENSE.header and add AUTHORS.

  Tim Visée <timvisee@gmail.com>
    b4589b4  Add README.md for GitHub

2016-02-17
  Mikkel Krautz <mikkel@krautz.dk>
    0840dd4  Fix OpenSSL intialization.
    0c08e73  compiler.pri: pass '-compress 9' to rcc.

2016-01-31
  Mikkel Krautz <mikkel@krautz.dk>
    1aae05e  TextToSpeech_unix: use Mumble's language setting, or the
	     system locale for TTS language.
    bd8f92b  Move HTML filtering to a separate shared class.

  Tim Cooper <tim.cooper@layeh.com>
    56fc9de  Remember the last directory used for saving images from the
	     chat log
    8722bdd  Use a lossless image format when saving chat log images that
	     do not have a file extension

2016-01-27
  Stefan Hacker <dd0t@users.sourceforge.net>
    cffa565  Fix warning typo reported in #2087

2016-01-10
  Mikkel Krautz <mikkel@krautz.dk>
    58c06f2  Fix Murmur on Windows DoS as described in Mumble-SA-2016-001.

2016-01-05
  Mikkel Krautz <mikkel@krautz.dk>
    c22393e  Messages, Murmur.ice: make username checking case insensitive
	     throughout Murmur.

2016-01-02
  Mikkel Krautz <mikkel@krautz.dk>
    c56cb01  mumble.pro: use separate libsndfile libs on Windows.

2016-01-01
  Mikkel Krautz <mikkel@krautz.dk>
    6e16502  Update the Copyright year range for The Mumble Developers
	     throughout the tree.
    7a33318  About: update copyright year range to 2005-2016.
    50bc11d  Update LICENSE for 2016. Happy new year!
    3a18e13  compiler.pri: add CONFIG(verbose-linker) option for diagnosing
	     MSVC runtime library issues.

2015-12-30
  Mikkel Krautz <mikkel@krautz.dk>
    143bf86  AppNap: only declare 'appNapSuppressed' static variable when
	     AppNap is available.
    7a82dc9  Plugins: remove unused url parameter from
	     fetchedUpdatePAPlugins slot.
    ad6acf2  GlobalShortcut_win, mumble.pro: remove use of HardHook in
	     GlobalShortcut_win.
    17ddc1a  VersionCheck: use updated WebFetch::fetch() for snapshot
	     downloads.
    e82debb  3rdparty/opus-build: re-structure qmake logic for including
	     SSE, SSE2 and SSE4.1 sources into the build.
    9652f7f  compiler.pri: disable warnings-as-errors when MSVC static
	     analysis is enabled.
    acb69be  Update WebFetch, and its users, to use the new service
	     hostnames and endpoints, as well as HTTPS.
    bd49fa5  CrashReporter: use new service hostname and endpoint for the
	     crash reporter service.
    3910dc9  Remove all REPORT_JITTER-related code.
    9db3015  Usage: use new usage service hostname and endpoint, and use
	     HTTPS.

2015-12-28
  Mikkel Krautz <mikkel@krautz.dk>
    2857d71  Translation update
    8eec7cc  Overlay_win: silence MSVC warning about potentially
	     uninitialized local variables.
    d0ced44  Mumble: implement lock file mechanism for Windows.
    a3ad0c5  installer: use 'The Mumble Developers' as ProductManufacturer
	     in the Windows installer.
    7d4fe6c  man: refer to The Mumble Developers as the Mumble authors in
	     our man pages.
    a97c4bb  3rdparty/minhook-build: disable third-party warnings by
	     default in MinHook.

2015-12-27
  Mikkel Krautz <mikkel@krautz.dk>
    69cdaee  MainWindow: only allow toolbar dragging in the 'custom'
	     layout.

2015-12-26
  Mikkel Krautz <mikkel@krautz.dk>
    7f37b71  GlobalShortcut_win: NULL-initialize xboxinput and gkey member
	     variables.
    25ceebb  MainWindow: only allow layout to be changed via settings.
    173b68a  Update copyright strings in .rc and .plist files to refer to
	     'The Mumble Developers'.
    a2b7020  About: change 'The Mumble team' to 'The Mumble Developers', as
	     used in our license.
    33f8448  Murmur: allow both bitmasked version and version string when
	     setting 'suggestversion' via RPC.
    da8a95e  3rdparty/opus-build: only enable OS X SIMD for x86-64
	     (non-universal) build.
    4e53e6f  AppNap: fix build for OS X Universal, which uses the 10.4 SDK.
    3e680f7  Update themes/Mumble submodule and themes/MumbleTheme.qrc to
	     point to latest mumble-theme.
    1719496  ThemeInfo: fix loading of platform-specific QSS files.
    7cb6bb1  3rdparty/opus-build: enable use of SSE and SSE2 intrinsics in
	     Opus on OS X.
    779496c  AppNap: add AppNap support for OS X.

  Natenom <natenom@natenom.com>
    b83316a  Show self mute/deaf, global mute/deaf, prio speaker, user left
	     channel and disconnected states in linked channels.

2015-12-25
  Stefan Hacker <dd0t@users.sourceforge.net>
    aa92699  Revert "Settings: disable 'shortcut/windows/xbox/enable' by
	     default, disabling XboxInput."
    1070b40  Fix use of wrong calling convention on xboxinput function
	     pointers

2015-12-24
  Stefan Hacker <dd0t@users.sourceforge.net>
    c2bbcd5  Fix XboxInputState being to small for XInputGetStateEx calls

  Mikkel Krautz <mikkel@krautz.dk>
    fe81316  Settings: disable 'shortcut/windows/xbox/enable' by default,
	     disabling XboxInput.
    abdb500  murmur: exit(1) when encountering a qFatal() when using syslog
	     logging.
    608e802  GlobalShortcut_win, XboxInput: implement native XInput support
	     in GlobalShortcut_win.
    df28734  GlobalShortcut_win: add PID/VID blacklist for misbehaving
	     devices.
    703f8c7  murmur: exit with status code 1 on fatal error.
    08af66d  ConnectDialog: disable ping and host lookups when using a
	     proxy.

2015-12-20
  Mikkel Krautz <mikkel@krautz.dk>
    1bcea4e  GlobalShortuct_win: warn if a device takes more than 1 second
	     to poll via DirectInput.
    9295be4  Update Opus to 1.1.1.

2015-12-13
  Mikkel Krautz <mikkel@krautz.dk>
    4090c21  Settings: enable expert mode by default for 1.3.0.

2015-12-12
  John P <johnhatestrash@gmail.com>
    37618b7  fix unix ub celt build

  Matt Hamilton <m@tthamilton.com>
    40868d4  Update svg URL(s) from sourceforge to github

  Mikkel Krautz <mikkel@krautz.dk>
    2a31708  GlobalShortcut: only build in the OS X-specific
	     AXIsProcessTrustedWithOptions check if we're on a 10.9 or
	     newer SDK.
    23fa9b3  AudioInput: ensure our encoders are reset correctly when using
	     > 1 frame per packet.

  synapse84 <synapse84@gmail.com>
    f6b746e  Migrate old Qt 4 data directory to new Qt 5 location

2015-12-09
  Mikkel Krautz <mikkel@krautz.dk>
    eaad2da  Database: use separate QFile variables for legacy DB path and
	     modern DB path.

2015-12-08
  Jan Klass <kissaki@posteo.de>
    31abc89  Add outlook to overlay blacklist

  Mikkel Krautz <mikkel@krautz.dk>
    ba49ba5  Murmur: use OPENSSL_VERSION_NUMBER instead of OPENSSL_VERSION.

2015-12-07
  Mikkel Krautz <mikkel@krautz.dk>
    42c0684  UserLocalVolumeDialog: subclass QDialog instead of QWidget.
    7852dce  GlobalShortcut: update help text for marking Mumble trusted
	     for OS X Mavericks and greater.

  Natenom <natenom@natenom.com>
    b582547  Show more information when a banned user connects

  doggone <rolf@metadata.be>
    925587a  Unhide mumble.sqlite on non-Windows

2015-12-06
  Roman Priesol <roman@priesol.net>
    21673bf  mumble.desktop: added missing semicolons

2015-12-01
  Mikkel Krautz <mikkel@krautz.dk>
    197f13e  RichTextEditor: inherit QApplication's stylesheet in
	     RichTextHtmlEdit.

2015-11-30
  Mikkel Krautz <mikkel@krautz.dk>
    77bb12f  themes/Mumble: sync submodule.
    d793aa1  murmur.ini: document empty welcometext behavior.

  Natenom <natenom@natenom.com>
    9e8a40f  Echo -> Echo cancellation in settings dialog

2015-11-29
  Mikkel Krautz <mikkel@krautz.dk>
    ce1df5d  os_win.cpp: disable MSVC 2013's FMA-optimized math routines on
	     Windows versions earlier than 8.

2015-11-28
  Mikkel Krautz <mikkel@krautz.dk>
    e8e7ed3  3rdparty: for CELT and Opus, define APPROX_FLOAT if
	     -ffast-math is in CFLAGS.
    551f109  PBKDF2: use 8 digits in OPENSSL_VERSION check.
    711c2ec  Murmur: forcefully disable PBKDF2 on OpenSSL < 0.9.9.
    74ce74c  mumble.pro: don't find OpenSSL via pkconfig here, it is
	     already found via mumble.pri.
    f44b7df  GlobalShortcut_unix: fix GCC deprecation pragmas for GCC 4.2.
    ed308af  SSL: add const_cast to be compatible with OpenSSL 0.9.8.
    5dac7e8  Net: GCC 4.2 on FreeBSD 9.3 does not have __builtin_bswap.
    2fdbc83  toolchain/win32-msvc2013: only use native amd64 compiler if it
	     is available.
    a5724cf  installer: do not bundle D3DCompiler_43.dll and
	     D3DCompiler_47.dll with Mumble anymore.
    329afa3  main.pro, 3rdparty: remove fx11 from the Mumble build.
    3763d59  overlay: replace use of Effects11 with direct use of our split
	     HLSL shaders.
    53a529c  overlay: split the shaders in overlay.fx out into separate
	     HLSL files.

  Tim Cooper <tim.cooper@layeh.com>
    fea39f2  Respect maximum channel user limits when joining server

2015-11-27
  Mikkel Krautz <mikkel@krautz.dk>
    3762ad0  mumble.pro: fix g15 logic for detecting Windows and OS X.

2015-11-26
  Mikkel Krautz <mikkel@krautz.dk>
    218c6a5  g15helper: statically link against runtime library on Windows.
    8904591  g15helper: apply mumble.appcompat.manifest to
	     mumble-g15-helper.exe.

2015-11-25
  Stefan Hacker <dd0t@users.sourceforge.net>
    6390946  Allow no-warnings-as-errors for vc too

  Mikkel Krautz <mikkel@krautz.dk>
    ee43279  plugins/sto: fix signed/unsigned mismatch.
    aef9ef7  Settings: enable XInput 2 by default once again.
    956a8ca  GlobalShortcut_unix: request latest XInput 2 version by
	     default.

2015-11-24
  Kevin Rohland <kevin@nascher.org>
    bd9bb66  Improve local user volume adjustment.

  Mikkel Krautz <mikkel@krautz.dk>
    58efe0c  GlobalShortcut_unix, Settings: disable XInput2 by default.
    c52d1a3  compiler.pri: treat warnings as errors for MSVC (-WX).
    114495e  overlay: add runtime checks for offset overflow in D3D9.
    a3e7958  overlay: add runtime check for when GetFnOffsetInModule()'s
	     return value would have overflowed its return type.
    5f79a3e  overlay: fix a few MSVC signed/unsigned conversion warnings.
    150d096  os_win: fix conversion from size_t to DWORD.

  Tim Cooper <tim.cooper@layeh.com>
    0b0c074  Allow users with Write permission to bypass channel user
	     limits

2015-11-23
  Mikkel Krautz <mikkel@krautz.dk>
    0214948  compiler.pri: ensure we only pass -pie as a linker flag.
    514100d  compiler.pri: fix erronous QMAKE_FLAGS overwrite.
    3a356a2  overlay_gl: port to FreeBSD.

2015-11-22
  Mikkel Krautz <mikkel@krautz.dk>
    0e4070c  scripts/updatetranslations.sh: fix shebang to work on systems
	     where bash doesn't live in /bin.
    00090db  Translation update
    f56143f  mumble_pch.hpp: add missing networking headers to fix FreeBSD
	     build.
    e9b240c  mumble.pro: always disable G15 on FreeBSD.
    80e0f96  GlobalShortcut_unix: fix build on non-Linux systems.
    1f3b254  mumble.pri: use freebsd (mkspec) to check whether we're on
	     FreeBSD, rather than checking the uname.
    b88728c  compiler.pri: fixups for FreeBSD.
    bbd93e1  installer: remove support for merge modules.
    c19ec3f  installer: remove support for the Intel compilers.
    377d7cd  rcc.pri: use manual quoting via escape_expand(\") instead of
	     system_quote() to be compatible with Qt 4.
    9222b9a  installer: remove non-static installer logic.

  Tim Cooper <tim.cooper@layeh.com>
    c0879e5  Allow creating channel with a set maximum number of users
    b0c9521  Add saving of images from chat log
    84b1bce  Add per-channel user limit
    07a142d  Include actor when performing a user rename

2015-11-21
  Mark Felder <feld@feld.me>
    30df2cb  Revert 72038f6, add -lssl for FreeBSD

  Mikkel Krautz <mikkel@krautz.dk>
    be7367f  compiler.pri: undefine _FORTIFY_SOURCE before defiining it.
    b0d53e1  compiler.pri: unsure that all our compiler.pri CFLAGS and
	     CXXFLAGS are also applied for Objective-C(++).

2015-11-20
  Mikkel Krautz <mikkel@krautz.dk>
    8ea1740  CoreAudio: use '#pragma GCC' to be compatible with both GCC
	     and Clang.

2015-11-17
  Mikkel Krautz <mikkel@krautz.dk>
    82561a4  UserInformation: only implement decode_utf8_qssl_string()'s
	     QStringList override for Qt 5 builds.
    2757a0c  Cert: disable old-style cast warning for the whole source file
	     to fix GCC 4.2 build.
    159aad4  Cert: fix old-style cast warning on older GCCs that disallow
	     'pragma GCC diagnostic' within functions.
    e94c8f7  Use Emoji One SVGs for our flag icons instead of FamFamFam.

2015-11-16
  Mikkel Krautz <mikkel@krautz.dk>
    5feef96  Remove __int64_t define/undef dance from mumble_pch.hpp.

  Tim Cooper <tim.cooper@layeh.com>
    4862897  Add maximum number of server users to control channel protocol

2015-11-15
  Mikkel Krautz <mikkel@krautz.dk>
    1f6a1f2  ViewCert: only implement decode_utf8_qssl_string()'s
	     QStringList override for Qt 5 builds.
    f5d72ba  OverlayConfig: avoid implementing OverlayConfigDialogNew on OS
	     X Universal.
    9dba18f  OSInfo: fix OS X version string formatting build error.
    8ebd51a  mumble.pro: add opus-src/celt and opus-src/include as -isystem
	     headers.
    8d2edb8  G15LCDEngine_helper: change size parameter in submitFrame() to
	     qint64.
    6c47ca7  compiler.pri: update non-universal deployment target to 10.7,
	     as mandated by Qt 5.5.
    c25da2c  OverlayUserGroup: fix build in OS X ifdef block.
    147be10  Overlay: fix OS X pid comparison.
    a7e7e1b  CrashReporter: fix build with -Werror.
    bcaebc0  CoreAudio: make it build with -Werror.
    28d43b5  ApplicationPalette: add missing QDebug include.
    f931ef1  overlay_gl: add missing mach_override include for OS X.
    9f85eeb  Meta: cast rlim_t to unsigned long when format printing.
    1e06692  Disable warnings by default for third party library
	     mach-override.
    d02ea64  Convert icons/filter.txt to ASCII and sync licenses.h.
    33f295f  Update .gitignore to point to the new location of
	     Ice-generated files.

2015-11-13
  Stefan Hacker <dd0t@users.sourceforge.net>
    5fb2573  Fix regression in last commit

2015-11-12
  Mark Felder <feld@feld.me>
    7eb4987  FreeBSD can use pkgconfig too

2015-11-08
  Mikkel Krautz <mikkel@krautz.dk>
    f32343d  Use %zd for ssize_t printing in OSS.cpp.
    671598b  Fix warnings in SharedMemory_unix when built with GCC 5.2.1 on
	     i386.
    e4c80da  Fix warnings in overlay_gl when built with GCC 5.2.1 for i386.

2015-11-02
  Jan Klass <kissaki@posteo.de>
    c1b6110  Reorder server menu

2015-11-01
  Jan Klass <kissaki@posteo.de>
    21cd4dd  Show Minimal View status in title

2015-10-31
  Mikkel Krautz <mikkel@krautz.dk>
    a6ac95b  Do not warn about missing QT_INSTALL_TRANSLATIONS_DIR when
	     no-embed-qt-translations is used.
    86f97a9  Add warning about missing QT_INSTALL_TRANSLATIONS directory.

2015-10-28
  Stefan Hacker <dd0t@users.sourceforge.net>
    4795ae5  Fix qFatal message generation in Diffie Hellmann error path
    12cb827  Fix Murmur.ice path lookup for ermine and osx
    bfe43e3  Drop -std=XXX directives for gcc
    e074dde  Consistently use -Wall -Wextra -Werror for C++ and C
    b828a0a  Fix warning in debug assertion
    648f35b  Fix remaining backend warnings in mumble
    c9c9d0e  Fix remaining frontend warnings for mumble
    e0cb6e0  Fix overlay code related warnings in mumble
    f9b2db4  Fix various shadow warnings in mumble by renaming
    3206530  Fix isystem compiler flag for celt
    66ff6d6  Fix warnings in overlay_gl C code
    39b8b07  Fix warnings in AudioOutput code
    2062b24  Supress deprecation warning on XKeycodeToKeysym
    1090423  Supress remaining old-style casts we incur from 3rd party
	     headers. These should all be system headers but we still get
	     these warnings from macro expansions which is kinda strange...

2015-10-27
  Stefan Hacker <dd0t@users.sourceforge.net>
    68205b9  Fix remaining warnings in murmur code
    7b882d0  Fix warnings in murmur/Server.cpp

2015-10-26
  Stefan Hacker <dd0t@users.sourceforge.net>
    1a8175b  Use intrinsic instead of inline asm in Net.h
    234ed23  Fix "-isystem" flag use for mumble_proto
    e21ce49  Fix shadow warning in SignalCurry.h
    99d37cf  Fix warnings in Bonjour code
    8ecc3d1  Fix warnings in shared connection code

2015-10-25
  Stefan Hacker <dd0t@users.sourceforge.net>
    51ab40a  Fix warning due to missing default case in protocolToString
    0db712e  Make mkwrapper.pl write a banner to its generated files
    a8bed29  Modify generator for licenses.h to fix warnings in that file
    73f6051  Modify generator for ApplicationPalette.h to fix warnings in
	     that file
    d8889f8  Extract Ice compilation to murmur_ice lib

2015-10-18
  Mikkel Krautz <mikkel@krautz.dk>
    10c902f  Fix rcc.pri to work when there are spaces in our $PWD.

2015-10-17
  Benjamin Neff <benjamin@coding4coffee.ch>
    e9f87a6  Add missing includes

  Fredrik Nordin <freedick@ludd.ltu.se>
    15f47f4  Add local per-user volume adjustment.

  Mikkel Krautz <mikkel@krautz.dk>
    75a25c4  ConnectDialog, ServerHandler: use HostAddress instead of
	     QHostAddress when comparing addresses.
    311f6f7  Auto-generate qrc file for embedded Qt translations when
	     running qmake.
    571b3c1  Use murmur_pch.h instead of mumble_pch.hpp in
	     SSLCipherInfo.cpp.

2015-10-13
  Mikkel Krautz <mikkel@krautz.dk>
    a5009b6  Fix "RCC: Error in [...]" output that appears when running
	     qmake.

2015-10-11
  Jan Klass <kissaki@posteo.de>
    495dfdc  Replace obsolete Qt method with new method
    8bf9b0a  Make overlay FPS and clock positionable
    f732ec4  Add dwm and MouseKeyboardCenter to overlay blacklist

2015-10-04
  Stefan Hacker <dd0t@users.sourceforge.net>
    f18c587  Translation update
    e8027bd  Output more control channel encryption parameters

  Mikkel Krautz <mikkel@krautz.dk>
    8e195e1  Use lookup table for cipher info in 'Connection Info' dialog.

2015-09-27
  Mikkel Krautz <mikkel@krautz.dk>
    13e494c  Update sbcelt submodule to include fix for Xiph.org's git://
	     -> https:// transition.

2015-09-26
  Mikkel Krautz <mikkel@krautz.dk>
    8bd3f76  Murmur: add support for EDH cipher suites, and for specifying
	     Diffie-Hellman parmeters.

2015-09-22
  Samuel D. Leslie <sdl@nexiom.net>
    83da4f1  Replace all murmur.ini comments using hash (#) w/ semicolons
	     (;)

2015-09-20
  James Fraser <fwaggle@fwaggle.org>
    263607f  Update World of Warcraft 32-bit plugin to build 20444

  Jan Klass <kissaki@posteo.de>
    df44859  Add EpicGamesLauncher to default overlay blacklist

  Mikkel Krautz <mikkel@krautz.dk>
    612d6b5  Enable bHideInTray only on Windows versions below 7.

2015-09-19
  Mikko Rantanen <jubjub@jubjubnest.net>
    52898aa  Add Finnish translations to the wix project

  Mikkel Krautz <mikkel@krautz.dk>
    0f2c07c  compiler.pri: increase MSVC PCH heap to up to 150MB (-Zm).

2015-09-08
  Stefan Hacker <dd0t@users.sourceforge.net>
    492293b  Translation update
    0528883  Add an experimental translator comment
    47631f7  Enable LookConfig to detect changes to user themes folder
    426edb6  Add link to user themes directory to LookConfig

  Jan Klass <kissaki@posteo.de>
    ce413bd  Mark text as not to be translated

2015-08-20
  Stefan Hacker <dd0t@users.sourceforge.net>
    4794770  Fix Qt 5 compatibility of our Qt translation use

2015-08-19
  asmolero <alsamolero@gmail.com>
    d110e56  Fix grammar in default murmur.ini file

  Stefan Hacker <dd0t@users.sourceforge.net>
    8169811  Fix broken range check in UserListModel::data

2015-08-06
  Stefan Hacker <dd0t@users.sourceforge.net>
    d39e773  Fix setting an empty SuperUser password not creating an error
    857e839  Translation update

2015-07-30
  Tim Cooper <tim.cooper@layeh.com>
    6fe5547  Don't initialize qsWelcomeText to "Welcome to this server"
    2612b67  Don't display "Welcome message: " in client if none was sent.

2015-07-25
  Stefan Hacker <dd0t@users.sourceforge.net>
    4c16f25  Fix build on Linux (missing semicolon)
    e061b72  Ensure closeEvent for MainWindow is called on self-restart
    a11bccf  Create themes directory if it doesn't exist
    459022d  Work around Windows permissions preventing Mumble restart

2015-07-21
  Lartza <Lartza@users.noreply.github.com>
    9f1b01a  Fix small error in bEnableEvdev config

  Tim Cooper <tim.cooper@layeh.com>
    ebf6d23  Broadcast RPC-updated welcome text, even when it is empty

2015-07-14
  Jordan Klassen <jordan@klassen.me.uk>
    6c096c3  Add Logitech G-key support for use in global shortcuts

  Mikkel Krautz <mikkel@krautz.dk>
    3183da9  themes/Mumble: update submodule.
    e614a7b  Document no-gkey CONFIG option.

  Sven-Hendrik Haase <sh@lutzhaase.com>
    e8f627f  Add fallback include path for speech-dispatcher

2015-07-12
  Stefan Hacker <dd0t@users.sourceforge.net>
    84a8bbc  Fix build for Qt < 5.2
    d275284  Add built-in "Mumble" theme and set "Lite" variant as default.
    65c1aff  Add generate-qrc.py script as a rcc -project replacement
    83b6071  Add Theme support to Mumble
    8bd78a5  Add ThemeInfo class for finding and loading Theme descriptions

  Mikkel Krautz <mikkel@krautz.dk>
    9c462ce  Fix logging in Themes::getConfiguredOutput() to use the
	     correct settings variable.
    4ebfb90  Re-work Mac-specific style code in MainWindow.cpp and
	     OverlayClient.cpp to work with the new theme system.
    0a5d2ba  Do not re-index themes in Themes::getConfiguredStyle() if both
	     the theme and style are unset.
    1408041  Use passed-in settings object in Themes::getConfiguredStyle().

2015-07-11
  Mikkel Krautz <mikkel@krautz.dk>
    35e58eb  Add CONFIG(unix)'s new SYSTEM_INCLUDES to CFLAGS and CXXFLAGS.
    81bc94c  Add $MUMBLE_PREFIX/include and $MUMBLE_PREFIX/lib when in a
	     build env in CONFIG(unix) builds.

2015-07-05
  synapse84 <synapse84@gmail.com>
    0623c14  changed sourceforge links to mumble.info links

2015-07-04
  Alex Krishnan <akrishnan@twilio.com>
    821486a  Update OS X murmur docs

  Stefan Hacker <dd0t@users.sourceforge.net>
    4fe1664  Handle some possible failure cases in overlay_gl
    5acf4af  Fix qmake warning about qdbus CONFIG option being deprecated
    d3d6920  Fix various warnings in Linux build
    75feffb  Suppress protobuf warnings in unix builds
    fac930b  Suppress warnings in 3rd party codec builds

  Kevin Strasser <kevstras@gmail.com>
    5aabbcd  Normalize submodule URLs as https

2015-06-28
  Will Tange <bh34rt@gmail.com>
    46cb8a3  Add `UserRenamed` `MsgType`
    b4d48ef  Handle input device suspend/recovery gracefully

2015-06-26
  Tim Cooper <tim.cooper@layeh.com>
    d19e266  Add period after "renamed to" message.

2015-06-19
  Stefan Hacker <dd0t@users.sourceforge.net>
    a1ff21b  Enable audio to be played during config restart query

2015-06-13
  Nikita Puzyryov <NikitaPuzyryov@users.noreply.github.com>
    6db171e  Harden systemd service

  Stefan Hacker <dd0t@users.sourceforge.net>
    3f0e2d2  Make change of language and users top settings require restart
    d08336e  Add capability to trigger restart to ConfigDialog
    c431d37  Add self-restart capability to client

2015-06-09
  Stefan Hacker <dd0t@users.sourceforge.net>
    7fbe61e  Strip schema and path component from new server addresses

2015-06-06
  Mikkel Krautz <mikkel@krautz.dk>
    3d46634  installer: force uninstall before install.

2015-06-05
  Stefan Hacker <dd0t@users.sourceforge.net>
    c84916f  SSL: Fix build for Qt 5 versions before Qt 5.3
    e934c1e  Fix dual-stack UDP on Windows and improve dual-stack detection
    9a426b1  Fix Qt 5 mumur incorrectly binding to IPv6 only by default

  James Fraser <fwaggle@fwaggle.org>
    7e4639c  Add rules to compiler.pri to fix FreeBSD builds w/ Qt5

  Mikkel Krautz <mikkel@krautz.dk>
    06e19e6  Check for Mesa rather than GLX > 1.2 when determining
	     glXQueryDrawable GLX_WIDTH/GLX_HEIGHT availability.
    859da4d  Do not link the Linux overlay with '-z now'.
    faddfda  Remove old "non-tagged" Boost include directories.
    441ae3f  Point 3rdparty/minhook-src back to
	     'cbd6254467b0f4b20f3fc2b47ceea44e26330a34'.
    a66fdeb  overlay_gl: remove unnecessary qmake message.
    3283ac2  SSL: fix build for Qt 4.

2015-06-03
  Mikkel Krautz <mikkel@krautz.dk>
    b90b420  mumble_exe: fix expansion of baked-in MUMBLE_VERSION.

2015-06-01
  Mikkel Krautz <mikkel@krautz.dk>
    5a8c7f5  Update the Mumble installer to work with a versioned directory
	     hierarchy.
    e6b17b5  Add support for running with a versioned root path in
	     mumble.exe.
    1250b04  Use MumbleApplication::applicationVersionRootPath() throughout
	     Mumble to support a versioned directory hierarchy.
    83da956  Add MumbleApplication::applicationVersionRootPath().
    ced3bf8  Do not delayload speex.dll.

2015-05-29
  Mikkel Krautz <mikkel@krautz.dk>
    239b89c  installer: rearrange codec components in the installer.

2015-05-24
  Jan Klass <kissaki@posteo.de>
    9ee9e8a  Use upstreamed MH_STATUS to string function

2015-05-23
  Jan Klass <kissaki@posteo.de>
    da004cf  Overlay: Resolve undefined behavior

2015-05-22
  Mikkel Krautz <mikkel@krautz.dk>
    e5ddf55  SSL: move declaration of 'i' in
	     MumbleSSL::ciphersFromOpenSSLCipherString() to the top of the
	     function.
    63a6985  SSL: remove class name qualifier in SSL.h for new cipher
	     string methods.
    8ae710b  Mumble: add 'net/sslciphers' hidden setting to allow
	     configuring the client's advertised TLS cipher suites.
    a3f93f7  Murmur: add 'sslCiphers' option to allow server admins full
	     control of Murmur's advertised TLS cipher suites.
    49f57d3  SSL: add MumbleSSL::defaultOpenSSLCipherString().
    1dc6ecc  SSL: implement OpenSSL cipher list format reader.

2015-05-17
  Stefan Hacker <dd0t@users.sourceforge.net>
    5026c47  Fix ice documentation mistake

2015-05-16
  Jan Klass <kissaki@posteo.de>
    d9e0d08  Ignore VS *.aps files
    834365e  Cleanup: Remove unused Hooks
    771657a  HardHook(MH): Reuse inject function and error logging
    fcb908b  Initialize fields in OverlayClient
    70451a6  Fix #1637 application crashes on Mumble exit

  Mikkel Krautz <mikkel@krautz.dk>
    57740e7  Rename overlay helpers to avoid PDB name clashes with DLLs.

2015-05-15
  Stefan Hacker <dd0t@users.sourceforge.net>
    15fbe1d  Remove ICC support and some VC10 workarounds
    bf2a2cd  Add /Zo to release flags for improved optimized build
	     debugging
    f6e17fe  Drop support for VC10 by updating compiler.pri for VC12
	     default flags

  Mikkel Krautz <mikkel@krautz.dk>
    e871691  3rdparty/fx11-build-shared: set _WIN32_WINNT to 0x0501.
    8f4b071  3rdparty/minhook-src: sync with MinHook master.

2015-05-14
  Jan Klass <kissaki@posteo.de>
    3282887  Fix access violations on exit with Overlay active

  Nikolaj Dombrow <nikolaj.dombrow@dombrow.de>
    de27cd7  Add RTMP as an allowed protocol for links

2015-05-12
  Will Tange <bh34rt@gmail.com>
    ab78e6c  Sensible warning message
    78604d8  Connect button should be disabled by default
    0fdb7c1  Mark shebanged files as executable

2015-05-11
  Evan Purkhiser <evanpurkhiser@gmail.com>
    82ca800  Follow XDG directory spec for RPC socket & overlay pipe

2015-05-10
  Stefan Hacker <dd0t@users.sourceforge.net>
    a96a8e7  Add deprecation warning for building client with Qt 4

  Charles Ricketts <githlar@gmail.com>
    5b104e0  PulseAudio: Add options to disable attenuating applications on
	     other audio outputs and to disable attenuation of loopback
	     modules.

2015-05-09
  Evan Purkhiser <evanpurkhiser@gmail.com>
    c005fe3  Remove tabs from the project file

  Joël Troch <joel.troch62@gmail.com>
    c3236b3  Fix for Windows 10 detection in murmur

2015-05-07
  Stefan Hacker <dd0t@users.sourceforge.net>
    4e459a9  Do not consider a default hostname from clipboard to be custom
    78d0db8  Fix title from URLs not being picked up in connect dialog.

  Nik Johnson <nik@jnstw.us>
    b2282e7  Move label to bottom of connect dialog and default it to
	     hostname

2015-05-06
  Stefan Hacker <dd0t@users.sourceforge.net>
    2c0d37f  Switch from old speex to new speex and speexdsp

  Tim Cooper <tim.cooper@layeh.com>
    263a292  fix minor spelling mistake

2015-04-30
  Stefan Hacker <dd0t@users.sourceforge.net>
    ad1ed22  Prevent OverlayClient destructor from hanging on disconnect

2015-04-29
  Lartza <Lartza@users.noreply.github.com>
    f1eb642  Add Finnish to languages in Product.wxs
    b2b3106  Fix typo in Finnish translation

2015-04-27
  Patrick Matthäi <pmatthaei@debian.org>
    0f072ef  Add missing LSB Description to the init script.

2015-04-26
  Chris Knadle <Chris.Knadle@coredump.us>
    e24cfe6  Add Keywords to mumble.desktop to satisfy Lintian warning

2015-04-23
  Mikkel Krautz <mikkel@krautz.dk>
    0128e7d  installer: include both x86 and x64 variants of
	     D3DCompiler_XX.dll.

2015-04-22
  Jordan Cristiano <SizzlingCalamari@users.noreply.github.com>
    445cdf0  Do not set the Mumble process's priority to High on Windows.

  Mikkel Krautz <mikkel@krautz.dk>
    2eef8ba  g15helper: force 32-bit x86 compilation.
    d63fc6d  Use the index variable instead of hardcoding 0 in
	     overlay_exe's GetCommandLineArgs().
    2379f1f  Use non-negative error constants in overlay_exe.h.
    9a18c77  Re-work command line parsing in the Windows overlay helper
	     executable.
    8e333b3  OverlayPrivateWin: add qFatal calls for invalid states.
    a2be915  Fix missing comma in license header in overlay_exe.cpp.
    b29df64  Rename 'missing magic argument' error to 'no arguments' in
	     overlay helper.
    6c446e4  Ensure overlay helpers exit when the Mumble process
	     terminates.
    b188029  Add config options for disabling specific overlay helpers.
    bb0ccc4  Add restart limiter to OverlayPrivateWin to avoid bombing the
	     system with process spawns.
    8e31de7  Log overlay helper process errors in OverlayPrivateWin.
    3018c5e  Handle WM_CLOSE messages in overlay helper.
    0e358bf  Check if the host supports 64-bit processes before attempting
	     to start the x64 helper process.
    21a1519  Log path to the executable of the helper process in
	     onHelperProcessExited().
    529f76f  Add the x86_64 Windows overlay to the installer.
    8d3c1f7  Add support for using both x86 and x86_64 overlays in
	     Overlay_win.cpp.
    d609879  Use arch-specific shared memory regions in the Windows
	     overlay.
    3a6c4f0  Build two separate Windows overlays - one for x86 and one for
	     x86_64.
    4a478f7  Add force-x86-toolchain and force-x86_64-toolchain to
	     compiler.pri.
    5d41a78  Add toolchain files. To be used by 32-bit on 64-bit overlay
	     (and vice versa).

  x89 <napalm10@gmail.com>
    57396fa  Add systemd service file for Murmur.

  Ferdinand Thiessen <rpm@fthiessen.de>
    67ed33f  Do not show TTS options when speechd is disabled.

2015-04-12
  Jan Klass <kissaki@posteo.de>
    ad0ee22  Translation update
    d0f6b96  Make script for updating translation strings more robust

2015-03-22
  Mikkel Krautz <mikkel@krautz.dk>
    3223c8a  Fix translatability of 'Cycle transmit mode' GlobalShortcut
	     log messages.
    f05e657  Fix typo in speex-build.pro: '../speex-build' instead of
	     '../speex-srcbuild'.
    46fc40e  Fix Qt 4 build of mach-override to build both x86 and x86-64
	     binaries.
    d855b67  Fix config.h issues in 3rdparty caused by new INCLUDEPATH
	     handling in Qt 5.4.1.

2015-03-19
  Mikkel Krautz <mikkel@krautz.dk>
    6c96ab4  Use 'QSsl::TlsV1_0' on Qt 5.0 through 5.3 and allow
	     'QSsl::SecureProtocols' to be used on 5.4.X.

2015-03-18
  Derrick Dymock <actown@gmail.com>
    a7dd1b7  Remove __DATE__ and __TIME__.

  Joël Troch <joel.troch62@gmail.com>
    122ed92  OSInfo: update Windows 10 detection due to kernel version
	     change.

  Mikkel Krautz <mikkel@krautz.dk>
    71e522f  Use QSsl::TlsV1_0OrLater on Qt 5.5 or later, and
	     QSsl::SecureProtocols on Qt 5.4.

  Tim Cooper <tim.cooper@layeh.com>
    f5affcd  Better log message when a user disconnects from the same
	     channel as the client.
    9ba92b5  Add user friendly UserRemove message when disconnecting a
	     ghost user.
    dede317  Add basic support for sending text messages via
	     GlobalShortcuts.

2015-03-17
  Sami Laine <sami.v.laine@gmail.com>
    47889eb  Add Finnish translation for the installer.

  Tim Cooper <tim.cooper@layeh.com>
    88aefca  Fix protocol documentation for RequestBlob in the .proto file.
    eda74f2  Add protocol buffer comments from the old 'doc' directory to
	     the .proto file.
    6eecd62  Remove 'doc' directory in favour of
	     https://github.com/mumble-voip/mumble-protocol

2015-03-15
  Stefan Hacker <dd0t@users.sourceforge.net>
    fca6278  Fix double free in WASAPI no positional audio fallback
	     code-path
    988eeb5  Translation update

2015-03-14
  Stefan Hacker <dd0t@users.sourceforge.net>
    525995d  Address review concerns to mix format check changes

  MumbleTransifexBot <mumbletransifexbot@mumble.info>
    657f9e8  Transifex translation

2015-03-10
  Mikkel Krautz <mikkel@krautz.dk>
    18c359f  GlobalShortcut_unix: disable evdev by default.

2015-03-09
  Stefan Hacker <dd0t@users.sourceforge.net>
    5a033b8  Simplify and extend mix format check in WASAPI.cpp
    b4f5050  Fix handling of WAVEFORMATEX in WASAPI backend.

2015-02-25
  Stefan Hacker <dd0t@users.sourceforge.net>
    1c00533  Incorrectly assumed SF_FORMAT_* subtypes were flags.

2015-02-08
  Mew <Giratina493@mew151.net>
    bc5852d  Implement "mumble rpc" subcommand

  Kyle Smith <askreet@gmail.com>
    44dc94e  Add optional combobox for transmit mode selection in the
	     MainWindow's toolbar.

  BuddyButterfly <buddy.butterfly@web.de>
    80f1623  PulseAudio: allow monitor devices to be used as inputs.

  Mikkel Krautz <mikkel@krautz.dk>
    f8b63cd  macx/osax: bump OS X overlay version to 19.

2015-02-07
  Mikkel Krautz <mikkel@krautz.dk>
    f0ff84f  Unify overlay code for Unix and OS X.
    a565197  Add setting 'asio/enable' to allow users to disable ASIO via
	     the Mumble configuration.

2015-02-06
  Mikkel Krautz <mikkel@krautz.dk>
    3293f7a  Make 3rdparty/mach-override-src point to
	     mumble-voip/mach_override, and use https instead of ssh.

2015-02-05
  dennisschagt <dennisschagt@gmail.com>
    32f3273  Translation update
    99f3de8  Fixed typo reported at github #1552

  Mikkel Krautz <mikkel@krautz.dk>
    1fab580  Use glDrawArrays instead of immediate mode in OS X's
	     drawOverlay().
    f4568b9  Port 6e9a7e7c to the OS X overlay.
    8e3168b  Port ec7e78d1 to the OS X overlay.
    403aedb  Add mach_override as a 3rdparty dep and hook it into the OS X
	     overlay.

2015-01-17
  Jan Klass <kissaki@posteo.de>
    06d00f4  OpenGL overlay injection requirements
    2418b80  Remove unused injection code and function lookups
    967a325  In OpenGL Overlay, make code and context swapping more clear

2015-01-15
  Mikkel Krautz <mikkel@krautz.dk>
    9f1e605  Move Windows overlay setup and injection to mumble_ol.exe.

2015-01-11
  Jan Klass <kissaki@posteo.de>
    3b507d5  Overlay: Use standard OpenGL headers rather than duplicating
	     code

2015-01-10
  Jan Klass <kissaki@posteo.de>
    a7d103f  Fix indentation. Add curly braces according to coding style.

2015-01-05
  Mikkel Krautz <mikkel@krautz.dk>
    faa6730  Move speex, celt-0.7.0, celt-0.11.0, opus and sbcelt to the
	     3rdparty directory.

2015-01-04
  Mikkel Krautz <mikkel@krautz.dk>
    ec3120c  installer: distribute all plugins for Windows x64 build.

2015-01-03
  Mikkel Krautz <mikkel@krautz.dk>
    f1e298a  murmur: fix CONFIG(static) block in the unix section of
	     murmur.pro to not be applied for OS X.
    7f69c51  Add Far Cry 4 to the blacklist due to crashes with the x64
	     overlay.
    a2bb659  murmur: move murmur.pro's CONFIG(static) and CONFIG(ermine)
	     sections into the unix section.
    ecf543b  GlobalShortcut: enable use of hooks for Windows x64 now that
	     we have HardHook available.
    93ad74b  Add MinHook-based overlay for Windows x64.

2014-12-31
  Mikkel Krautz <mikkel@krautz.dk>
    29525cb  installer: distribute D3DCompiler_43.dll for our Windows x86
	     builds.

2014-12-30
  Mikkel Krautz <mikkel@krautz.dk>
    a88b316  installer: distribute D3DCompiler_47.dll for our Windows x64
	     builds.
    9345abe  plugins: limit win32-specific plugins to win32.
    c9f476c  compiler.pri: only set explicit -ARCH:SSE for Windows x86.
    4d55c33  compiler.pri: use explicit subsystem versioning for Windows
	     builds.
    a0247d7  plugins: enable all plugins for the x64 build.
    370fae6  plugins: cleanup a few warnings in the WoW plugin.
    f3c64b3  plugins: move u8 function into the Star Trek: Online plugin.

2014-12-29
  Mikkel Krautz <mikkel@krautz.dk>
    b2f5bd0  Update Opus submodule to include our workaround for
	     MSVC2013.3+ x64's bad sqrt auto-vectorizer codegen.

2014-12-28
  Mikkel Krautz <mikkel@krautz.dk>
    6a07cbd  Update changelog.

2014-12-26
  Stefan Hacker <dd0t@users.sourceforge.net>
    c5e427d  Revert "Use TLS 1.2 when built with Qt 5."

  Mikkel Krautz <mikkel@krautz.dk>
    ef9ffea  Fix qtaccessiblewidgets removal logic to be compatible with Qt
	     4 as well.

2014-12-25
  Mikkel Krautz <mikkel@krautz.dk>
    75843b6  Use TLS 1.2 when built with Qt 5.
    78ac468  Murmur: fix override of TcpSocket::incomingConnection(). it
	     takes a qintptr (and not an int) in Qt 5.
    7ecf4b3  Define Qt 4 no-ops for Q_DECL_OVERRIDE and Q_DECL_FINAL on the
	     command line.
    a24b566  Only use $$shell_path on Qt 5.

2014-12-24
  Mikkel Krautz <mikkel@krautz.dk>
    fc0ab93  Do not use the qtaccessiblewidgets plugin on Qt 5.4 and
	     greater.
    d2dbfed  Remove -Zc:strictStrings flag that Qt 5.4 adds when using MSVS
	     2013.
    124b1ce  Make os_win.cpp strictStrings-safe.
    630a17b  Use $$shell_path to ensure QMAKE_LRELEASE is formatted
	     correctly regardless of the OS.

2014-12-22
  Andreas Sinz <andreas.sinz@aon.at>
    ad19d15  Display the native language name in the language chooser
	     rather than the locale

  Stefan Hacker <dd0t@users.sourceforge.net>
    2438f31  Fix Esperanto entry in language list and display cc in
	     parentheses behind name.

2014-11-09
  Stefan Hacker <dd0t@users.sourceforge.net>
    78d7198  Fix typo in AudioEchoWidget regression fix
    b78f34d  Calculate peak and max microphone level in the same loop.
    996a3df  Reset buffered frames count on encoding failure.
    2682987  Fix sequence counter becoming invalid for end-of-speech
	     frames.
    ef6353b  Fix Qt5 transition regression in AudioEchoWidget.

  James Fraser <fwaggle@fwaggle.org>
    b9baebb  Update WoW Plugin to build #19116

  Mikkel Krautz <mikkel@krautz.dk>
    1bd6c88  Add RC files for CELT 0.7.0 and CELT 0.11.0.
    56e7e5a  Add rc file for mumble_ol.dll.
    d6ba8cf  Fix mumble_dll.rc to identify as a DLL.
    82a8e7d  Update .gitignore to ignore more of Qt 5's auto-generated
	     plugin importer .cpp files.

2014-11-04
  dennisschagt <dennisschagt@gmail.com>
    cc0533c  Fixed typo in the main README

  Mikkel Krautz <mikkel@krautz.dk>
    2c0bfa0  Fix compilation of Overlay.cpp. It was accidentally broken by
	     fd782c3c.
    f1dbd92  Ensure up-to-date built-in overlay blacklist.
    e5b6dac  Add Spotify to the overlay blacklist. It can cause Mumble to
	     freeze/hang for multiple seconds.
    fd782c3  Overlay, OverlayClient: add PID and process name diagnostics
	     to 'Dead client detected' notice.

2014-11-01
  James Fraser <fwaggle@fwaggle.org>
    d2a1b5c  Update WoW plugin to build 19103

2014-10-30
  Stefan Hacker <dd0t@users.sourceforge.net>
    7d434bb  Revert "Fix issue with tray icon double clicking."
    a120c8e  Fix issue with tray icon double clicking.

  Joël Troch <joel.troch62@gmail.com>
    236e987  Added Windows 10 in OS detection and manifest file.

2014-10-27
  Stefan Hacker <dd0t@users.sourceforge.net>
    f35ef65  Fix compilation failure on OSX due to missing include.

  Natenom <natenom@natenom.com>
    23899b4  Extended icon theming options.

2014-10-26
  Stefan Hacker <dd0t@users.sourceforge.net>
    cbe3956  Fix more ApplicationPalette aspects.
    b923e06  Use real-name in copyright line.
    38807be  Integrate some feedback to ApplicationPalette
    291ed48  Add ApplicationPalette class which allows theming the
	     QApplication::palette.

  James Fraser <fwaggle@fwaggle.org>
    cde294f  Fix assert when viewing legacy user registration lists

2014-10-25
  Stefan Hacker <dd0t@users.sourceforge.net>
    7fbd9d4  Switch from fixing width to height for "What's this".

2014-10-24
  Stefan Hacker <dd0t@users.sourceforge.net>
    fac902d  Translation update

2014-10-23
  Stefan Hacker <dd0t@users.sourceforge.net>
    4a149f8  Update man pages author to "the Mumble team" and bump dates.
    71ff77b  Add placeholder texts to connect dialog.

  Natenom <natenom@natenom.com>
    9cc1c0a  Add -limits to help text and improve man page
    44a0846  Show messages for priority speaker status
    d9785f9  Shows move message if you moved a user from another channel
	     into another channel

2014-10-21
  Stefan Hacker <dd0t@users.sourceforge.net>
    c664b98  Fix more coding guideline violations.
    cebcbd3  Fix RAND_bytes return value checking.
    c9f170e  Revert recent installer changes as they create more issues
	     than they fixed.
    acf73f5  Drop unused files and icon.
    7a18851  Make AudioInputDialog and AudioOutputDialog use own icons.
    8aa125f  Fix issues found in review of PR #1422

2014-10-19
  Stefan Hacker <dd0t@users.sourceforge.net>
    6f2552d  Fix Qt 5 transition bug making certificate wizard access out
	     of bounds.
    54ec595  Update Opus to version 1.1.1 beta

  Bas Wijnen <wijnen@debian.org>
    dc87fa2  Fix crash on Linux when trying to configure shortcuts.

2014-10-18
  James Fraser <fwaggle@fwaggle.org>
    8ab0c4a  Update WoW Plugin to build 19034

2014-10-15
  scapula <rasmus.ry@gmail.com>
    6e9a7e7  Disable vertex attrib arrays in overlay_gl (fixes #1298)

2014-10-11
  Stefan Hacker <dd0t@users.sourceforge.net>
    1749ef4  Resolve installer upgrade issues.
    fc0e20b  Fix recording timer not properly displaying in Qt 5 version of
	     Mumble.

2014-10-08
  Stefan Hacker <dd0t@users.sourceforge.net>
    7647538  Change Pulseaudio Role.

2014-10-04
  Stefan Hacker <dd0t@users.sourceforge.net>
    06d9f7e  Drop minimize functionality from tray icon.

2014-10-03
  Stefan Hacker <dd0t@users.sourceforge.net>
    bf5693b  Remove special case for allowing override on Qt 4 for windows.
    5131d9e  Review and refactor of PBKDF2 support patch.

2014-10-02
  tkmorris <mauricioarozi@gmail.com>
    813aceb  Add PBKDF2 support to Murmur.

2014-09-27
  Stefan Hacker <dd0t@users.sourceforge.net>
    e728205  Do not allow installing x86 and x64 side by side.

2014-09-26
  Stefan Hacker <dd0t@users.sourceforge.net>
    17d95c0  Update URLs in installer and add a comment.

  Matt Lewandowsky <matt@greenviolet.net>
    fcc2a39  Add property to enable "Launch app at exit" by default.

2014-09-25
  Stefan Hacker <dd0t@users.sourceforge.net>
    bc11185  Update murmur.ini and scripts to disable dbus by default and
	     enable ice.

2014-09-24
  Stefan Hacker <dd0t@users.sourceforge.net>
    491789c  Restore old log timestamp format.

2014-09-22
  Stefan Hacker <dd0t@users.sourceforge.net>
    3c280a6  Add poor man's padding to last column in connect dialog.

2014-09-21
  Stefan Hacker <dd0t@users.sourceforge.net>
    4eba193  Add "Uninstall" shortcut to start menu folder with windows
	     installer.
    9f5b01b  Make the Windows install create desktop shortcuts again.
    b4f0c66  Update product manufacturer to be "The Mumble team"
    7c5a9fb  Fix murmur handling all groups starting with "sub" as special.
    47a81f7  Do not use non-standard tool window for minimal mode.
    bc5056c  Update LICENSE file

  Steve Hill <github@cheesy.sackheads.org>
    5e7706a  Update Borderlands 2 plugin for version 1.8.3

  qwestduck <gsreceiver2@yahoo.com>
    1c1dac5  Fix FTBFS regression from
	     dd7cc7caa7257d2d1525daebbcc070cbb0983915

  Mikkel Krautz <mikkel@krautz.dk>
    754fc00  MainWindow: don't use custom flags for MinimalView - keep
	     standard Close, Minimize and Maximize buttons.
    dedf841  GlobalShortcut: remove margins on the Mac Event Tap warning's
	     layout container.
    1375022  Make 'Close' the default for the AskOnQuit message box.
    ace1917  Add QMAKE_TARGET_BUNDLE_PREFIX to the manual plugin's
	     .qmake.cache file.
    731d863  GlobalShortcut: do not require expert mode for Mac event tap
	     warning message in GlobalShortcutConfig.
    dd7cc7c  Improve the look of Mumble on Retina Display Macs.
    e9e2680  Add mumble_pch.hpp include to various .mm files.

2014-09-20
  Markus S <Reaper@gmx.at>
    f0fc66b  Self muted/deafened message seperated into self muted, self
	     unmuted, self deafened, self undeafened.

  Stefan Hacker <dd0t@users.sourceforge.net>
    570a1f2  Translation update
    acd8174  Use enum type and constants instead of integer indices.
    916dcc0  Special case the Unity desktop to also default to not minimize
	     to tray
    694dca8  Replace hacky hide/show handling with more straight-forward
	     implementation.
    4a67eeb  Fix ServerView::mimeData not actually overriding base class
	     function.
    7c4fbee  Fix hide in tray on windows.
    ddab6ed  Replace overlooked QT_VERSION_CHECKs with explicit version.
    8cf4e14  Introduce use of Q_DECL_OVERRIDE and Q_DECL_FINAL into the
	     codebase.
    edaca2e  Fix hide in tray default value for Windows 8.1

2014-09-19
  Mikkel Krautz <mikkel@krautz.dk>
    8ad8812  MainWindow: only trigger link tooltips of Mumble is the
	     frontmost program.

2014-09-13
  Stefan Hacker <dd0t@users.sourceforge.net>
    6095134  Fix Mumble build failing on OSX due to missing include.

2014-08-27
  Michael Pavlyshko <me@mixaill.tk>
    2c0c0ed  Add Microsoft Visual Studio to overlay blacklist

2014-08-24
  Mikkel Krautz <mikkel@krautz.dk>
    67fc74f  Build fixes for the debug variant of the
	     win32-static/win64-static build envs.

2014-08-22
  Stefan Hacker <dd0t@users.sourceforge.net>
    12eb264  Replace all uses of QT_VERSION_CHECK with explicit version.
    4efabce  Fix Qt 4 compilation.

  Mikkel Krautz <mikkel@krautz.dk>
    fc5fd45  Delete MumbleApplication.cpp.autosave

  Natenom <natenom@natenom.com>
    83218f1  Update project url and copyright info

2014-08-18
  Stefan Hacker <dd0t@users.sourceforge.net>
    b5d3758  Fix channel filtering not working.
    34daf71  Split up long HEADERS, SOUCES and FORMS lines to improve
	     readability.
    f1e3e09  Fix Qt 5 upgrade broke shutdown ask on quit suppression
	     (#1362)

2014-08-17
  Mikkel Krautz <mikkel@krautz.dk>
    9d668eb  Use QStandardPaths's DataLocation instead of
	     GenericDataLocation when looking up AppData directory.
    d299360  Log, TextMessage: remove $ as an illegal character in our
	     simple URL regexp.

2014-08-16
  Stefan Hacker <dd0t@users.sourceforge.net>
    7cfc2e5  Split out translation resources from mumble.qrc.

2014-08-09
  Stefan Hacker <dd0t@users.sourceforge.net>
    880e126  Split out translations list from mumble.pro.
    90d7546  Translation update

  Mikkel Krautz <mikkel@krautz.dk>
    d1a19d4  Cert: drop OpenSSL 0.9.7 compatibility code.

2014-08-01
  Jan Klass <kissaki@posteo.de>
    ed2bf49  Change default overlay avatar alignment to centered as per
	     #1325

  Mikkel Krautz <mikkel@krautz.dk>
    19996c5  g15helper, macx/compat: fix OS X i386 targetting when using Qt
	     5.

2014-07-29
  Mikkel Krautz <mikkel@krautz.dk>
    c0d7aad  scripts/gen-mumble_app-qt-def.py: add Python 3 compatibility.

2014-07-28
  Mikkel Krautz <mikkel@krautz.dk>
    340c7b6  ASIOInput: use MumbleHWNDForQWidget() to get HWND for Qt 5
	     compatibility.

2014-07-27
  Mikkel Krautz <mikkel@krautz.dk>
    094ab1e  Ensure "syslog" string literal in murmur's main.cpp is wrapped
	     in QLatin1String.
    08d7cb3  UnixMurmur: ensure logToSyslog is initialized to false.

2014-07-25
  Mikkel Krautz <mikkel@krautz.dk>
    0faf8fa  .gitignore: add .qmake.cache, .qmake.stash, and
	     murmurd_plugin_import.cpp.
    3fe7ff4  OverlayEditorScene: include QtGlobal before QT_VERSION check
	     in header.
    68fb468  UserListModel: add mumble_pch.hpp header instead of directly
	     using Qt headers in order to fix Qt::escape on Qt 5.
    64d28eb  mumble.pro: when using Qt 5, use its bundled icns plugin
	     instead of our own qicnsicon.
    21554c6  3rdparty/fx11-build: remove DX_SDK include dir, we get it from
	     the environment.
    c84e9b7  mumble, murmur: add a 'Qt::escape' for Qt 5 to avoid ifdef
	     hell.
    434087c  SSL: make CA filter code compatible with Qt 5.

  Peter Vágner <pvdeejay@gmail.com>
    800947e  Messages: fix conversion from protobuf uint64 to
	     ChanACL::Permissions when building against Qt 5.
    2bc61db  OverlayEditorScene: fix header to allow building with Qt 5.

2014-07-23
  Mikkel Krautz <mikkel@krautz.dk>
    63f35d6  PulseAudio: don't call pa_stream_drop() for empty
	     pa_stream_peek().

2014-07-22
  Jan Klass <kissaki@posteo.de>
    47d8a4f  Update gmod PA plugin with updated addresses.

2014-07-20
  Mikkel Krautz <mikkel@krautz.dk>
    840a31d  macx/scripts: fix osxdist.py and build-installer-overlay to
	     work in a source tree path with spaces in it.
    e740ea5  PulseAudio: stricter pa_stream_peek() validation.

2014-07-19
  Mikkel Krautz <mikkel@krautz.dk>
    322ed8a  Murmur: pass a format string to syslog(3).

2014-07-18
  main() <main@ehvag.eu.org>
    30023c5  Support logging to syslog in Murmur

2014-07-17
  main() <main@ehvag.eu.org>
    dc3b78c  Add "forceExternalAuth" config option to Murmur

  Mikkel Krautz <mikkel@krautz.dk>
    cf51bf3  OverlayConfig: hide the Overlay in Settings on winx64, since
	     it's not enabled at the moment.
    1e30fc6  installer: remove vccorlib120.dll from the installer.

2014-07-16
  Mikkel Krautz <mikkel@krautz.dk>
    8ffe90a  installer: make WiX produce a working x64 installer.
    f657478  installer: fix whitespace issue in Plugins.wxs.
    be8f932  installer: additional update to the .sln file for x64.
    9482cc8  installer: add x64 platform to the installer.
    2e5c8a5  Overlay_win: move early-return on WinX64 below variable
	     initializations.
    19efac3  plugins: temporarily disable game plugins on Windows/amd64.
	     the 'link' and 'manual' plugins are still built.
    8540e08  Set mumble_app.dll's version to 1.3.0.

2014-07-15
  Mikkel Krautz <mikkel@krautz.dk>
    6d96281  OSInfo: use 'WinX64' as the OS identifier for Windows/amd64
	     builds.
    769855b  Use set the 'os' query parameter to 'WinX64' when doing
	     version checks and plugin updates on Windows/amd64.

2014-07-14
  Jan Klass <kissaki@posteo.de>
    cdcf77c  Adjust method comment to match usage

2014-07-13
  Iain Georgeson <debbugs@iain.georgeson.me.uk>
    97cf80d  Log IP address on failed login

  Mikkel Krautz <mikkel@krautz.dk>
    c31269a  Make Mumble and Murmur build on Windows/amd64.

2014-07-12
  Mikkel Krautz <mikkel@krautz.dk>
    50206ce  celt-0.7.0-src, .gitmodules: point the submodule to our own
	     CELT 0.7.0 code base to fix Windows/amd64 build of celt-0.7.0.
    e31b716  plugins: add missing 'elif'; fix indentation of MSVS2008 'if'
	     block.
    9f327be  plugins: add magic values for all previously supported ABIs
	     (and a couple of new ones) to mumble_plugin.h.

2014-07-04
  Stefan Hacker <dd0t@users.sourceforge.net>
    e438a05  Comment memcpy from #1305

2014-07-02
  Mikkel Krautz <mikkel@krautz.dk>
    01a5e83  PulseAudio: fix access to protected enums in AudioInput and
	     AudioOutput.
    77314f4  installer: add the ability to use a custom bzip2 directory in
	     the Win32 installer.
    9ecdc0f  installer: fix ability to use a custom OpenSslDir when
	     building the Win32 installer.

2014-06-16
  Bernhard M. Wiedemann <bernhardout@lsmod.de>
    527d24e  Make sure exported certs are not world readable

2014-06-13
  Mikkel Krautz <mikkel@krautz.dk>
    7141a05  Add CA certificate filter to MumbleSSL::addSystemCA() to work
	     around issue 1271.

2014-06-11
  Tim Cooper <tim.cooper@layeh.com>
    2b8fc35  Fix issue where the chat box does not scroll down when an
	     image is loaded (#1258)

2014-06-10
  Tim Cooper <tim.cooper@layeh.com>
    4f7ede5  Removed g.uiSession from ServerHandler::joinChannel
    abdb5ac  Added setTokens to ServerHandler
    22d8740  Add doxygen output directory to .gitignore

2014-06-06
  James Fraser <fwaggle@fwaggle.org>
    82f95c6  Update World of Warcraft Plugin to build 18291

2014-05-15
  Mikkel Krautz <mikkel@krautz.dk>
    f91386b  mumble: fix Mumble-SA-2014-005.

2014-05-12
  Mikkel Krautz <mikkel@krautz.dk>
    d9ff1e9  ConnectDialog: HTML-escape name in ServerItem::toMimeData().
    17fa695  MainWindow: HTML-escape host in Server Information dialog to
	     state our intention.
    9837c4d  MainWindow: HTML-escape hostname in 'Connecting to...'
	     message.
    b6e17ca  Log: HTML-escape QDateTime's Qt::DefaultLocaleShortDate string
	     representation.
    d58990c  CertView: do not use Qt::PlainText for qlExpiry - it needs
	     HTML for its expiry warning color.
    73a1a98  AudioOutputSample: HTML-escape filename in QMessageBox.
    1f6ddaf  ASIOInput: use Qt::PlainText for QLabels.

  Tim Cooper <tim.cooper@layeh.com>
    c52dedc  Remove unneeded Qt::escape.
    a0ebded  CertView: remove incorrect use of an HTML line break for
	     qlSubjectEmail.

2014-05-11
  Mikkel Krautz <mikkel@krautz.dk>
    1caaec7  CertView: explicitly use plain-text QLabels for
	     subject/issuer/email/expiry labels.

2014-05-10
  Christian Krause <chkr@plauener.de>
    3494362  Avoid "jump to label crosses initialization" error.

2014-04-27
  Stefan Hacker <dd0t@users.sourceforge.net>
    abad339  Remove flawed MX host existence check for cert wizard (#1178)
    a429c76  Add transifex client configuration for project.
    d366065  Translation update
    b3cf94f  Add translation update script with transifex issue workaround
	     (#1195)

2014-04-26
  Stefan Hacker <dd0t@users.sourceforge.net>
    e562e92  Exclude files with DFSG licensing issues from tar balls
	     (#1230)

2014-04-24
  James Fraser <fwaggle@fwaggle.org>
    fb3d6c6  Update WoW plugin to build 18019.

2014-04-15
  Tim Cooper <tim.cooper@layeh.com>
    52d19ac  Allow admins to clear user avatars/textures.

2014-04-13
  Tim Cooper <tim.cooper@layeh.com>
    02ddd91  Allow user renames via UserList without requiring a reconnect.
    1256386  Fix auto-reconnect behavior when kicked or banned.

2014-04-12
  Mikkel Krautz <mikkel@krautz.dk>
    2d2509f  UserListModel: fix non-PCH build by including QTextDocument
	     header for Qt::escape.

  Tim Cooper <tim.cooper@layeh.com>
    306e1f7  Log: fix typo in 'image too big' warning.

2014-04-10
  Philip Cass <frymaster@127001.org>
    9946dc7  Reorder Mumble.proto to match ordering in Message.h.

  Tim Cooper <tim.cooper@layeh.com>
    b7d9387  Be more stringent about properly escaping external strings in
	     HTML ('rich text' in Qt-speak).
    13c6e58  Fix incorrect handling of mumble:// links

2014-04-06
  Tim Cooper <tim.cooper@layeh.com>
    01a7c58  MainWindow: fix a bug where user/channel actions were enabled
	     even though no user or channel was selected.

2014-04-05
  Mikkel Krautz <mikkel@krautz.dk>
    c897c56  installer: drop InstallerVersion back to 300. add note about
	     InstallerVersion requirements for VC12 redist to
	     MergeModuleDir setting.
    8aafb6c  installer: automatically embed VCRedist 12.0 DLLs when env var
	     MumbleNoMergeModule is set.
    0e44742  installer: change InstallerVersion to 405 to be able to merge
	     with MSVS2013 VCRedist.
    1b3f199  installer: update Product.wxs to refer to the VC120 CRT.
    689f4c1  Bump version to 1.3.0
    53daac8  mumble_plugin.h: change plugin magic values in preparation of
	     the MSVS 2013 switch-over.
    b20d9e9  Plugins: add support for the 'path' attribute in plugin
	     auto-update XML.

2014-04-04
  Mikkel Krautz <mikkel@krautz.dk>
    af37749  compiler.pri: explicitly specify -ARCH:SSE for MSVS 2012 and
	     2013.
    724d9e9  compiler.pri: explicitly target Windows XP when specifying
	     output binary's subsystem.

2014-03-30
  Jan Klass <kissaki@posteo.de>
    0285e3b  Adjust build error text (missing submodule dir)

2014-03-27
  Stefan Hacker <dd0t@users.sourceforge.net>
    b252959  Missed DIST dependency on mkini.sh results.

2014-03-25
  Stefan Hacker <dd0t@users.sourceforge.net>
    c03d8fc  Drastically simplify release.pl.
    a7ae275  Make paths in fx11-build.pro case sensitive

2014-03-13
  Stefan Hacker <dd0t@users.sourceforge.net>
    6a345f5  Added hidden option to disable add/edit in connect dialog (FR
	     #1120)
    fd5a9b1  Add hidden option to disable pubserver list (FR #1120)
    f2bfe2f  L4D2 PA plugin update to game version 2.1.3.5 (#1184)

2014-02-25
  Mikkel Krautz <mikkel@krautz.dk>
    487fcab  mumble: fix Mac build after the overlay header refactoring.

2014-02-23
  Stefan Hacker <dd0t@users.sourceforge.net>
    d41c148  Refactor ClientUser to UserModel/MainWindow signal & slot
	     connections.
    12eac3c  Fix client freeze due to deadlock (#1167)

  Jan Klass <kissaki@posteo.de>
    00392d1  Fix: Add forward declaration and include
    640b532  Refactor code: Create headers for cpp files

2014-02-21
  bendem <online@bendem.be>
    cd2a5e5  Update french translation

2014-02-19
  Jan Klass <kissaki@posteo.de>
    207f66c  Add entries to default overlay blacklist

2014-02-18
  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    221a5d7  Updated Polish translation

2014-02-17
  Stefan Hacker <dd0t@users.sourceforge.net>
    c377cea  Update translations for #1164

2014-02-16
  Jan Klass <kissaki@posteo.de>
    f789386  Overlay: Introduce D3D call result logging

2014-02-15
  Stefan Hacker <dd0t@users.sourceforge.net>
    d3e00de  Remove 'About' action from tray context menu (#1161)

  Spaccaossi <spaccaossi@gmail.com>
    fbaadc4  Updated italian translation

2014-02-13
  Stefan Hacker <dd0t@users.sourceforge.net>
    ea165cd  Prevent adding to VoiceRecorder buffer after recording was
	     stopped.
    2ca559b  Fix assumptions in alignment fix by reintroducing silence
	     heuristic.
    8e22f9a  Fix "Inverted samples in WAV recording when clipping" #971
    ed424af  Modify VoiceRecorder to be able to properly abort a recording.
    a0aa1bc  Refactoring of VoiceRecord.h/cpp according to new coding
	     guidelines.
    fc4e1e3  Fix recorder crash due to use after free on user object.
    9a47e05  Fix multi-track recordings going out of alignment on long
	     recordings

2014-02-09
  Stefan Hacker <dd0t@users.sourceforge.net>
    afa6ee4  Make banlist filter case insensitive (#1011)

2014-02-08
  Mikkel Krautz <mikkel@krautz.dk>
    90963a1  compiler.pri: tweak OS X SDK detection when building with Qt
	     4.
    d55d944  g15helper: update G15 SDK paths for OS X.

2014-02-07
  Mikkel Krautz <mikkel@krautz.dk>
    229f041  Merge v1.2.5 into master.

2014-02-05
  Mikkel Krautz <mikkel@krautz.dk>
    d3be3d7  mumble: fix Mumble-SA-2014-002 (CVE-2014-0045).
    8506492  mumble: fix Mumble-SA-2014-001 (CVE-2014-0044).

2014-01-31
  Mikkel Krautz <mikkel@krautz.dk>
    c3c13f9  Update changelog
    269e93e  mumble: fix Mumble-SA-2014-002 (CVE-2014-0045).
    7e31c32  mumble: fix Mumble-SA-2014-001 (CVE-2014-0044).
    f5ebe9d  Bump version to 1.2.5

2014-01-25
  Mikkel Krautz <mikkel@krautz.dk>
    1bd57bd  TextToSpeech_macx: selectively conform to
	     NSSpeechSynthesizerDelegate protocol.
    3e0112d  README.static.osx: remove Linux references.

2014-01-21
  Zorg <zorgiepoo@gmail.com>
    c2f75bb  TextToSpeech_macx: fix 10.4 compatibility.
    15f7610  TextToSpeech_macx: reimplement using NSSpeechSynthesizer.

2014-01-19
  Piratonym <piratonym@piratonym.cc>
    29a65c6  AudioOutput: add an 'attenuate others' option for priority
	     speakers.

2014-01-12
  Mikkel Krautz <mikkel@krautz.dk>
    44a5bd1  scripts: remove unused svn2cl scripts.
    97b75de  scripts: remove old Ermine build scripts.
    6da40b8  winpaths_static.pri: remove executable bit.
    64abcb3  scripts: set +x bit for the files people are expected to run.
    f623a69  scripts/mkini-win32.bat: use ',' as substitution delimiter;
	     also fix regexp.
    4323a21  scripts/release.pl: remove slicer-specific deployment
	     functionality.

  Natenom <natenom@natenom.com>
    b2d938b  Messages: use actual username (instead of the ConnectDialog
	     username) in msgPermissionDenied.

  Rafael Lopez <rafael@case.edu>
    d9d81a9  MainWindow: add Cancel button to the "Minimize or Close?"
	     message box.

2014-01-11
  Steve Hill <github@cheesy.sackheads.org>
    fb1cff6  plugins/borderlands2: add support for v1.7.0.

  Mikkel Krautz <mikkel@krautz.dk>
    1d0b1c8  OSInfo: fix display of Windows service packs in
	     getOSDisplayableVersion.
    9521471  plugins/borderlands2: fix version check.

  Tim Burke <tim.burke@gmail.com>
    1eefaab  mumble.appcompat.manifest: add Windows 8 and Windows 8.1
	     entries.

  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    8f0ae69  OSInfo: use full Windows version when version string is
	     user-facing.

2014-01-10
  Jan Klass <kissaki@posteo.de>
    9544bec  Overlay: Add Direct3D 11 support

  Mikkel Krautz <mikkel@krautz.dk>
    00b3686  scripts/release.pl: add vpath special-case for fx11.

2014-01-02
  Kyle Smith <askreet@gmail.com>
    da6c244  New approach using a QHash to track PTT events per whisper.

2013-12-30
  Mikkel Krautz <mikkel@krautz.dk>
    2ac3b67  AudioInput: make a copy of the EncodingOutputBuffer when
	     calling flushCheck.

2013-12-29
  Stefan Hacker <dd0t@users.sourceforge.net>
    5fa918b  Fix accidental CBR limit for large Opus frames.

2013-12-17
  Mikkel Krautz <mikkel@krautz.dk>
    338f024  opus-build: revert ff9086e3 and error out if built with
	     CONFIG(sbcelt) instead.
    ff9086e  opus-build: build as C++ on Unix-like systems.

2013-12-15
  Mikkel Krautz <mikkel@krautz.dk>
    b5ee1f4  mumble: add os=MacOSX-Universal to VersionCheck.cpp and
	     Plugins.cpp.
    6918c9d  scripts/release.pl: add dirs new to Opus 1.1 to fix
	     from-tarball build.

2013-12-14
  Mikkel Krautz <mikkel@krautz.dk>
    3a47d99  mumble: allow Log_macx.mm to build against the OS X 10.4 SDK
	     (for universal builds).

2013-12-06
  Stefan Hacker <dd0t@users.sourceforge.net>
    61391ae  Update to Opus 1.1

  Jan Klass <kissaki@posteo.de>
    67914c3  Logtextfix. Logically format code.

2013-12-05
  Stefan Hacker <dd0t@users.sourceforge.net>
    fb56112  Fix crash of target application due to failures in
	     D10State::init.

2013-12-04
  Stefan Hacker <dd0t@users.sourceforge.net>
    c148aaf  Update Opus to 1.1-rc3

2013-11-30
  Stefan Hacker <dd0t@users.sourceforge.net>
    ab12d35  Fix handling of failed shared data map creation in overlay.

  Artem Vorotnikov <skybon@gmail.com>
    829d4c6  Russian translation fixes

2013-11-26
  Stefan Hacker <dd0t@users.sourceforge.net>
    d322ad1  Update Opus to 1.1-rc

  Jan Klass <kissaki@posteo.de>
    71e6ab1  Overlay: Resolve d3d9 hook TODO. Fix naming.
    80a9350  Overlay: Code improvements

2013-11-24
  Jan Klass <kissaki@posteo.de>
    cd4e835  Overlay: Changes as per PR-comments

  Tristan Matthews <tristan.matthews@savoirfairelinux.com>
    f514107  AGC: remove redundant speex_preprocess_ctl call

2013-11-22
  Jan Klass <kissaki@posteo.de>
    250835e  Overlay: Rework Code.

2013-11-16
  Mikkel Krautz <mikkel@krautz.dk>
    087e38a  overlay: fix blacklist debug ods call.

2013-11-10
  Mikkel Krautz <mikkel@krautz.dk>
    7f976ed  mumble, mumble_exe: fix overlay self-detection for the
	     mumble_app.dll build.
    192135d  Add x-scheme-handler support to the Mumble .desktop file.

  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    f459c5b  Updated Polish translation

2013-11-04
  zapman <unknown>
    807dd4c  Update Turkish translation

2013-10-24
  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    75976ec  Fix two GUI issues

2013-10-23
  Stefan Hacker <dd0t@users.sourceforge.net>
    2c892fe  Fix various compiler warnings with VS2010
    e51921e  Fix bug and formating in subrosa PA plugin.
    3af1651  Fix warning due to implicit BOOL to bool conversion.
    07e055f  Fix overlay regression that in some cases prevented injection
	     into devices in myCreateDevice(/Ex)

2013-10-22
  Stefan Hacker <dd0t@users.sourceforge.net>
    a6f7610  Fix mixup between printf and QString format character in
	     VoiceRecorder error message

2013-10-21
  Mikkel Krautz <mikkel@krautz.dk>
    35765f6  mumble: use ConfigDialog_macx on Qt5/macx.

2013-10-20
  Mikkel Krautz <mikkel@krautz.dk>
    915fe15  mumble: allow GlobalShortcut_macx.mm to build using the OS X
	     10.9 SDK.
    d59a3b1  compiler.pri: use default OS X SDK instead of hard-coding it.
    1509f56  mumble: fix UserListModel.h includes to work without PCH.

2013-10-16
  Timo Gurr <timo.gurr@gmail.com>
    d2ed7d2  Update slice path for Ice 3.5.1

2013-10-14
  Natenom <natenom@natenom.com>
    f07f0c8  Show channelid to ACLEditor

2013-09-21
  Stefan Hacker <dd0t@users.sourceforge.net>
    cde5610  Make userlist filter case-insensitive
    5b9e899  Fix application shortcuts not working in minimal mode.
    39697c7  Re-implement UserEdit using Model/View paradigm to resolve
	     various problems with the old implementation.

2013-09-20
  Stefan Hacker <dd0t@users.sourceforge.net>
    15ff072  Remove event handler for retired global channel filter
	     shortcut
    198f45a  Update Opus to v1.1 beta release
    d35468c  Make sure filter never hides the channel the user resides in.
    983b6db  Expand "What's this" and tooltip for filter action
    15afc05  Default enable hide empty channel behavior for filter
    499b3f5  Add Ctrl+F shortcut for quickly enabling/disabling channel
	     filtering

2013-09-19
  Stefan Hacker <dd0t@users.sourceforge.net>
    42d74df  Fix channel flag handling with filter patch
    8f30d0c  First set of fixes for filter patch
    b422e0a  Disconnect if for some reason we established a connection to a
	     server without it having a certificate
    679eacd  Remove channel filtering from tray
    860ec5c  Reduce probability for possible race until a real fix can be
	     implemented
    fc24262  Abort drop when drag setting is invalid
    549c155  Fixed Mumble not remembering hidden dockwidgets

  Frank Mueller <frmimue@gmail.com>
    5b3a406  Fixed leaving channel message not being sent when leaving the
	     server

  tkmorris <mauricioarozi@gmail.com>
    e26020e  update mumble_pt_BR.ts

2013-09-15
  Mikkel Krautz <mikkel@krautz.dk>
    bcf1a3e  build: add support for building against Qt 5 from the
	     win32-static build env.

2013-09-13
  Mikkel Krautz <mikkel@krautz.dk>
    b25a906  mumble_exe: do not add mumble.exe's parent directory to PATH.
    bcaa10a  mumble_exe: add user-visible alert dialogs for error states.

2013-09-06
  Mikkel Krautz <mikkel@krautz.dk>
    442b46e  installer: automatically build a static installer when in the
	     win32-static build env.

2013-08-25
  Mikkel Krautz <mikkel@krautz.dk>
    6c7e0e3  compiler.pri: allow version-less Boost to be used on Windows.
    6c83548  winpaths_static.pri: use version-less protobuf path.
    a20185d  plugins/manual: use qt_dynamic_lookup instead of static to
	     guard linking against mumble_app.dll.
    f62db49  plugins/manual: only link against mumble_app when doing a
	     static win32 build.
    6da2930  mumble, murmur: final adjustments for the win32-static
	     buildenv.

2013-08-19
  Jan Klass <kissaki@posteo.de>
    7c2d1a3  Open soundfile selection dialog with current path
    6e09508  Fix path in skin selection dialog

2013-08-14
  Mikkel Krautz <mikkel@krautz.dk>
    2864eee  murmur: build fixes for win32-static.

2013-08-10
  Mikkel Krautz <mikkel@krautz.dk>
    91e3daf  build: allow Mumble on Win32 to be built against a static Qt.

2013-08-02
  Mikkel Krautz <mikkel@krautz.dk>
    4c48f72  mumble: fix VoiceRecorderDialog build on Apple clang-500.1.70.
    c9f46b8  compiler.pri: use short-form OS X SDKs for Qt 5.
    d848af9  compiler.pri: update to Boost 1.54.0 on OS X.

2013-07-14
  Jan Klass <kissaki@posteo.de>
    1011d53  Code cleanup.
    8021c66  Refac mklic.pl. Generate new licenses.h file.
    82fa0e6  Adjust mklic.pl script
    2fd6a3c  Fix mixup of CELT and Speex licenses in about dialog.
    3aa9179  Refactor third party license code info (About dialog)
    2cec7ba  Add Filter.svg license notice
    f96dfca  Add shortcut for de-/activating channel filter

2013-07-13
  Jan Klass <kissaki@posteo.de>
    36217ac  Rename variable. Informative tooltips.
    c0be6cb  Channel Filtering: Fix shortcut. Specific text.
    9450d66  Unify comment style.
    84be1eb  Move method comments. Remove obsolete.
    2c07833  Reduce variable scopes

2013-07-08
  Kyle Smith <askreet@gmail.com>
    325226c  Added CycleTransmitMode global shortcut.

  dc6jgk <github.filter@gkware.com>
    304bf43  Added channel hiding/filter feature

2013-07-07
  Jan Klass <kissaki@posteo.de>
    63e3fd0  Overlay clock: Fix tooltip text and indent.

  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    5c87ded  Clock in Overlay

2013-07-04
  Mikkel Krautz <mikkel@krautz.dk>
    72407cf  GlobalShortcut_macx: always make a deep copy of the translated
	     key name.

2013-07-03
  Mikkel Krautz <mikkel@krautz.dk>
    4df44b9  mumble: make new user editor work with Qt 5.

2013-07-02
  Micah Caldwell <micah@zoltu.net>
    4305165  Updated L4D2 to 5338.

2013-07-01
  Micah Caldwell <micah@zoltu.net>
    56ce5d5  Updated L4D2 Offsets

2013-06-30
  Jan Klass <kissaki@posteo.de>
    ac65b31  Banlist: PR commit adjustments

  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    bf5927e  BanList improvements

2013-06-29
  Jan Klass <kissaki@posteo.de>
    51ecb7a  Accountlist: Fix filtering. Windowtitle and refacs.
    c40b0b0  Merge branch 'pr-userlist'

  Mikkel Krautz <mikkel@krautz.dk>
    cd23aee  Revert "src/mumble/mumble.pro: silence some qmake warnings."
    7b68d0c  User.h: add missing QDateTime include.
    c47d95a  src/mumble/mumble.pro: silence some qmake warnings.
    6a2f2bd  plugins/manual: only depend on gui-private on Windows.
    28bb66e  plugins: disable unhinge functionality for the manual plugin
	     when using Qt 5.
    3cc2419  mumble, plugins: fix QWidget-for-HWND lookup for the 'manual'
	     plugin.
    be75138  mumble, plugins: allow 'manual' plugin dialogs to work OS X
	     when using Qt 5.
    e0b884e  mumble: fix dynamic lookup for the 'manual' plugin on OS X
	     with Qt 5.
    c469104  mumble: fix main.cpp to not reference MumbleFileEngineHandler.
    21c4bbf  mumble: remove FileEngine.{cpp,h} and use data URLs for better
	     Qt 5 compatibility.
    84bc19c  mumble: migrate hardcoded 0x050000 Qt version to the
	     QT_VERSION_CHECK macro.
    9f62921  mumble: Qt 5 support for OS X.
    4bbc561  mumble: fix Linux build for Qt 4 and Qt 5.
    26b0597  mumble: fix HWND handling for Qt 5.
    7e452dc  mumble, murmur: Qt 5 support for Windows.
    5cb3370  mumble, murmur: Qt 5 support for Linux.

  bendem <online@bendem.be>
    2994048  Translation: French: Fix

2013-06-28
  Jan Klass <kissaki@posteo.de>
    ef8b3b9  Userlist improvements: Use QDateTime.
    b5ade6e  Userlist Improvements: Display localized time. Refactoring.
    ab6d873  Userlist improvement: Use plural form translation
    b951fc3  Userlist Improvements: Use RPC callbacks as well.
    f6ceaf9  Improved Userlist: Refacs.
    eeb9b86  fix indent
    0af571b  Filtered Userlist: Refactoring. C

  bendem <online@bendem.be>
    2967697  Unified channel traduction to "salon"
    b7b3018  Translation improvements

2013-06-23
  Jan Klass <kissaki@posteo.de>
    2a7e789  Userlist improv.: Fix indent. Use iterator again.
    1919b2c  Overlay: Less obtrusive logging.

  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    b3aac5e  UserList improvements

2013-06-17
  Jan Klass <kissaki@posteo.de>
    9d0de38  Overlay: Pass on procname buffer
    3c787be  Overlay: Move logic into function ..IsBlacklisted
    0e7d860  Overlay: Move DllMain logic into functions
    e64fa10  Overlay: Use string var instead of hardcoded strings
    b070532  Overlay: Fix address offset
    1182fc2  Overlay: Introduce hook for ResetEx. Hook PresentEx.
    123486b  Overlay: Move logic to function, Varnaming, msgfix

2013-06-16
  Jan Klass <kissaki@posteo.de>
    dfc8638  Overlay: Add myPresentEx function
    3865e8c  Overlay: Code comments
    04b344d  Overlay: Var init, comment, error loggin.

2013-06-15
  Jan Klass <kissaki@posteo.de>
    d74b5b0  IconSync.cpp: Move Icon creation script
    f92455b  Refac: Reduce code duplication in IconSync.cpp
    c70dc78  Generate Mumble icon file with simplified minis
    8dc58ef  Use simplified Mumble logo for small icons
    54e74c1  Keep small, simplified mumble icon closer to original

2013-06-11
  Jan Klass <kissaki@posteo.de>
    07c78b1  Refac: Use constant to check return value
    f09e943  * Commenting, varnaming, fix indent
    f8f4b0f  refacs: more elaborative Varnaming; codeformatting
    11d5305  Code refacs; fix typo and adjust texts
    cab4a3d  Extend Windows Overlay code and clean it up.

2013-06-10
  Stefan Hacker <dd0t@users.sourceforge.net>
    65c366a  Fixed connection setup diagram in mumble protocol
	     documentation

2013-06-09
  Jan Klass <kissaki@posteo.de>
    9e6e6bb  Benchmark.cpp: Fix: Set version to prevent crash
    14db2e9  OverlayTest.pro: Add includepaths for celt and speex
    33295b8  tests-files: Add description to file
    db472b9  tests/Benchmark: Foarmatting and descriptiveness
    d218030  add small version of mumble logo for small icons
    8a3b8ea  add 256px icon layer to mumble icon
    30051f9  Update opus submodule to opus 1.0.2

2013-06-08
  Mikkel Krautz <mikkel@krautz.dk>
    8632246  Bump version to 1.2.5
    dee463e  bonjour: use Qt::AutoConnection for BonjourServiceResolver's
	     QSocketNotifier slot.

2013-06-06
  Mikkel Krautz <mikkel@krautz.dk>
    22d1821  mumble.pro: add speech-dispatcher 0.8 compatibiltiy.

  Timo Gurr <timo.gurr@gmail.com>
    a436774  Update slice path for Ice 3.5.0

2013-06-05
  Jan Klass <kissaki@posteo.de>
    676bb0e  use qFatal instead of exception

2013-06-04
  Generator <american.jesus.pt@gmail.com>
    acb756c  Upload european portuguese translation

  Stefan Hacker <dd0t@users.sourceforge.net>
    77233ed  Fixed crash triggered by reading large files referenced in the
	     clipboard.
    7d649aa  Make sure mklic.pl always outputs LF endings

  Steve Hill <github@cheesy.sackheads.org>
    54d3f5a  Borderlands 2 PA: Update for version 1.5.0
    b0ddb59  Borderlands 2 PA: v1.4.0 update, fix v-detection

  Filip Hedman <hedman.filip@gmail.com>
    9226245  Fixes and improvements to the swedish translation.

  Henry Fallon <hjf288@gmail.com>
    5dea592  Apply patch with translations for FR #1096
    88d41e1  FR #1096 by Henry Fallon: Corrections to string, Add missing
	     comments in Murmur.ice and add Missing MainWindow::msgReject
	     in Client
    7cff8ca  Introduce auth rejection type AuthenticatorFail

  Mikko Rantanen <jubjub@jubjubnest.net>
    5a09fb4  Improve protocol documentation

  Jan Klass <kissaki@posteo.de>
    557b74b  fix build: add qt_nl translation to mumble project file
    398b773  Cherry-pick changes as per pull request #158
    6eab5a9  Refac: Commenting, readability/code-flow of vars
    0abf7e3  move logic into method OverlayClient::readyReadMsgInit; add
	     curly braces
    839a3e6  refac: readability/consistency
    923a3b4  Update translation files (lupdate)
    1621ff2  Add Hungarian (hu) and Dutch (nl) translations to project
	     files
    b004a4c  add a comment, remove an unused variable
    708212a  fix warning on unused var
    1459792  fix 2 typos, add TODOs
    fd6b6e2  Update translation files (lupdate)
    6e8c893  shorten and specify comment of authenticate return code
    52272e2  update string: “ban list” not “ban lists”
    f4c54b2  Explicitly mark childmethods as virtual
    46fc3cc  Commenting, formatting. Remove obsolete/wrong comment.
    bb47083  Reduce varscopes and improve debugtext.
    85fa2ce  Code formatting, smaller refacs, robustness.
    33069f8  comments. more elaborative debugoutput, consistent prefixing.
    8b04426  reduce varscopes
    487ed14  Implement copy constructors, minor cleaning
    491228e  lupdate translation files - mainly for HE
    d6b4b8e  Add Hebrew translation to project files
    6cc47c3  Update Hebrew translation by patch #366
    b0707fd  Apply patch #960: add preprocessor #if for OpenBSD
    44202b2  add new translation pt-PT to project files
    3227b1c  Add guard define to licenses.h
    2c490d7  categorize scripts (move example scripts for serverside into
	     subfolders)
    15370fb  add path (sub-src) to header guard define
    1e4bb6d  Prepend Projectname to header guard defines
    7642e72  Adjust header guard defines for uniformity
    40ca9b4  Rename header guard defines to not use c++-reserved names

  Lukas Orsvärn <lucas.orsv@gmail.com>
    c86ce47  Adds positional audio plugin for Sub Rosa

  Wesley W. Terpstra <terpstra@users.sourceforge.net>
    10b2d00  Prevent overlay from disappearing on D3D DLL reloading.

2013-06-01
  Stefan Hacker <dd0t@users.sourceforge.net>
    5ff038e  Update changelog

  Mikkel Krautz <mikkel@krautz.dk>
    aab9cdc  Server::sendMessage: encode the source IP of outgoing UDP
	     packets to match the UDP socket's address family.

2013-05-11
  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    c00b44e  Minor fix in pl translation

2013-03-28
  bogie <priivet@gmail.com>
    dab8157  Updated BF3 PA plugin to Endgame DLC(b1147186)

2013-03-27
  Martin von Gagern <Martin.vGagern@gmx.net>
    d71b2fd  Ensure that the MAX macro is always defined.

  Mikkel Krautz <mikkel@krautz.dk>
    bc871f6  murmur.pro: add CONFIG(ermine) for the Ermine packaged build.

2013-03-19
  Stefan Hacker <dd0t@users.sourceforge.net>
    deeeb72  Swedish translation error (#973)

2013-02-02
  Mikkel Krautz <mikkel@krautz.dk>
    b115a29  opus-build: build with CONFIG=staticlib on Unix as we do for
	     our bundled Speex library.

2013-01-27
  Mikkel Krautz <mikkel@krautz.dk>
    1fa4e82  ConfigDialogDelegate: return fully standalone NSImage in
	     QIcon_to_AutoreleasedNSImage.

2013-01-20
  Stefan Hacker <dd0t@users.sourceforge.net>
    f4cc3f0  Fix mumble_ol.dll not being versioned under windows.
    1a9aec9  mklic.pl run to update in-client license display

  Steve Hill <github@cheesy.sackheads.org>
    4dcd700  Positional audio plugin for Borderlands 2 v1.3.1

  Mikkel Krautz <mikkel@krautz.dk>
    c8b6d69  osxdist.py: create a tarball in addition to the XIP archive
	     for OS X static Murmur.

  bogie <priivet@gmail.com>
    fed89ce  BF3 PA plugin update: fixed one value

2013-01-15
  Stefan Hacker <dd0t@users.sourceforge.net>
    8cbf176  Update changelog and LICENSE file.

2013-01-14
  Stefan Hacker <dd0t@users.sourceforge.net>
    6d67d07  Default disable hide in tray also for Windows 8

2013-01-13
  Stefan Hacker <dd0t@users.sourceforge.net>
    8678a0c  Introduce concept of NULL plugin to retract plugins.

  Mikkel Krautz <mikkel@krautz.dk>
    8e79041  mumble_qt.qrc: remove nl, he, hu.
    8b83aba  mumble.pro, mumble.qrc: remove unfinished Hungarian
	     translation from release.
    0ddb922  mumble.pro, mumble.qrc: remove unfinished Hebrew translation
	     from release.
    886e8d1  mumble.qrc: also remove NL from here.
    2d1bc76  mumble.pro: exclude unfinished NL translation.
    cd8e996  mumble_ja.ts: mark as finished.
    09d8fa1  mumble_da.ts: 3. part licenser -> Tredjepartslicenser.

  Svenne33 <svenne33@users.sourceforge.net>
    e530cab  mumble_sv.ts: update for 1.2.4.

2013-01-11
  zapman <unknown>
    d9edcbf  Minor fixes for French translation

2013-01-10
  Stefan Hacker <dd0t@users.sourceforge.net>
    1253532  setLiveConf for opusthreshold and channelnestinglimit didn't
	     reset on empty string (#938)

2013-01-08
  Mikkel Krautz <mikkel@krautz.dk>
    acb28e8  GlobalShortcutWin: revert 242af40b to restore keyboard
	     suppression.

2013-01-07
  Mikkel Krautz <mikkel@krautz.dk>
    242af40  GlobalShortcutWin: try to make WinHooks do less work.

2013-01-04
  Stefan Hacker <dd0t@users.sourceforge.net>
    f569e1e  Fix typo in mklic.pl
    086d4a2  Add back accelerator keys for Cancel in QDialogButtonBox.
    e87028a  Integrate MIT licensed 3rd party Qt translations for missing
	     locales.

2013-01-03
  Mikkel Krautz <mikkel@krautz.dk>
    a691c40  Murmur: restore old meaning of -fg on Windows: don't write to
	     the log file.
    268ae8d  Murmur: remove logfile detach warning on Windows. Detach is a
	     no-op on Windows.
    92206cc  Various murmur.ini fixes.

2013-01-02
  Mikkel Krautz <mikkel@krautz.dk>
    921f6e4  GlobalShortcut_win: log the user's LowLevelHooksTimeout value

2012-12-29
  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    d25c069  Fix for Polish translation

2012-12-28
  bogie <priivet@gmail.com>
    ad1c30a  Update for BF3 PA plugin

2012-12-27
  Stefan Hacker <dd0t@users.sourceforge.net>
    8b74d4b  Make analyze config option also apply to release builds

2012-12-24
  Stefan Hacker <dd0t@users.sourceforge.net>
    0d825b3  WASAPINotificationClient singleton initialization wasn't
	     threadsafe.

2012-12-22
  Mikkel Krautz <mikkel@krautz.dk>
    ea221f3  compiler.pri: add CONFIG=clang-analyzer for the clang-checker
	     slave.

2012-12-21
  zapman <unknown>
    3fc8861  French and Turkish translation improvements

2012-12-20
  bogie <priivet@gmail.com>
    14f10e5  Update bf3 PA plugin

2012-12-18
  Stefan Hacker <dd0t@users.sourceforge.net>
    e9ce44a  Make sure we don't accidently add spaces to installer paths
    24b6148  Add ini creation file for windows build

2012-12-15
  Jan Klass <kissaki@posteo.de>
    6ad5ea4  add RzSynapse.exe to overlay blacklist to prevent invisible
	     hooking

  Mikkel Krautz <mikkel@krautz.dk>
    1eca952  Add Windows Phone IP over USB Service to the overlay
	     blacklist.

2012-12-13
  zapman <unknown>
    857b03a  Fix swapped string in fr and tr translation

2012-12-10
  Stefan Hacker <dd0t@users.sourceforge.net>
    305b883  Small fix for French translation.

  bogie <priivet@gmail.com>
    9b0ae8b  Updated bf3 PA plugin to Aftermath patch

2012-12-09
  Stefan Hacker <dd0t@users.sourceforge.net>
    afa21be  Add debug output to client-side SQL queries.
    1b2023c  Missing two strings for French translation.

  Jan Klass <kissaki@posteo.de>
    001a5c2  fix bug 924: Server favorites disappear on second Mumble
	     instance (-m)

2012-12-08
  Stefan Hacker <dd0t@users.sourceforge.net>
    d14db99  Use same sentence structure for send message to channel/user
	     in German translation so switching between the two is less
	     jarring.
    7f70a4a  Fix typo in config and remote leftover debug statement in
	     Meta.cpp
    f0c94f4  Fix outdated comment on bonjour config option default value.
    9988e9a  Improve murmur.ini documentation.
    8c07c75  Add MetaParams::typeCheckedFromSettings to be able to warn the
	     user if a default settings value was used because the given
	     value wasn't in the expected format.

  zapman <unknown>
    5f46755  Turkish translation update
    d2839c8  French translation update

2012-12-04
  Jan Klass <kissaki@posteo.de>
    2a469e8  remove duplicate overlay blacklist entry for chrome.exe

2012-12-02
  Jan Klass <kissaki@posteo.de>
    4ec62f1  add Steam and chrome to (default) overlay blacklist
    7d6beed  fix bug #933: Double-clicking mumble in the taskbar results in
	     a blank window
    529f666  add version and fn existence checks to the PHP sample scripts

2012-11-30
  GoD-Tony <noreply@gmail.com>
    0bdf4c6  Updated offsets for Counter-Strike: Source.

2012-11-28
  Stefan Hacker <dd0t@users.sourceforge.net>
    bb76e7a  Fix pre 1.2.4 clients receiving Opus warnings unintentionally.

2012-11-27
  Stefan Hacker <dd0t@users.sourceforge.net>
    07a0e51  Add Adobe Acrobat to overlay blacklist

2012-11-26
  Stefan Hacker <dd0t@users.sourceforge.net>
    3297416  Fix use of cConnection smart_ptr in ServerHandler

  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    bddefc2  Fixes in Polish translation

2012-11-18
  Stefan Hacker <dd0t@users.sourceforge.net>
    338c985  Manual positioning plugin had X-Axis backwards

  Michał "Zuko" Żukowski <zuczeq@gmail.com>
    ab225ea  Polish translation for Mumble 1.2.4

2012-11-16
  Stefan Hacker <dd0t@users.sourceforge.net>
    90599b8  Fix Servers with less than 1 ms latency do not show in the
	     server list (#926)
    b933b3d  Add WASAPINotificationClient code to reset audio in reaction
	     to device changes on Windows >= Vista.

  Mikkel Krautz <mikkel@krautz.dk>
    46d659d  overlay/d3d9: pass through IDirect3DDevice9 AddRef/Release
	     methods to originals on Windows 8.

2012-11-15
  Álvaro Manuel Recio Pérez <naproxeno@users.sourceforge.net>
    e661969  Updated Spanish translation file for version 1.2.4

2012-11-12
  Stefan Hacker <dd0t@users.sourceforge.net>
    becbda5  Add a small script to pull translation state from compile
	     logs.
    1922df7  Connection reject messages weren't translated properly
	     client-side.

  B0nuse <mumble@mumble.ru>
    09f2ec0  Final release mumble_ru.ts for Mumble 1.2.4 with new
	     translating position 'Copy URL' in channel menu_fix

2012-11-11
  Stefan Hacker <dd0t@users.sourceforge.net>
    f96c736  Update German translation and mark already translated strings
	     as done.

  tkmorris <mauricioarozi@gmail.com>
    4316bea  Minor tweaks to pt_BR translation

  Mikkel Krautz <mikkel@krautz.dk>
    071be0f  HardHook: add additional opcodes.

  Spaccaossi <spaccaossi@gmail.com>
    18d1b7b  Updated Italian translation

2012-11-09
  tkmorris <mauricioarozi@gmail.com>
    076f10c  Lupdate missed a string in pt_BR translation

2012-11-06
  haru_arc <arcenciel@users.sf.net>
    cb22b39  Update Japanese Translation

2012-11-05
  Stefan Hacker <dd0t@users.sourceforge.net>
    48646c0  Changing installer components without changing their GUIDs
	     resulted in shortcuts not getting removed properly on update.
    3f252eb  Swap "Send Message" and "Copy URL" in channel context menu as
	     copying a url is rarer and should be easier to hit.

  Jonathan E. Hansen <zentriple@users.sourceforge.net>
    46740a2  Minor fixes for Danish translation

2012-11-04
  Stefan Hacker <dd0t@users.sourceforge.net>
    ce83353  Make opustreshold and channelnestinglimit accept zero values
	     in setLiveConf.
    92152e1  lupdate run with disabled similartext heuristics.
    afd6ca3  Make installer use Mumble* environment variables for
	     configuration if they are enable. Otherwise fallback to
	     current buildserver defaults.
    756f9cf  Remove license, readme and uninstaller shortcuts from
	     application menu.

  Mikkel Krautz <mikkel@krautz.dk>
    a13bb16  ConfigDialogDelegate: memory management and coding style
	     fixes.

  B0nuse <mumble@mumble.ru>
    4f9b332  Final release mumble_ru.ts for Mumble 1.2.4.

2012-10-31
  Stefan Hacker <dd0t@users.sourceforge.net>
    df56b92  Fix regression in RichTextEditor that prevent it from being
	     completely emptied.

2012-10-30
  Stefan Hacker <dd0t@users.sourceforge.net>
    5fdf6e2  Fix drag and drop regression introduced by Qt updated.

  Lekensteyn <lekensteyn@users.sourceforge.net>
    ca5d432  Partial Dutch translation for 1.2.4 (#3581588)

  Jonathan E. Hansen <zentriple@users.sourceforge.net>
    3d543fa  Updated Danish translation for 1.2.4 (#3581734)

2012-10-29
  Mikkel Krautz <mikkel@krautz.dk>
    e430a08  macx: don't add scripts as a subdir, include it instead.
    7de07df  macx: pro file fixes for release.pl.
    286f148  scripts/release.pl: make sure to archive files listed in
	     OBJECTIVE_SOURCES.
    ef07910  scripts/release.pl: add sbcelt directories to fulldirs.
    8b226ca  scripts/release.pl: special considerations for sbcelt.

2012-10-28
  Thorvald Natvig <slicer@users.sourceforge.net>
    f4da625  QtMumble path
    c6b0e8b  Fix build regression with ASIO

2012-10-27
  Mikkel Krautz <mikkel@krautz.dk>
    752a630  plugins/link: make POSIX link work with Apple clang++ (Xcode
	     4.5).
    c49a17a  tests: .pro file cleanup.
    d07f38f  tests: update TestLink to build on OS X.

2012-10-26
  tkmorris <mauricioarozi@gmail.com>
    9b09608  Fix typos in pt_BR translation after the string freeze

2012-10-25
  Stefan Hacker <dd0t@users.sourceforge.net>
    1983ff2  String freeze for 1.2.4.

  Jan Klass <kissaki@posteo.de>
    b9a0c54  add qt_hu.qm to mumble.pro project file

2012-10-24
  Jan Klass <kissaki@posteo.de>
    9bd10b0  refacs; initialization, var-scope reduction, replace c-style
	     casts, rm unused

2012-10-19
  Jan Klass <kissaki@posteo.de>
    204affd  add depend on Hungarian translation of qt

2012-10-18
  zapman <unknown>
    d74ea83  Update Turkish translation and add installer Translation
    16b38b6  Update French translation

2012-10-17
  tkmorris <mauricioarozi@gmail.com>
    04592b6  WIX Portuguese Brazil translation update, mostly typos

2012-10-04
  Stefan Hacker <dd0t@users.sourceforge.net>
    ce65945  Forgot to update language list in Product.wxs
    db0fbee  Add Portoguese translation to installer.

  tkmorris <mauricioarozi@gmail.com>
    19c9475  Portuguese installer translation.

2012-10-03
  Stefan Hacker <dd0t@users.sourceforge.net>
    1007d24  WIX msi installer chinese locale (#3565260)

2012-09-27
  Stefan Hacker <dd0t@users.sourceforge.net>
    5f42a5f  Use U+2191 Upwards Arrow to indicate parent channel
	     relationship for subchannel whisper to prevent "Data" field
	     truncation.
    e69c3c6  Use new constants some more.

  bogie <priivet@gmail.com>
    e4ea4b3  Added possibility to whisper to sub channels of parent
	     channel(#1-#8)

2012-09-23
  Jan Klass <kissaki@posteo.de>
    e5101f2  Fix debug output for overlay chain notice
    ea29bd2  initialize member variable DevState::initRefCount in
	     constructor

  Natenom <natenom@natenom.com>
    95d2137  Translation updates; fix shortcuts for right click on a
	     channel

2012-09-20
  Mikkel Krautz <mikkel@krautz.dk>
    8fd27f6  osxdist.py: use new README for static server; tweak filename.
    c71aea2  Add more newbie friendly READMEs to the static servers.

2012-09-18
  Stefan Hacker <dd0t@users.sourceforge.net>
    145d9f9  Introduce channel nesting limit (default=10).

2012-09-16
  Mikkel Krautz <mikkel@krautz.dk>
    98cacbc  osxdist.py: only rmtree if path exists.
    b86c3b7  osxdist.py: move to a separate Murmur package on OS X.
    58bd65b  Murmur: fix static OS X build.
    a1eb9cf  Mumble: include and export all Qt symbols to plugins (static
	     OS X)

2012-09-15
  Mikkel Krautz <mikkel@krautz.dk>
    63c91fa  osxdist.py: consistent .dmg naming for releases and snapshots.
    e8a28dc  compiler.pri: Update OS X Boost to 1.51.0.

2012-09-14
  tkmorris <mauricioarozi@gmail.com>
    87bda5c  Portuguese Brazilian update

  Benjamin Jemlich <pcgod@users.sourceforge.net>
    6626e1d  OverlayConfig: Hide uninstall button on Windows

  bogie <priivet@gmail.com>
    2aa057d  accidentally switched top and front vector, has been fixed and
	     tested with two people.

2012-09-13
  Benjamin Jemlich <pcgod@users.sourceforge.net>
    1db5d03  Benchmark: Fix crypt resync handling

2012-09-08
  bogie <priivet@gmail.com>
    2b9233c  updated plugins/bf3/bf3.cpp for DLC Armored Kill(build 981420)

2012-09-01
  Natenom <natenom@natenom.com>
    9177738  Update INSTALL

2012-08-30
  Natenom <natenom@natenom.com>
    6602fb6  Updated German translations

  Tsbook <tsbook@users.sourceforge.net>
    f884680  Czech localization update

2012-08-29
  Stefan Hacker <dd0t@users.sourceforge.net>
    f178216  Update .ts files

  tkmorris <mauricioarozi@gmail.com>
    837e037  Updated Brazilian Portuguese translation

  B0nuse <mumble@mumble.ru>
    4d17ba4  Translated new position at RU language file.

2012-08-20
  EarlOfWenc <lorenz.schwittmann@gmail.com>
    09d5c07  Replaced last traces of MD5 by SHA-1

2012-08-19
  d-rez <dark.skeleton@gmail.com>
    fba76cd  Updated gw plugin for game build 36001
    2668713  New PA plugin: Blacklight: Retribution (v0.9.8.0) Supports
	     camera position, front and top vectors and context. No support
	     for identity and avatar position/top/front vectors
    752d582  Updated LoL plugin for game version .145

  Mikkel Krautz <mikkel@krautz.dk>
    a0b3706  compiler.pri: fix mistakes from previous commit; use
	     QMAKE_OBJECTIVE_C(XX)FLAGS for ObjC-flags.

2012-08-18
  d-rez <dark.skeleton@gmail.com>
    8333ba8  Updated League of Legends plugin (v1.0.0.144). * Moved some
	     static addresses outside functions for clarity Removed top
	     vectors retrieval which can be problematic and aren't used at
	     all in this game * Fixed context support

  Jan Klass <kissaki@posteo.de>
    92a37af  make the overlay exceptions window more elaborative

  EarlOfWenc <lorenz.schwittmann@gmail.com>
    377c65f  Extended recording notification to linked channels

  Mikkel Krautz <mikkel@krautz.dk>
    beea301  compiler.pri: cleanup -isystem includes, fix ObjC/ObjC++
	     FLAGS.
    f102f56  compiler.pri: mark all external library include paths as
	     system paths to suppress warnings.
    971f0ff  macx/osax: fix unused parameter warnings.
    b6d8bf3  Log_macx: remove Notification Center notifications on click.

2012-08-14
  Spaccaossi <spaccaossi@gmail.com>
    de46c7b  updated italian translation

2012-08-12
  Stefan Hacker <dd0t@users.sourceforge.net>
    86383df  Modify VersionCheck::fetched to keep last N (currently N=1)
	     snapshots.
    b6f8996  Installer integration for just cause 2 pa plugin.

  Mike <mike@flomp.net>
    7edc2a2  Add positional audio plugin for Just Cause 2

  Benjamin Jemlich <pcgod@users.sourceforge.net>
    a01155c  Installer: Remove useless Feature element

2012-08-09
  Mikkel Krautz <mikkel@krautz.dk>
    c2655fc  Mumble: allow client to use SBCELT for CELT decoding via
	     CONFIG(sbcelt).

2012-08-07
  Benjamin Jemlich <pcgod@users.sourceforge.net>
    f5bac3d  Log: Fix compile and logic error for ballon messages

2012-08-06
  Stefan Hacker <dd0t@users.sourceforge.net>
    f8d57e4  A number of translations were missing from resource files.
    aa580f3  Trigger codec re-negotiation also on user disconnect and when
	     opusthreshold is set.
    8a9b532  Shuffle around idle action UI a bit.

  Mikkel Krautz <mikkel@krautz.dk>
    7a0f358  Log: clean up notification handling; add Notification Center
	     support for OS X.
    2c73aeb  ConfigDialog: keep a ConfigWidget in expert mode after
	     defaults have been restored.

2012-08-05
  Mikkel Krautz <mikkel@krautz.dk>
    a331d10  GlobalShortcut: instruct users how to enable full shortcut
	     functionality on OS X, if they so please.
    05c740b  macx/osax: bump OS X overlay version.
    9001c28  3rdPartyLicenses: add mach_override license.
    96fd34d  macx/overlay: sync with latest mach_override.
    19577ae  Only show the annoying 'Drag me' title bars on DockWidgets in
	     Custom layout mode.
    07e232e  LookConfig: center layout options.
    7154ec5  3rdPartyLicenses: add libogg, libvorbis and libFLAC licenses.
